2017-05-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.12 release.

	* CHANGES: Updated.

2017-03-31  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (save_filter_omp): Send the modify_filter OMP command
	with openvas_server_sendf_xml to ensure term is escaped.

2017-03-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r28062.

	* src/html/classic/omp.xsl (report [assets]): Add missing blank cells
	in the footer row of the table.

2017-01-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r27224.

	* src/validator.c (openvas_validator_rule_free): Fix memory leak.

2016-12-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_my_settings): Add format string to make it easier
	to compile with warnings.

2016-12-13  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r26890.

	* src/html/classic/help.xsl (new_alert.html): Improve the description of
	the Known Hosts field.

2016-12-13  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r26214, by Timo Pollmeier.

	* src/gsad_omp.c (edit_task): Add missing placeholder for get_groups
	OMP command.
	(get_task): Remove unused extra openvas_server_sendf parameter.
	(save_osp_prefs): Add explicit cast of param_name to char*.

2016-10-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (save_config_nvt_omp): Use correct variable
	preference_name_escaped in non-timeout case.

2016-10-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r26385.

	* src/gsad_omp.c (save_config_nvt_omp): Escape preference name when
	sending it to manager.

2016-10-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r26372.

	* src/html/classic/omp.xsl (report-hosts-link): Get number of results
	from "result_count" instead of "results" subelement of host.
	(report [hosts]): Get number of ports from "port_count" instead of
	"ports" subelement of host.

2016-10-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r26359.

	* src/html/classic/omp.xsl (report-hosts-link): Add param "host"
	and get result counts directly from host element.
	(report [hosts]): Get ports count directly from host element and
	add host parameter for report-hosts-link template.

2016-10-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r26354.

	* src/html/classic/omp.xsl (host, report [assets])
	(report [report-assets], report [hosts]): Select only current host
	for os-icon template to avoid searching the host in lists.

2016-09-26  Christian Fischer <christian.fischer@greenbone.net>

	Backport r26269 and r26267.

	* src/html/classic/omp.xsl (preference [edit-details]): Use yes/no
	radio buttons for preference "unscanned_closed_udp" by replacing
	a duplicate "unscanned_closed" entry accordingly. Use yes/no
	radio buttons for preference "report_host_details".

2016-09-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r26280.

	* src/html/classic/omp.xsl (full-report-export-form)
	(filtered-report-export-form): Limit width of Report Format selector.

2016-09-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/omp.xsl (report): Fix typo in no-results case.

2016-09-05  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24452, by Bjoern Ricks.

	* src/html/classic/omp.xsl: Use an order by date descending for links to
	report lists at the task detail page.

2016-09-05  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24557, by Bjoern Ricks.

	* src/html/classic/omp.xsl: Add sort reverse by date to the links to the
	reports at the tasks list page. Reports should be sorted by date descending by
	default.

2016-08-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.12.

2016-08-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.11 release.

	* CHANGES: Updated.

2016-08-01  Björn Ricks <bjoern.ricks@greenbone.net>

	Backport r25868.

	* src/html/classic/help.xsl (new_lsc_credential.html): Fix link to installer
	details.

2016-08-01  Björn Ricks <bjoern.ricks@greenbone.net>

	Backport r25866.

	* src/html/classic/wizard.xsl (quick-first-scan-wizard, quick-task-wizard):
	Allow 2000 characters for host in quick task wizards.

2016-07-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r25829.

	* src/html/classic/help.xsl (new_alert.html): Add short info about the
	credentials and the "Known Hosts" field.

2016-06-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r25447.

	* src/html/classic/omp.xsl (task-icons): Add info if a schedule is only
	run once or a limited number of times to the schedule icon tooltip.

2016-05-13  Michael Wiegand <michael.wiegand@greenbone.net>

	Partial backport of r25300.

	* src/gsad.c (start_http_daemon, start_https_daemon): Increase limit
	of maximum connections per IP as the previous limit did not properly
	address more complex use cases.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25290.

	* src/html/classic/omp.xsl (html-create-alert-form): Also use the hidden
	field when submethod is not present.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25272.

	* src/html/classic/omp.xsl (html-create-alert-form): Use hidden field
	for submethod, as it's always "syslog".
	(html-edit-alert-form): When the submethod is "syslog" use a hidden
	field, otherwise show the dropdown.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25270.

	* src/html/classic/omp.xsl (html-create-alert-form): Remove SNMP syslog
	option, like in edit form.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (alert [details]): Move SCP details into
	method.  Looks like the SCP backport had it in event by mistake.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25269.

	* src/html/classic/omp.xsl (alert, alert [details]): Add details for
	SNMP.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25264.

	* src/gsad_omp.c (append_alert_method_data): Add "snmp_message".

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form): Add field for SNMP message.

	* src/html/classic/help.xsl (new_alert.html): Describe SNMP message
	replacements.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25229.

	* src/gsad_omp.c (append_alert_method_data): Add return removed in
	r18026.  This was causing "Sourcefire Connector" parameters to be sent
	for every type of alert.

2016-05-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25211.

	Add alert method SNMP.

	* src/gsad_omp.c (append_alert_method_data): Add SNMP param checks.

	* src/html/classic/omp.xsl (html-create-alert-form): Add method SNMP.
	(html-edit-alert-form): Add method SNMP.  Remove the SNMP submethod from
	the syslog alert.

2016-05-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25212.

	* src/gsad.c (init_validator): Match "users" to "login".

2016-05-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (user [edit]): Default the Authentication
	field to the current value.  If it's "password", then default to leaving
	the password the same.

2016-05-03  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r25152.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Where the menu is
	generated from a list, get the default command from the list.  Also
	check the item count in the "last" check, because last() does not seem
	to work when there's only one item.

2016-04-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Update OS list and icons.

	* CMakeLists.txt: Install new icon files.

	* src/html/classic/os.xml: Add new entries for Red Hat Linux (without
	version), Fedora 16 to 23, Red Hat Enterprise Linux 6 and 7, Mandriva
	Linux 2010.0 to 2011.0, CentOS-6 and 7, Debian GNU/Linux 7.0 to 8.4,
	SuSE Linux Enterprise Server 12, Novell openSUSE 11.3 to 13.2,
	Novell openSUSE Leap 42.1, Novell openSUSE (without version),
	HP Integrated Lights-Out, Cisco AsyncOS, Cisco CNU-OS, Cisco UCOS,
	Cisco ADE-OS, Cisco Wireless LAN Controller Software, Cisco Fire Linux
	OS, Cisco, Fortinet, Univention Corporate Server (UCS), Greenbone OS
	3.0, Ruggedcom ROS, Synology DSM, Arubanetworks Arubaos,
	Huawei, Sourcefire Linux, Checkpoint Gaia Os, Ipfire Linux, and McAfee
	Linux.

	* src/html/classic/img/os_arubanetworks.png: New file.

	* src/html/classic/img/os_checkpoint.png: New file.

	* src/html/classic/img/os_fortinet.png: New file.

	* src/html/classic/img/os_huawai.png: New file.

	* src/html/classic/img/os_ipfire.png: New file.

	* src/html/classic/img/os_mcafee.png: New file.

	* src/html/classic/img/os_ruggedcom.png: New file.

	* src/html/classic/img/os_sourcefire.png: New file.

	* src/html/classic/img/os_synology.png: New file.

2016-04-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24986.

	* src/gsad_omp.c (generate_page): Correct condition of current_page
	UTF-8 check and set current_page to NULL if it fails.

2016-04-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Change handling of report result filters so it remembers whether
	the search phrase must match exactly and simplify the filtering
	for the alert tests on report summary pages.

	* src/gsad_omp.c (get_report): Handle new search_phrase_exact
	parameter, build filter from parameters instead of passing them to
	the get_reports OMP command as individual attributes and replace
	the "esc_..." parameters in the alert test with "esc_filter".

	* src/gsad.c (init_validator): Replace the various "esc_..." parameters
	for the alert test with "esc_filter" and add "search_phrase_exact".

	* src/html/classic/omp.xsl (report [results-pager]): Add parameter
	search_phrase_exact to the common part of the links.
	(report [filterbox]): Add radio button to choose whether the search
	phrase must match exactly.
	(filtered-report-export-form): Add paramete search_phrase_exact.
	(report [summary]): Replace the various "esc_..." parameters
	for the alert test with "esc_filter" and add "search_phrase_exact".

2016-04-08  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24946.

	* src/gsad.c (request_handler): Check UTF8 of reconstructed URL.

2016-04-08  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24936.

	* src/gsad.c (request_handler): Account for the return from
	send_redirect_to_urn, so that the connection closes when there is an
	error in the request.  This prevents DOS-like behaviour when clients
	like "openssl sclient" send erroneous HTTP requests.

2016-04-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24882.

	* src/html/classic/help.xsl (new_alert.html): Add SCP section.

2016-04-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24748.

	Add new alert method 'SCP'.

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form): Add SCP input.
	(alert, alert [details]): Add SCP data.

	* src/gsad_omp.c (append_alert_method_data): Add SCP checks.

2016-04-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport applicable parts of r24893 with fixes from r24894.  Also test
	UTF-8 validity in file_content_response.

	* src/gsad_omp.c (generate_page): Test if current_page is valid UTF-8.

	* src/gsad.c (UTF8_ERROR_PAGE): New #define.
	(params_mhd_validate): Separate test if param is valid UTF-8 from other
	validations.
	(exec_omp_post): Test if caller is valid UTF-8.
	(send_redirect_to_urn, redirect_handler): Test if "Host" header is
	valid UTF-8.
	(file_content_response): Test if "Accept-Language" header is not valid
	UTF-8.
	(request_handler): Return error message if URL or "Accept-Language"
	header is not valid UTF-8.  Also check encoding of "cmd" and
	"report_format_id" in expired/bad/missing token/cookie case.

	* src/validator.c (openvas_validate): Test whether name and value are
	valid UTF-8 if they are not NULL.

2016-03-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (wbr-at-punctuation): New template.
	(report [hosts]): Set a minimum width for "Host" column, abbreviate
	"Distance" as "Dist." and add word break tags at periods and colons
	of hostnames and IP addresses.

2016-03-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [section-filter]): Rewrite text in
	apply_filter drop-down to make it consistent with current trunk and
	less ambiguous.

2016-03-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24355.

	* src/html/classic/help.xsl (my_settings.html): Add help for settings
	"Dynamic Severity" and "Default Severity".

2016-03-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23022.

	* src/gsad_omp.c (save_my_settings_omp): Add new "Default Severity"
	setting.

	* src/gsad.c (init_validator): Add default_severity.

	* src/html/classic/omp.xsl (get_my_settings, edit_my_settings): Add new
	"Default Severity" setting.

2016-03-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24729.

	* src/html/classic/omp.xsl (html-create-permission-form): Add caller
	param to multiple permissions form.

2016-03-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24691.

	* src/gsad.c (init_validator): Allow @ in comment and tag_value.

2016-03-03  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24578.

	* src/html/classic/omp.xsl (result [result-headers]): Disable link in
	solution type and QOD columns for delta reports, because Manager does
	not support sorting delta reports by these columns.

2016-02-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.11.

2016-02-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.10 release.

	* CHANGES: Updated.

2016-02-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24397.

	* src/gsad.c (init_validator): Add parentheses to ifaces_allow regexp.

2016-02-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24368.

	* src/gsad_omp.c (save_container_task_omp): Send Auto Delete params with
	MODIFY_TASK.

2016-02-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24366.

	Add task preference for auto deleting reports.

	* src/gsad.c (init_validator): Add auto_delete and auto_delete_data.

	* src/gsad_omp.c (create_task_omp, save_task_omp): Pass auto delete
	parameters to OMP.

	* src/html/classic/omp.xsl (task [details], new_task)
	(html-edit-task-scan-options): Add field Auto Delete Reports.

2016-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.10.

2016-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.9 release.

	* CHANGES: Updated.

2016-01-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24265.

	* src/gsad.c (params_mhd_validate_values, params_mhd_validate): Before
	calling openvas_validate, check that the param is valid UTF-8.  This
	prevents the Glib functions from running on invalid UTF-8, which can
	lead to segfaults, and so can be used to bring GSA down.

2016-01-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24262.

	* src/gsad.c (request_handler): Close connection if "url" is not valid
	UTF-8.  This prevents Glib from segfaulting when printing the URL to the
	login page XML, which could be used to bring GSA down.

2016-01-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24261.

	* src/gsad.c (request_handler): Check that params has been setup before
	accessing param "cmd", because in some cases params is still NULL.
	Prevents a Glib critical error due to accessing NULL as a hashtable.

2016-01-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24112.

	* src/gsad.c (init_validator): Correct regular expressions for
	"cmd", "boolean", "min_cvss_base", "day_of_month", "hosts_allow",
	"month", "package_format", "port_type" and "calendar_unit".

2016-01-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/gsad.c, src/html/classic/gsad.xsl,
	src/html/classic/help.xsl, src/html/classic/help_ru.xsl:
	Update copyright year.

2016-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.9.

2016-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.8 release.

	* CHANGES: Updated.

2016-01-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r24079.

	* src/gsad.c (request_handler): If "url" starts with "//" then drop the
	connection, otherwise the guest link can be used as a redirect.

2016-01-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24068.

	* src/html/classic/graphics.xsl: Apply escaping to all generated
	JS strings.

	* src/html/classic/js/gsa_graphics_base.js (unescapeXML): New function.

	* src/html/classic/omp.xsl (gsa:escape-js): Escape special characters
	to XML entities.

2016-01-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24055 without asset_type case.

	* src/gsad.c (init_validator): Make regex match options for
	aggregate_type and sort_order exactly.

2015-12-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r24018 and add some missing conditions for Note actions.

	* src/html/classic/omp.xsl (note-detailed, override-detailed): Disable
	trash, edit and clone buttons if current user lacks permission or
	the action cannot be performed for other reasons.

2015-12-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (page_url): Build type specific id parameter from
	next_type and next_id.

2015-12-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.8.

2015-12-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.7 release.

	* CHANGES: Updated.

	* INSTALL: Add note regarding RADIUS authentication.

2015-12-18  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23765.

	Add alert conditions for triggering alerts according to result counts
	matched by a filter.

	* src/gsad_omp.c (append_alert_condition_data): Add special cases for
	filter conditions, because the conditions use the same data names.
	(get_alert, get_alerts): Correct message.  Get filters for the condition
	link.

	* src/html/classic/omp.xsl (condition-field): New template.
	(html-create-alert-form): Use condition-field for the condition.
	(radio-button): Align better.
	(html-edit-alert-form): Use condition-field for the condition.
	(alert, alert [details]): Use "condition" to display the condition.
	(condition): New template.

2015-12-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Revert r23215, backport of r23214.

	* src/html/classic/omp.xsl: Revert r23215 as autogenerated SSH key
	credentials can be used for Username + Password login as well.

2015-12-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23940.

	* src/gsad.c (redirect_handler): Handle IPv4-mapped IPv6 addresses too.

2015-12-01  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23901.

	* src/gsad_omp.c (get_task): Skip details, because there may be many
	reports, and counts are now available in RESULT_COUNT.

	* src/html/classic/omp.xsl (task [details]): Get result count from new
	RESULT_COUNT element.

2015-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23880.

	* src/gsad_omp.c (new_note, new_override): Add schedules_only to
	GET_TASKS because only name and ID is required, and getting all the
	other info is slower.

2015-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c: File from last commit.

2015-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23869.

	* src/gsad_omp.c (get_reports): Remove the GET_TASKS call.  It does not
	seem to be used, and can be slow when there are lots of tasks.

2015-11-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23863.

	* src/gsad.c (exec_omp_post): Also return the login form if the
	username or password contains invalid characters.

2015-11-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23817, r23825 and r23846.

	* src/gsad.c (init_validator): Add radius form related parameters. Add
	auth_method parameter. Remove enable_ldap_connect parameter.

	* src/gsad_omp.c (create_user_omp): Add support for radius_connect
	authentication method.
	(save_user_omp): Support RADIUS authentication method. Improve code
	style.
	(save_auth_omp): Adjust to handle RADIUS Authentication form too.

	* src/html/classic/omp.xsl (html-users-table, html-create-user-form, user)
	(user [details], user [edit]): Add RADIUS authentication support and
	adjust interface accordingly.
	(group [auth]): Change mode name to ldapauth.
	(group [radiusauth]): New template.
	(describe_auth_response [show]): Handle method:radius_connect case too.

2015-11-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Backport r23787.

	* src/gsad.c (exec_omp_post): Changed wording for case of OMP service
	unavailable to indicate it might only be a temporary problem (which is typcially
	the case) and not indicate a severe problem.

2015-11-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23776.

	Add alert method "Send", for sending the report to a TCP listener.

	* src/gsad_omp.c (append_alert_method_data): Add Send cases.

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form): Add Send option.
	(alert, alert [details]): Add Send cases.

2015-10-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23704.

	* src/html/classic/omp.xsl (permission [trash]): Replace link to
	resource with simple text and "in trashcan" message if the resource is
	also in the trashcan.

2015-10-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23568.

	* src/html/classic/omp.xsl (user): Fix hiding of default action icons
	when bulk selection checkboxes are shown.

2015-10-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Add missed entry.

2015-10-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23519.

	* src/html/classic/omp.xsl (report [vulns]): When there are notes and
	overrides add icons that link to the notes and overrides pages.

2015-10-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23494.

	* src/html/classic/omp.xsl (html-edit-override-form): Add radio button
	for "yes, for the next ... days" option that was missing when override
	was always active.

2015-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.7.

2015-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.6 release.

	* CHANGES: Updated.

2015-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23424 by Jan-Oliver Wagner.

	* src/html/classic/omp.xsl (report [results]): Added some notes for
	the user on what could be the reason for 0 results.

2015-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23420.

	* src/html/classic/omp.xsl (report [results]): Add the number of hosts
	if there are no results.

2015-09-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23377.

	* src/html/classic/omp.xsl (solution-icon): Correct file name for
	"Mitigation" icon.

2015-09-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23366.

	* src/gsad.c (redirect_handler): Fix check for IPv6.

2015-09-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23285.

	* src/gsad_omp.c (manager_connect): Add tests if param "html" is NULL.

2015-09-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23229.

	* src/gsad.c (struct user): Add address element.
	(user_add): Add user's IP address.
	(user_find): Check that the client's address matches the user's.
	(exec_omp_post, request_handler): Adjust user_add() and user_find()
	calls and handle return values accordingly.

2015-09-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23214.

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form): Only show "pass" type credentials in SMB and
	ESXi dropdowns.

2015-08-31  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23211.

	* src/gsad_omp.c (export_many): XML escape the filter.

2015-08-31  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23209.

	* src/html/classic/gsad.xsl (login_page): Use last page URL for guest
	login if available.

2015-08-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* CHANGES: Updated in preparation for the upcoming 6.0.6 release.

2015-08-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23172.

	* CMakeLists.txt: Install src/html/classic/js/d3.tip.js instead of
	the minified version.

	* COPYING: Update file name for d3-tip.

	* src/html/classic/graphics.xsl (init-d3charts): Replace d3.tip.min.js
	with d3.tip.js.

	* src/html/classic/js/d3.tip.min.js: Remove. Replaced with d3.tip.js.

	* src/html/classic/js/d3.tip.js: New. Current non-minified version of
	d3-tip.

2015-08-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23146.

	Add options to set special content security headers for charts
	requested by the guest user, which are less restrictive to allow
	embedding by default.

	* src/gsad.c (DEFAULT_GSAD_GUEST_CHART_X_FRAME_OPTIONS)
	(DEFAULT_GSAD_GUEST_CHART_CONTENT_SECURITY_POLICY)
	(ADD_GUEST_CHART_CONTENT_SECURITY_HEADERS): New #defines.
	(http_guest_chart_x_frame_options)
	(http_guest_chart_content_security_policy): New static variables.
	(handler_send_response): No longer add content security headers here.
	(request_handler): Add content security headers here, using special
	guest chart ones if the user is the guest user and the command is
	"get_aggregate".
	(main): Add arguments http-guest-chart-frame-opts and
	http-guest-chart-csp.

	* doc/gsad.8: Add new options http-guest-chart-frame-opts and
	http-guest-chart-csp.

2015-08-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23134.

	* src/gsad.c (exec_omp_post): Log authentication failed attempts.

2015-08-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r23017.

	* src/gsad_base.h (credentials_t): Add client_address element.

	* src/gsad.c (get_client_address): New function.
	(request_handler): Add client address to envelope, adjust
	functions calls.
	(credentials_new, credentials_free, exec_omp_post): Adjust for
	client_address.

	* src/gsad_omp.c (xsl_transform_omp): Add client address to envelope.

	* src/html/classic/gsad.xsl (client_address): New template.

2015-08-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23124.

	* src/gsad.c (DEFAULT_GSAD_CONTENT_SECURITY_POLICY): Change to include
	blob: as an img-src as required by copyable SVG of charts.

	* doc/gsad.8: Update the --http-csp option accordingly.

2015-08-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23106.

	* src/html/classic/omp.xsl (html-groups-table): Add missing
	filtered-count param for list-window template call.

2015-08-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23105.

	* src/html/classic/omp.xsl (html-nvt-table): Fix swapped i18n msgid and
	context for Severity column.

2015-08-21  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23104.

	* src/html/classic/omp.xsl (edit-header-icons): Use correct URL for
	config editor help.

2015-08-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r23091, not including the test output removed in r23092.

	* src/gsad_omp.c (new_task): Get tag names list.
	(create_task_omp): Add option for automatically adding a tag directly
	after creating the task.

	* src/gsad.c (init_validator): Add "add_tag" parameter.

	* src/html/classic/omp.xsl (new_task): Add fields for adding a tag.

	* src/html/classic/help.xsl (new_task.html): Add help for tag fields.

2015-08-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r23000.

	* src/gsad.c (init_validator): Add - to hosts_opt, for ranges in Host
	Access on New User and Edit User.

2015-08-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport 22994.

	* src/html/classic/omp.xsl (scanner [details]): Show name of OSP
	scanner parameters instead of id.

2015-08-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport 22988.

	* src/gsad.c (ADD_CONTENT_SECURITY_HEADERS): Do not add headers that
	have been set to an empty string.

2015-08-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22977.

	* src/gsad.c (GSAD_X_FRAME_OPTIONS, GSAD_CONTENT_SECURITY_POLICY)
	(ADD_CONTENT_SECURITY_HEADERS): New #defines for adding HTTP headers
	"X-Frame-Options" and "Content-Security-Policy".
	(send_response, send_redirect_to_uri, handler_send_response): Add new
	content security HTTP headers.
	(main): Add new command line options --http-frame-opts and --http-csp.

	* doc/gsad.8: Add new command line options.

2015-08-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22969.

	* CMakeLists.txt: Install gsa-login.css instead of gsa-style.css to
	${GSA_DATA_DIR}/classic/login.

2015-08-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22966.

	Use a separate smaller stylesheet for the login page of the classic
	face.

	* CMakeLists.txt: Install src/html/classic/gsa-login.css.

	* src/gsad.c (request_handler): Allow /gsa-login.css without token.

	* src/html/classic/gsa-login.css: New stylesheet.

	* src/html/classic/gsad.xsl (html-head): Use gsa-login.css stylesheet
	on login pages.

	* src/html/classic/login/login.html: Use gsa-login.css stylesheet.

2015-08-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22956.

	* src/gsad.c (redirect_handler): Support IPv6 redirection case.

2015-08-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.6.

2015-08-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.5 release.

	* CHANGES: Updated.

2015-08-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22837 by Matthew Mundell.

	* src/gsad_omp.c (manager_connect): Init html to keep compiler quiet.

2015-07-30  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22934.

	* src/html/classic/omp.xsl (html-create-user-form): Move the Password
	INPUT outside the LABEL, as browsers like Iceweasel 31.7 have focus
	problems when it is inside the LABEL.

2015-07-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22906.

	* src/html/classic/help.xsl (new_alert.html): Add $t and $i.

2015-07-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22902.

	Adjust the email alert inputs to provide defaults that are the same as
	in the past.

	* src/html/classic/omp.xsl (include-message-default)
	(attach-message-default): New variables.
	(html-create-alert-form, html-edit-alert-form): Move subject up.  Add
	a message field for the email include and the email attach.  Remove the
	shared message field.

	* src/gsad_omp.c (append_alert_method_data): Add a special case for
	email data "message", in order to tell between the attach and include
	message.

2015-07-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22872.

	* src/html/classic/help.xsl (new_alert.html): Remove extra heading.  Add
	email section with message and subject format specifiers.

2015-07-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22868.

	* src/html/classic/help.xsl (new_alert.html): Remove extra heading.  Add
	email section with message and subject format specifiers.

2015-07-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22859.

	Add subject and message input for email alerts.

	* src/gsad_omp.c (append_alert_method_data): Add "message" and
	"subject".

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form, alert [details]): Add subject and message fields.

2015-07-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22889.

	* src/language_names.tsv: Correct code for Japanese.

2015-07-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22870.

	Change the language code of the current Chinese translation to zh_CN.
	Allow selecting help files with country code suffixes in their name.
	Add lang attribute to html root element in classic face.

	* CMakeLists.txt: Rename src/html/classic/help_zh.xsl to
	src/html/classic/help_zh_CN.xsl

	* src/CMakeLists.txt: Rename help_zh-xsl-syntax to help_zh_CN-xsl-syntax
	and update file name.

	* src/gsad_base.c (set_language_code): Change the code for Chinese
	to "zh_CN".

	* src/gsad.c (request_handler): Try all languages in the user's
	language string in full and shortened form.

	* src/language_names.tsv: Change code for Chinese from zh to zh_CN and
	rename to "Chinese (China)".

	* src/html/classic/gsad.xsl (): Add variable "html-lang".
	(/): Add lang attribute to html root element.

	* src/html/classic/help_zh.xsl: Remove. Renamed to
	src/html/classic/help_zh_CN.xsl.

	* src/html/classic/help_zh_CN.xsl: New. Renamed
	src/html/classic/help_zh.xsl.

	* src/po/CMakeLists.txt: Change code for Chinese from zh to zh_CN.

	* src/po/gsad_xsl-zh.po: Remove. Renamed to src/po/gsad_xsl-zh_CN.po.

	* src/po/gsad_xsl-zh_CN.po: New. Renamed src/po/gsad_xsl-zh.po.

2015-07-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22866.

	* src/po/gsad_xsl-zh.po: Update with translations by Winland Q. Yang.

2015-07-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22802.

	* CMakeLists.txt: Remove installation of XML translation files.

	* src/html/classic/po/de.xml: Remove. Obsoleted by gettext .po file.

	* src/html/classic/po/zh.xml: Remove. Obsoleted by gettext .po file.

2015-07-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22706 by Jan-Oliver Wagner.

	* src/xslt_i18n.h: Fix include to include only glib.h. Anything else
	is regarded an error by glib.

2015-07-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22799.

	* src/html/classic/help_ru.xsl: Add author and update copyright info.

	* src/po/gsad_xsl-de.po: Add author, license and copyright info.

	* src/po/gsad_xsl-ru.po: Add author, license and copyright info.

	* src/po/gsad_xsl-zh.po: Add author, license and copyright info.

2015-07-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22793.

	* src/language_names.tsv: Remove superfluous space.

	* src/xslt_i18n.c (init_language_lists): Change success log message to
	g_debug.

2015-07-09  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22751.

	Prevent logout the user saves themself with LDAP and the previous method
	was also LDAP.

	* src/gsad_omp.c (save_user_omp): If modify_password is 3 then specify
	ldap_connect, but stay logged in.

	* src/html/classic/omp.xsl (user [edit]): Make modify_password 3 for
	LDAP when the source was already LDAP.

2015-07-09  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22750.

	* src/gsad_omp.c (logout): New function.  Body from manager_connect.
	(save_user_omp): Logout if the user is modifying themself, and the
	authentication method is set to LDAP.  We do not have the LDAP password
	so we cannot run further OMP commands, and this is the simplest way to
	get the password from the user.
	(manager_connect): Use logout.

2015-07-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22746.

	Use HTTP POST method for process_bulk instead of GET to avoid issues
	with HTTP header memory limits.

	* src/gsad.c (gsad_connection_info): Add fields content_type,
	content_disposition and content_length.
	(free_resources): Free content_disposition string.
	(exec_omp_post): Add case for process_bulk.
	(exec_omp_get): Remove case for process_bulk.
	(gsad_add_content_type_header): Move above send_response function.
	(send_response): Add parameters content_type, content_disposition and
	content_length to responses that are not HTML pages, rename parameter
	page to content.
	(redirect_handler, request_handler): Add new send_response parameters.

	* src/html/classic/omp.xsl (list-window): Use the POST method to send
	the bulk action form.

2015-07-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.5.

2015-07-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.4 release.

	* CHANGES: Updated.

2015-07-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help_ru.xsl, src/po/gsad_xsl-ru.po: Add files
	missing from last commit.

2015-07-08 Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22713.

	Add Russian translation by Ilmar Habibulin and rebuild Chinese
	translation.

	* CMakeLists.txt: Install new src/html/classic/help_ru.xsl.

	* src/CMakeLists.txt: Add syntax check for Russian translation.

	* src/html/classic/help_ru.xsl: New help file. Originally created by
	Ilmar Habibulin.

	* src/po/CMakeLists.txt: Add Russian translation files.

	* src/po/gsad_xsl-ru.po: New file. Generated from old style XML file
	by Ilmar Habibulin and merged with .pot file.

	* src/po/gsad_xsl-zh.po: Newly generated from old XML and merged with
	.pot file.

2015-07-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22709.

	* INSTALL: Mention that locale should be an English one.

	* src/gsad.c: Add #INCLUDE <langinfo.h>
	(main): Test LC_ALL instead of LC_MESSAGES. Warn if locale is not an
	"en_..." one or if the encoding is not UTF-8. Mention environment
	variables in warning messages.

2015-07-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22707.

	* src/html/classic/omp.xsl (html-tasks-table, html-cpe-table)
	(html-cve-table, html-nvt-table, html-ovaldef-table)
	(html-cert_bund_adv-table, html-dfn_cert_adv-table, html-allinfo-table)
	(html-reports-table, html-results-table): Use new "Severity Short"
	and "CVSS Vector Short" components so table header text can be
	abbreviated in tables without much space.
	(cvss_calculator): Add i18n for vector components.

	* src/po/gsad_xsl-de.po: Update translations.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22702.

	* src/language_names.tsv: Correct authors and copyright year.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/language_names.tsv: Remove duplicated file content.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22696.

	Use ISO codes for the User Interface Language setting and list of
	supported languages dynamically at startup from the locale directory
	and a TSV file of language names.

	* CMakeLists.txt: Install file src/language_names.tsv.

	* INSTALL: Note that the installed Locale must use UTF-8 encoding.

	* src/gsad_base.c (set_language_code): Accept values other than the
	predefined names to allow using ISO codes in the settings.

	* src/gsad_omp.c: Add #include "xslt_i18n.h".
	(get_my_settings, edit_my_settings): Add XML containing the installed
	languages.
	(save_my_settings_omp): Set language to null if language_code is NULL.

	* src/gsad.c: Remove #define DEFAULT_GSAD_LANGUAGE, moved to file
	src/xslt_i18n.h.
	(user_set_language_code): Remove.
	(exec_omp_post): Allow NULL (Browser Language) value for the language
	setting in save_my_settings case.
	(init_validator): Update regex of "lang" to accept ISO code lists.
	(file_content_response, request_handler): Convert the Accept-Language
	HTTP header to format used by gettext in LANGUAGE environment variable.
	(main): Correct typo in debug message. Inititialize language lists.

	* src/language_names.tsv: New file.

	* src/xslt_i18n.c: Add #include <assert.h>, #include <dirent.h> and
	#include <errno.h>. Add #define GSA_XSL_TEXTDOMAIN. Add static
	variables for language lists: installed_languages, language_names,
	native_language_names.
	(xslt_ext_gettext, xslt_ext_ngettext): Use LC_ALL locale category.
	Use GSA_XSL_TEXTDOMAIN macro to ensure consistency.
	(register_i18n_ext_module): Use GSA_XSL_TEXTDOMAIN for consistency.
	(init_language_lists, buffer_languages_xml, accept_language_to_env_fmt):
	New functions.

	* src/xslt_i18n.h: Add #include <glib/gstring.h> and #define
	DEFAULT_GSAD_LANGUAGE.
	(init_language_lists, buffer_languages_xml, accept_language_to_env_fmt):
	New function prototypes.

	* src/html/classic/gsad.xsl (i18n_language): Do not truncate language
	codes.

	* src/html/classic/omp.xsl (get_my_settings, edit_my_settings): Use
	choices from a generated list for the User Interface Language setting.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22687.

	* INSTALL: List prerequisites for translations separately and add a
	non-"C" locale as prerequisite. Add section about disabling
	translations or using a different locale.

	* src/gsad.c (): Add #include "xslt_i18n.h".
	(attach_sid, remove_sid): Reset the locale correctly.
	(main): Test setting the locale for category LC_MESSAGES and disable
	translations if it fails or is set to "C" and log test result.

	* src/xslt_i18n.c (xslt_ext_gettext, xslt_ext_ngettext): Return
	original message directly if gettext is disabled. Do not set LC_ALL
	environment variable, set only LC_MESSAGES locale, not LC_ALL and reset
	locale correctly.
	(get_ext_gettext_enabled, set_ext_gettext_enabled): New functions.

	* src/xslt_i18n.h (get_ext_gettext_enabled, set_ext_gettext_enabled):
	New function prototypes.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22505 by Benoît Allard.

	* src/gsad_omp.c: Add variable definition.

2015-07-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22504 by Benoît Allard.

	* INSTALL: mention the prerequisities for the translation.
	* src/gsad_omp.c (get_reports): Reduce the scope of a variable.

2015-07-06  Sven Haardiek <sven.haardiek@greenbone.net>

	Backport r22585

	* src/gsad.c: Guard thread initialization macros deprecated in
	libgcrypt >= 1.6.0 with defines.

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22669 by Michael Wiegand.

	* doc/i18n-howto.txt: Remove duplicate "the".

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers]): Correct contexts
	for "Vulnerability" and "Solution type".

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22672.

	* src/html/classic/omp.xsl (result [result-body]): Correct context of
	"Result".

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22667.

	* doc/i18n-howto.txt: Rewrite to describe new gettext based format.

	* src/html/classic/dynamic_strings.xsl (type-bulk-delete-confirm)
	(type-bulk-trash-confirm): Correct singular of Tag and Permission
	message.

	* src/html/classic/omp.xsl (resume-icon, task-icons): Change context of
	"Resume" to "Action Verb" for consistency.
	(task [details], new_task, html-tasks-table): Change context of
	"Sequential", "Random" and "Reverse" to "Task|Hosts Ordering" to
	clarify. Change context of "Current" and "Last" to "Task|Report".
	(report [apps]): Consolidate tooltip text for unknown installations
	count with gsa-i18n:strformat and use gsa:n-i18n.
	(report [summary]): Use correct context "Results" for "Total".
	(html-tasks-trash-table): Change context of "First" and "Last" to
	"Task|Report".

	* src/po/gsad_xsl-de.po: Update to include new messages and contexts.
	Remove unused messages.

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22660. Not including the "builtin scanner" messages and a
	"Note cannot be moved to trashcan" one in omp.xsl.

	Correct various strings for i18n and add i18n for some text lacking it.

	* src/html/classic/dynamic_strings.xsl: Use correct closing tags
	for templates and add ending </xsl:stylesheet>. Correct template name
	to type-name-plural for plural type nams.
	(type-name, type-name-plural, type-global): Add messages for "Config"
	and "Scan Configuration".
	(status, trust): New templates.

	* src/html/classic/gsad.xsl (html-gsa-logo): Change context of "Logout"
	to "Action Verb" for consistency with "Login".
	(html-footer): Change context of "Backend operation" to
	"Performance Timing".
	(html-gsa-navigation): Apply i18n to "SecInfo Dashboard" text generated
	by script.
	(login_page): Apply i18n to text "Login as a guest".

	* src/html/classic/omp.xsl (task [details]): Add i18n for "Unavailable".
	(list-window): Add i18n for "Hide Charts" and "Show Charts".
	(lsc_credential): Add i18n for "Unavailable" and "UUID".
	(html-agents-table): Change context of "Trust" to "Trust".
	(agent, agent [trash], agent [details]): Use context "Trust" for trust
	related text.
	(alert): Change context of "Test" to "Action Verb".
	(alert [details], filter [details], tag [details]): Add i18n for
	"Unavailable" and "UUID".
	(html-targets-table): Correct table header "Hosts".
	(target (details), html-config-table): Add i18n for "Unavailable"
	and "UUID".
	(schedule [details]): Add i18n for Tasks table headers, "Unavailable"
	and "UUID".
	(scanner [details]): Add i18n for "N/A", parameters table headers,
	"Unavailable" and "UUID". Replace i18n of whitespace with xsl:text
	elements.
	(slave [details]): Add i18n for "Unavailable" and "UUID".
	(ref_cve_list): Change context of "CVE" to "SecInfo|References"
	(ref_bid_list, ref_cert_list, ref_xref_list): Add i18n to reference
	type name.
	(ovaldef-details): Add i18n for "Status".
	(permission [details], port_list [details]): Add i18n for "Unavailable"
	and "UUID".
	(report_format, report_format [trash], report_format [details]): Use
	context "Trust" for trust related text. Add i18n for "Unavailable"
	and "UUID".
	(host): Add i18n for "not finished". Correct contexts for trash icon.
	(report [result_header]): Rename parameter "capital-name" to
	"label-text" and do not apply i18n to it here.
	(result [result-headers]): Apply i18n to header names and use new
	param name.
	(html-results-table): Apply i18n to "Vulnerability".
	(report [assets]): Apply i18n to "IP" header, "View report" and
	"not finished".
	(get_reports_response/report/report [report-assets]): Add i18n for "IP"
	and "not finished".
	(report [section-filter]): Consolidate "New Result Filter ..." message.
	(report [hosts]):  Add i18n for "not finished".
	(html-agents-trash-table): Use context "Trust" for "Trust".
	(user): Consolidate "User cannot be deleted" message.
	(user [details]): Add i18n for "Unavailable" and "UUID".

	* tools/pot-test (main): Correct and simplify coverage test generation.

2015-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22655.

	* tools/pot-test: New file. Python script to gather data from .pot
	files to test them for common problems like redundant contexts.

2015-06-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22652.

	Consolidate and clarify i18n contexts.

	* src/html/classic/dynamic_strings.xsl (login-msgs): Change context
	to "Login Message".

	* src/html/classic/gsad.xsl (html-gsa-navigation): Change context "MM"
	to "Main Menu". Use the type names as contexts for SecInfo.
	(login_page, password_warning) Use context "Login Message" for
	login messages, "Auth Data" for "Username" and "Password",
	"Action Verb" for "Login".

	* src/html/classic/omp.xsl: Consolidate and clarify i18n contexts:
	Change "Filter Box" to "Filter".  Use "Action Verb" for various generic
	actions.  Use "Property" for generic properties like "Name", "Comment"
	or "Description".  Use "Delta Result" for delta result types like
	"same" and "new". Use "Time" for the message "Timezone".  Use
	"Task|Schedule" for the "Next due" messages.  Use "Value" for "N/A"
	and "Default".  Use the type name as context for itself more
	consistently.  Use "Meta Property" for messages like "optional"
	and "immutable".  Use "Auth Data" for messages related to data used for
	authentication like "Username", "Password" and "Private key".  Clarify
	some ambiguous contexts like the one for "Replace existing value with"
	or "increased".  Use "Alert|Email" for properties specific to email
	Alerts.  Use "Target|Credential" context more consistently. Use context
	"List Conjunction" for "and".  Use "Port" for "Port" and "Host" for
	"Host" and "Hosts" more consistently.  Change context "Reference List"
	to "SecInfo|References".  Use the "Date" context more consistently.
	Consolidate some generic SecInfo messages like "Referenced CVEs" into
	"SecInfo" context.  Use "NVT or Result" for messages shared between
	both types.  Use "Note or Override" more consistently for shared
	messages.  Correct context for "no".  Use message "None" instead
	of "No NVT", which was a placeholder.  Use the context "Actions" more
	consistently.

	* src/html/classic/wizard.xsl: Use context "Task Wizard" for messages
	that can be used by all Task related wizards. Use the contexts from
	omp.xsl for messages that also appear there.

2015-06-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22641.

	* src/xslt_i18n.c (): Add #include <math.h>.
	(xslt_ext_gettext): Improve error message. Move getenv calls to locked
	section and reset environment variables with unsetenv if the getenv
	returned NULL.
	(xslt_ext_ngettext): Improve error messages. Push correct count object
	back to value stack. Move getenv calls to locked section and reset
	environment variables with unsetenv if the getenv returned NULL.

2015-06-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22635.

	* src/html/classic/omp.xsl: Replace the contexts "Window" and
	"Generic Resource" with more specific ones.

2015-06-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22634.

	* src/html/classic/dynamic_strings.xsl (type-filter, type-new-filter):
	Correct contexts of the messages for Reports and Results.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22598.

	* src/html/classic/omp.xsl (task [details]): Change the labels for the
	Report, Result, Note and Override counts to strformat strings. Change
	i18n context of Report related strings to "Task|Reports".
	(edit-families-family, family): Change context of " of " to
	"Scan Config|NVTs"
	(html-allinfo-table): Change i18n context for "Type" to
	"All SecInfo Information".
	(nvt [details]): Change the labels for the Note and Override counts to
	strformat strings.
	(port_list [trash]): Correct capitalization of "in use" string.
	(port_list [details], html-edit-port-list-form): Change i18n context
	of Port Range related strings to "Port Range".
	(html-create-report-format-form): Correct i18n context of
	"New Report Format" label.
	(os-icon): Add missing i18n context to string "OS conflict".
	(report-image): Change error messages to strformat strings.
	(html-tasks-trash-table): Change i18n context of Report related strings
	to "Task|Reports".
	(get_trash): Change context for "Scan Configs" to "Scan Config".

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22594.

	* src/xslt_i18n.c (xslt_ext_gettext, xslt_ext_ngettext): Always use the
	glib string duplication functions and free the result strings after
	creating the result XPath object.
	(xslt_ext_strformat): Free the result string, not just the GString
	after creating the result XPath object.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22593.

	* tools/xsl2pot (process): Add empty msgstr_plural entries if
	msgid_plural but no default plural is given.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22592.

	* src/po/CMakeLists.txt (MAKE_TRANSLATION): Also change name pattern
	in -o argument of msgmerge command.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22591.

	* src/po/CMakeLists.txt (MAKE_TRANSLATION, gettext-po-files): Change
	the name pattern of merged .po files to gsad_xsl-${_LANG}-merged.po to
	avoid conflicts with source .po files when building in-source.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22590.

	* src/html/classic/omp.xsl (gsa:permission-description): Correct
	text for get and modify permissions on a specific resource.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22571.

	* src/html/classic/omp.xsl (filter-window-part): Do not apply gsa:i18n
	to column names as they should already be translated.
	(task-icons): Set context for "Next due" strings to "Task|Schedule".

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22570.

	Consolidate text made out of multiple parts into single strings and
	ensure i18n default is always the same as msgid. Also add missing
	comments referring to dummy templates and correct some template names
	in dynamic_strings.xsl.

	* src/html/classic/dynamic_strings.xsl: Give various templates their
	correct names: type-details, type-filter, type-edit.
	(type-global, type-owned): New templates.
	(type-details): Add Report and Result.
	(type-details-long, type-export, type-export-xml)
	(type-export-multiple-filtered-xml): New templates.
	(type-filter): Add Report and Result.
	(type-permissions, type-new-filter, type-action-denied): New templates.
	(permission-descriptions): Capitalize "Description" in context and
	add strings for specific resources.
	(type-bulk-delete-confirm, type-bulk-trash-confirm, bulk-actions): New
	templates.

	* src/html/classic/omp.xsl (): Add gsa-i18n extension prefix.
	(gsa:permission-description, gsa:view_details_title)
	(filter-window-part, edit-header-icons, get-settings-resource)
	(list-window-line-icons, user-tags-window, resource-permissions-window)
	(task-icons, list-window, details-header-icons, task)
	(lsc_credential [trash], alert [trash], alert [details]
	(filter [trash], tag [trash], target [trash], html-config-table)
	(config [trash], schedule [trash], scanner [trash], slave [trash])
	(get_info_allinfo_action, cve-details, cpe-details, ovaldef-details)
	(cert_bund_adv-details, dfn_cert_adv-details, nvt-details)
	(observers-icon, group [trash], permission [trash], port_list [trash])
	(report_format [trash], note-detailed, override-detailed)
	(result-details, report [assets])
	(get_reports_response/report/report [report-assets])
	(get_report_summary_response, html-edit-role-form, role [trash])
	(get_trash, process_bulk): Consolidate text and add missing comments
	referring to dummy templates.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22539.

	* src/html/classic/omp.xsl (list-window, html-alerts-table)
	(html-filters-table, html-tags-table, column-name, html-targets-table)
	(html-configs-table, html-schedules-table, html-scanners-table)
	(html-cpe-table, html-cve-table, html-nvt-table, html-ovaldef-table)
	(html-cert_bund_adv-table, html-dfn_cert_adv-table, html-allinfo-table)
	(html-notes-table, html-overrides-table, html-groups-table)
	(html-permissions-table, html-port-lists-table)
	(html-report-formats-table, html-reports-table, html-results-table)
	(html-roles-table, html-users-table): Apply gsa:i18n directly to
	the "name" element of the columns so xsl2pot can extract the strings.
	Always set "field" of columns explicitly.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22534.

	* src/html/classic/dynamic_strings.xsl: New file. Dummy templates for
	xsl2pot, containing strings that are not used literally in the other
	XSL files because they are generated before translation.

	* src/html/classic/omp.xsl: Merge i18n contexts "<Type> Table Row" and
	"<Type> Window" into "<Type>" and contexts "Table Row" and "Window"
	into "Generic Resource".

	* src/po/CMakeLists.txt (gettext-po-files): Add .pot file dependency.
	(gsad_xsl.pot): Add .xsl files as dependencies.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22509.

	* tools/xsl2pot (unescape): New function.
	(process): Unescape extracted strings.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22507 by Benoît Allard.

	* tools/xml2po: Don't use short variable names

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22506 by Benoît Allard.

	* tools/xml2po (char_data): Group events that belong together.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22503.

	* ChangeLog: Correct filename src/po/gsad_xsl-zh.po in last entry.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22502.

	Add a wrapper function for ngettext and a KDE-style text formatting
	function. Remove support for the old XML-based translations.

	* src/xslt_i18n.c (xslt_ext_gettext): Add comment with expected params
	and free context_obj if it's not NULL.
	(xslt_ext_ngettext, xslt_ext_strformat): New functions.
	(init_i18n_module, shutdown_i18n_module): Add new functions ngettext
	and strformat.

	* src/html/classic/gsad.xsl (): Add comment about functions added via
	libxslt extension.
	(gsa:i18n): Remove old XML-based translation.
	(gsa:n-i18n): New function.

	* src/po/gsad_xsl-de.po: Add Plural-Forms clause to header.

	* src/po/gsad_xsl-zh.po: Add Plural-Forms clause to header.

	* tools/xsl2pot (): Accept empty default strings in gettext_re. Add
	ngettext_re.
	(process): Mark msgstr values set to defaults as fuzzy. Add handling
	of the ngettext wrapper.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22500.

	* src/po/CMakeLists.txt (MAKE_TRANSLATION): Use file cmake command
	instead of the deprecated make_directory one. Set dependency to the
	.po file in the source directory explicitly. Add command to merge
	.pot file with existing .po file.
	(gettext-mo-files): Change message as it's shown after the mo files
	were generated.
	(gettext-po-files, gettext-pot-files): New optional targets.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22492.

	* src/xslt_i18n.c (xslt_ext_gettext): Correct args count check.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22491.

	* src/xslt_i18n.c (GSA_I18N_EXT_URI): Remove cast and add doc.
	(locale_env_mutex): Add doc.
	(xslt_ext_gettext): Add doc and correct error message.
	(init_i18n_module): Add doc, remove debug output and use URI passed
	as parameter.
	(shutdown_i18n_module): Add doc, remove debug output and unregister
	gettext function.
	(register_i18n_ext_module): Add doc and add cast for GSA_I18N_EXT_URI.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22484.

	Add a libxslt extension that allows using gettext for translations
	if internal transformations are enabled and convert the existing
	translations to po files.

	* CMakeLists.txt: Set new variable GSA_LOCALE_DIR.

	* src/CMakeLists.txt: Add new static library gsad_xslt_ext currently
	consisting of xslt_i18n and include po subdirectory.

	* src/gsad_base.c: Add #include "xslt_i18n.h".
	(xsl_transform_with_stylesheet): Register the i18n extension module.

	* src/gsad_log_conf.cmake_in: Add new log domain "gsad xslt".

	* src/xslt_i18n.c: New file. XSLT extension for i18n functions.

	* src/xslt_i18n.h: New header file.

	* src/html/classic/gsad.xsl: Add gsa-i18n namespace and extension.
	(gsa:i18n): Use the gsa-i18n:gettext extension function if available.

	* src/po/CMakeLists.txt: New file.

	* src/po/gsad_xsl-de.po: New file. German gettext format translations
	generated from src/html/classic/po/de.xml with tools/xml2po.

	* src/po/gsad_xsl-zh.po: New file. Chinese gettext format translations
	generated from src/html/classic/po/zh.xml with tools/xml2po.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22482 by Benoît Allard.

	* tools/xsl2pot: Added, this utility generates pot files from the xslt
	  sheets.
	* tools/xml2po: Added, this utility converts the older xml translation
	  files in the gettext format.

2015-06-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22394.

	* src/html/classic/omp.xsl (gsa:permission-description): Do not build
	text for describe_... and sync_... commands from parts so the strings
	can be extracted more easily for translation.
	(start-icon): Do not apply gsa:i18n to alt param, add name param
	for untranslated name.
	(alert): Add name param for start-icon template call.
	(process_bulk): Do not build text from parts to simplify i18n.

2015-06-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22588.

	* src/html/classic/omp.xsl (filter-criteria, filter-extra): Put
	task_id in editable filter if there are any logical operator keywords.
	(task [details]): Add number of results with a link to a list of
	results for the task.

2015-06-03  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22567.

	* src/gsad.c (init_validator): Switch modify_password to a number.

	* src/gsad_omp.c (save_user_omp): Also choose LDAP if modify_password
	is 2.

	* src/html/classic/omp.xsl (html-create-user-form, user [edit]): Move
	the "Allow LDAP Authentication Only" field up into the password field.
	This makes it clear that no password is stored when LDAP is chosen, and
	forces the user to enter a password when switching from LDAP to regular
	authentication.

2015-06-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22543.

	* src/gsad_omp.c (create_schedule_omp): Always put the COMMENT in the
	OMP, otherwise it gets escaped.  Comment will always be given anyway.

2015-06-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22541.

	* src/gsad.c (init_validator): Allow colons in comments.

2015-06-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22537.

	* src/gsad_omp.c (create_schedule_omp): Check comment.
	(save_schedule_omp): Move comment to the invalid parameter check.
	Remove redundant name comparison.

2015-05-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22459.

	* src/gsad_omp.c (new_permission): Reduce permission to GET for getting
	groups and roles, like for users.

2015-05-19  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22196.

	* src/gsad_omp.c (new_permission): Get users with "get_users"
	permission, because Manager now allows a user to create resource
	permissions on these users.

2015-05-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22383.

	* src/html/classic/js/gsa_graphics_base.js (data_severity_level_counts):
	Make CVSS to severity level mapping works with severity classifications
	that skip levels like PCI-DSS.
	(severity_colors_gradient): Use max_log as upper bound of log level.

2015-05-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22382.

	Handle severity scores >= 0.0 not classified as "High", "Medium" or
	"Low" as "Log" consistently and improve handling of jumps in the
	severity classes like the "Log" to "High" for PCI-DSS.

	* CMakeLists.txt: Install src/html/classic/img/p_bar_gray.png.

	* src/html/classic/graphics.xsl (init-d3charts): Get min and max values
	of severity levels directly and also for "log".
	(js-aggregate-chart): Add max_log parameter for severity_bar_style.

	* src/html/classic/gsa-style.css (.progressbar_bar_gray): New class
	style.

	* src/html/classic/omp.xsl (gsa:cvss-risk-factor): Change "None" to
	"Log" and count non-zero scores < 4.0 as log for pci-dss.
	(gsa:risk-factor-max-cvss): Add "log" as alias for "none". Fix limits
	for pci-dss. Always return 0.0 for unknown level names.
	(gsa:risk-factor-min-cvss): New template.
	(gsa:threat-color): Add "non"/"log" case.
	(severity-bar): Add gray fill for "Log" level.

	* src/html/classic/img/p_bar_gray.png: New image file.

	* src/html/classic/js/gsa_bar_chart.js (severity_bar_style): Add
	parameter max_log and handle the "Log" level as a range.

	* src/html/classic/js/gsa_graphics_base.js (data_severity_level_counts):
	Handle "log" level as a range.
	(severity_level_color_scale): Rename "None" to "Log".

2015-05-13  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22371.

	* src/html/classic/omp.xsl (gsa:cvss-risk-factor): Update PCI-DSS min.

	* src/html/classic/help.xsl (my_settings.html): Update PCI-DSS min.

2015-05-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22363 by Jan-Oliver Wagner using image file from r22364.

	* src/html/classic/img/os_paloalto.png: New.

	* CMakeLists.txt: Install the new icon.

	* src/html/classic/os.xml: Added paloalto.

2015-05-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22361.

	* src/html/classic/omp.xsl (full-report-export-form)
	(filtered-report-export-form): Add min_qod and apply_min_qod params.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.4.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.3 release.

	* CHANGES: Updated.

2015-05-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22295.

	* src/gsad_omp.c (get_task): Correct check if GET_ALERTS command is
	enabled and handling of empty IDs.

2015-05-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22290.

	* src/html/classic/omp.xsl (resource-permissions-window)
	(html-create-permission-form): Add or correct i18n function parameters.

	* src/html/classic/po/de.xml: Add strings for permissions list and
	multi-permissions dialog.

2015-05-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22285.

	* src/gsad_omp.c (get_task): Get the Alerts and Target of the Task.

	* src/html/classic/omp.xsl (task [details]): Set parameter "related"
	of resource-permissions-window template call.
	(html-create-permission-form): Add list of links to related resources.

	* src/html/classic/omp.xsl (new_permission.html): Add related resources
	for Tasks and sentence about the list of related resources.

2015-05-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22206.

	* src/html/classic/omp.xsl (task [details], report, task)
	(result-details, result [result-row], report [section-list]): Add
	min_qod to links to other Task, Report or Result pages.

2015-05-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22305.

	* src/html/classic/omp.xsl (report [hosts]): Add "host=" to filter
	column for selecting the host in auth icons.

2015-05-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22304.

	* src/html/classic/omp.xsl (host, report [assets], report-ports-link):
	Make search phrase for selecting host exact in Report links.

2015-05-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22302.

	* src/gsad.c (main): Set the parent death signal to SIGKILL in the
	redirect child.  This ensures that the child gets a SIGKILL when the
	parent does.

2015-05-05  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22281.

	* src/html/classic/gsad.xsl (login_page): Correct typo in enctype, to
	prevent form text from being escaped.  This was preventing login with
	passwords that contain a space, for example.

2015-05-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22273.

	* src/gsad.c (main): Add --no-redirect option. Make --redirect the
	default behaviour.

2015-04-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0.3.

2015-04-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.2 release.

	* CHANGES: Updated.

2015-04-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22250.

	* src/html/classic/help.xsl (new_permission.html): Add section about
	the "Create Multiple Permissions" dialog.

2015-04-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22248.

	* src/gsad_omp.c (create_permissions_omp): Add start_task, stop_task
	and resume_task as part of the "proxy" permissions for Tasks.

	* src/html/classic/omp.xsl (task-permissions-window): Remove.
	(task [details]): Use template resource-permissions-window instead of
	task-permissions-window.
	(html-create-permission-form): Add "Task" in type selection of
	multi-permissions form.

2015-04-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22245.

	Add permission window for details pages of other types in the
	Configuration menu. Add permission related indicator icons.

	* src/gsad_omp.c (get_config): Add the permissions for the config.
	(create_permissions_omp): Handle permissions test_alert,
	validate_agent, validate_report_format and validate_scanner as part
	of "proxy" permissions. Correct check if related type is report.

	* src/html/classic/gsad.xsl (html-gsa-logo): Add indicator icons for
	create_permission_response, delete_permission_response and
	modify_permission_response in get_task, get_config_response,
	get_lsc_credential, get_agent, get_alert, get_filter, get_note,
	get_override, get_port_list, get_report_format, get_scanner,
	get_schedule, get_slave, get_tag.

	* src/html/classic/omp.xsl (lsc_credential [details], agent [details])
	(alert [details], filter [details], tag [details], html-config-table)
	(schedule [details], scanner [details], slave [details]): Add
	permissions form.
	(html-create-permissions-form): Add types from Configuration menu.
	(port_list [details], report_format [details]): Add permissions form.

2015-04-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22240.

	* src/gsad_omp.c (create_permissions_omp): Exclude reports and results
	from creation of "modify_..." permissions.

	* src/html/classic/omp.xsl (note [details], override [details]): Add
	permissions list window.
	(html-create-permission-form): Add resource types Note and Override
	to multi-permission form.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22224.

	* src/gsad_omp.c (create_permissions_omp): Add "proxy" permissions.

	* src/html/classic/omp.xsl (html-create-permission-form): Show option
	for "proxy" permissions.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22223.

	* src/gsad_omp.c (create_permissions_omp): Correct indentation.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22222.

	* src/html/classic/omp.xsl (html-create-permission-form): Make
	multiple permissions dialog always visible. Allow user input of
	resource_type and resource_id if no related resources are given.
	Arrange the form more like the normal "New Permission" dialog.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22218.

	* src/html/classic/omp.xsl (resource-permissions-window): Remove
	multiple permissions form, moved to "New Permission" page. Add icon to
	go to permissions list.
	(permission-subject-selection): New template.
	(html-create-permission-form): Move subject selection to new template.
	Add form for creating multiple permissions.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22212.

	* src/gsad_omp.c (create_permissions_omp): Remove leftover test output.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22211.

	Add a form to create permissions for the current Target and related
	resources (Port List and LSC Credentials).

	* src/gsad.c (init_validator): Add command "create_permissions" and
	parameters "related", "include_related".
	(params_append_mhd): Add hashtable parameter "related".
	(exec_omp_post): Add command "create_permissions".
	(params_append_mhd): Add hashtable parameter "related".

	* src/gsad_omp.h (create_permissions_omp): New function prototype.

	* src/gsad_omp.c (CHECK_OMPF_RET): New function-like macro.
	(create_permissions_omp): New function.

	* src/html/classic/omp.xsl (resource-permissions-window): Add form to
	create permissions for current and related resources.
	(target [details]): Add parameter "related" for the template
	resource-permissions-window.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22121.

	* src/gsad_omp.c (get_task): Correct manager response error message of
	the get_permissions request.

2015-04-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22120.

	Add a new permissions window to the Target details page and generally
	allow the "New Permission" and "Edit Permission" pages to go to a
	details page after submitting.

	* src/gsad_omp.c (get_one): Get and add permissions for the resource.

	* src/gsad.c (init_validator): Add "restrict_type" as alias of
	"resource_type".

	* src/html/classic/help.xsl (resource_permissions.html): New template.

	* src/html/classic/help.xsl (html-gsa-logo): Add indicators for
	Permission related responses to get_target page.

	* src/html/classic/omp.xsl (list-window-line-icons): Add parameters
	next_type and next_id used for going to a details page after an action.
	(task-permissions-window): New template. Content from previous version
	of resource-permission-window.
	(resource-permissions-window): Change to a permissions table using
	the same rows as the get_permissions page. Replace the form for
	granting permissions with a simple "New Permission" icon in the window
	header. Add resource type text and Help button to window header.
	(task [details]): Use task-permissions-window template instead of
	resource-permissions-window.
	(target [details]): Add resource permissions window.
	(html-create-permission-form): Hide permissions unrelated to a resource
	type if restrict_type parameter is given. Fill in resource ID if given
	via resource_id parameter. Add resource id parameter if given by
	next_id and next_type.
	(permission): Add template parameters next, next_type, next_id and
	pass them to list-window-line-icons.
	(html-edit-permission-form): Add resource id parameter if given by
	next_id and next_type.

2015-04-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22138.

	* src/gsad.c (start_http_daemon, start_https_daemon): Use MHD_USE_IPv6
	instead of MHD_USE_DUAL_STACK with older libmicrohttpd versions.

2015-04-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22122 and r22128.

	* src/gsad.c (start_http_daemon, start_https_daemon): Adjust
	libmicrohttpd call to listen on IPv4 or IPv6 depending on address type.
	(gsad_address_set_port, gsad_address_init): New functions. Set address
	family to AF_INET6 in ANY case.
	(main): Refactor code to use gsad_address_set_port() and
	gsad_address_init() adequately.

2015-04-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Backport r22077.

	* src/html/classic/omp.xsl (report-hosts-link): Prepend equals sign to
	host search phrase to make it exact.

2015-04-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22055.

	* src/gsad_omp.c (get_config_nvt): Get notes and overrides, for count
	links.

2015-04-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22053.

	* src/gsad_omp.c (simple_ompf): New function.
	(get_info): Get notes and overrides when getting a single NVT, for the
	count links.

	* src/html/classic/omp.xsl (nvt [details]): Adjust path position of
	notes and overrides, now that the NVT comes from GET_INFO.

2015-04-02  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl: Missing file from last commit.

2015-04-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22039.

	* src/html/classic/omp.xsl (gsa:envelope-filter): Only add the space
	when it is needed.

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: 6.0.2

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the gsa 6.0.1 release.

	* CHANGES: Updated.

2015-04-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl: Use envelope-filter to get the filter param
	combined with the extra_filter param, in all places that were getting
	just the filter param.
	(gsa:envelope-filter): New function.

2015-04-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c, src/gsad_omp.c, src/gsad_base.c: Use g_free() and
	g_malloc0() instead of free(), calloc() and malloc().

2015-03-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [section-list]): Skip "Results view"
	for prognostic report, because there is no single report.

2015-03-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [section-link]): Add missing host URL
	params to prognostic case.
	(report [section-filter]): Get prognostic params from ENVELOPE, where
	they are available.

2015-03-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-user-form): Make LDAP line "odd"
	because the previous is "even".

2015-03-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-config-table): Add clone icon, to
	match other details pages.

2015-03-30  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-override-form): Convert values of
	"select-value" to text, because they will be compared to "value", which
	is text.

2015-03-30  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (omp): Add format string, because command may
	contain format specifiers, for example when saving an LDAP DN with
	MODIFY_AUTH.

2015-03-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_target_omp): Prepare the OMP command with
	xml_string_append, so that the args are escaped, especially ALIVE_TESTS,
	which may contain ampersands.

2015-03-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (start_http_daemon): Remove limit on connection timeout,
	because some operations take a long time, like getting very large
	reports.

2015-03-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Allow access to the Create Permissions page even if the user has limited
	subject access.

	* src/gsad_omp.c (new_permission): Restrict requests to users, roles
	and groups that the user has modify_user permission on.

	* src/html/classic/omp.xsl (html-create-permission-form): Disable the
	subject dropdowns when the user may not access the associated type.
	(html-permissions-table): Enable the new icon if the user may access
	any one of the subject types.

2015-03-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (format_file_name): Set format_name to NULL if it's an
	empty string, because openvas_export_file_name does not handle empty
	strings.

2015-03-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (new_override.html): Add missing text for
	"NVT OID" and "Active" inputs. Add syntax info and examples for input
	fields besides the radio buttons. Fix table row coloring.

2015-03-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (user [edit]): If the user has Super Admin
	put it in a dummy dropdown above the others, instead of trying to set it
	on the user, which is not permitted.

2015-03-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (task [details], task): Revert the order of
	task_id and status keywords as the replace_task_id param will change
	the order again, putting the "and" in the wrong place.

2015-03-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl: Flush trailing whitespace.

2015-03-24  Matthew Mundell <matthew.mundell@greenbone.net>

	Note permission icon in help.

	* src/html/classic/help.xsl (name-column): New template.
	(agents.html, lsc_credentials.html, alerts.html, port_lists.html)
	(report_formats.html, configs.html, schedules.html, scanners.html)
	(slaves.html, users.html, permissions.html, roles.html, filters.html)
	(filters.html, tags.html, targets.html): Use name-column, so that
	permission icon is included.
	(notes.html, overrides.html): Add permission icon.
	(tasks.html): Remove sentence about observation, the task may be
	writable.

2015-03-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (powerfilter.html): Add description of
	keywords "owner" and "permission".

2015-03-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_many, new_task, edit_task)
	(params_toggle_overrides, new_alert, get_alert, edit_alert, new_target)
	(edit_target, get_report, get_report_section, GET_TRASH_RESOURCE)
	(new_permission, edit_permission, process_bulk_omp): Remove keywords
	"permission=any" and "owner=any" from predefined filter terms.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Remove keywords
	"permission=any" and "owner=any" from predefined filter terms for
	notes and overrides.

	* src/html/classic/omp.xsl (filter-criteria, filter-extra): Do not
	consider "permission" and "owner" keywords special.
	(filter-window-part): Remove input fields for owner and permission.
	(task [details], task): Swap order of task_id and status filters.
	Do not include "permission" and "owner" keywords in filter of reports,
	notes and overrides links.
	(nvt [details], html-reports-table): Do not include "permission" and
	"owner" keywords in filter terms of links.

2015-03-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/CMakeLists.txt: Make detection of thread library dynamic instead
	of using hardcoded linker flags.

2015-03-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Use port for port_manual so that the user
	can enter a full port string for notes and overrides.  Full strings are
	required to match the port.

2015-03-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (timezone-select): Check full timezone name
	too.

2015-03-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (create_permission_omp): Add filter to OMP for
	getting subject UUID, because the subject may be owned by anyone.

2015-03-17  Benoît Allard  <benoit.allard@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: 6.0.1

2015-03-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (user): Show name without link when filter
	is unavailable.
	(user [details]): Mark roles and groups unavailable if they are.

2015-03-17  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0.0 release.

	* CHANGES: Updated.

	* src/html/classic/help.xsl: Set version to 6.0.0.

	* CMakeLists.txt: Set version to 6.0.0. Switch version scheme.

2015-03-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tagged_resource_link): Add resource_permission
	arg.  Print name without link if resource is unavailable.
	(tag): Pass permissions to tagged_resource_link.
	(tag [details]): Mark resource unavailable if it is.

2015-03-16  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the filter of
	an alert.  And where a filter is used on an alert that the user may not
	access.

	* src/gsad_omp.c (new_alert, edit_alert): Add filter to GET_FILTERS, so
	that filters of other users are included.

	* src/html/classic/omp.xsl (alert): Show name without link when filter
	is unavailable.
	(alert [details]): Mark filters unavailable if they are.
	(filter [details]): If alert is not availabe mark it so.

2015-03-16  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the credentials
	of a target.  And where a credential is used on a target that the user
	may not access.

	* src/gsad_omp.c (get_alert, edit_alert): Add filter to
	GET_REPORT_FORMATS, so that report formats of other users are included.

	* src/html/classic/omp.xsl (alert [details]): Mark report formats
	unavailable if they are.
	(report_format [details]): If alert is not availabe mark it so.

2015-03-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report_format): Enable verify icon when the
	report format is global or the user may verify it, because this is what
	Manager accepts.

2015-03-16  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the credentials
	of a target.  And where a credential is used on a target that the user
	may not access.

	* src/gsad_omp.c (new_target, edit_target): Add filter to
	GET_LSC_CREDETIALS, so that credentials of other users are included.

	* src/html/classic/omp.xsl (lsc_credential [details]): Mark targets
	unavailable if they are.
	(target): Print credential name without link if credential unavailable.
	(target [details]): If credential is not availabe mark it so.

2015-03-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl (scanner-actions): Reorder actions help
	order to match current UI order.

2015-03-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl (new_scanner.html, scanner_details.html):
	Detail help documentation.

2015-03-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl (details-window-line-actions): Remove
	used_by part.
	(object-used-by, scanner-actions): New templates.
	(lsc_credential_details.html, alert_details.html)
	(port_list_details.html, report_format_details.html)
	(schedule_details.html, scanner_details.html, slave_details.html)
	(filter_details.html, config_details.html, target_details.html): Adjust
	to use new templates, and add missing details documentation.

2015-03-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the port lists of
	a target.  And where a port list is used on a target that the user may not
	access.

	* src/gsad_omp.c (new_target, edit_target): Add filter to
	GET_PORT_LISTS, so that port lists of other users are included.

	* src/html/classic/omp.xsl (target [details]): Mark port lists unavailable
	if they are.
	(port_list [details]): If target is not availabe mark it so.

2015-03-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl, src/html/classic/omp.xsl: Rename scanners'
	Public Key to Certificate for accuracy.

2015-03-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Simplify signal handler.

	* src/CMakeLists.txt: Add -lphtread to gsad.

	* src/gsad.c (termination_signal): New variable.
	(handle_signal_exit): Simply set flag.
	(main): Check signal exit flag in main loop.  Block all signals and use
	pselect to avoid race conditions.

2015-03-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Adjust to show Slave field
	only when slave feature is available.

2015-03-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/gsad.c (register_signal_handlers): Add todo regarding signal
	handler registration.

2015-03-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_permission, edit_permission): Add filter so that
	all available items are included.

2015-03-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the scanners of
	a task.  And where a scanner is used on a task that the user may not
	access.

	* src/gsad_omp.c (new_task, edit_task): Add filter to GET_SCANNERS, so
	that scanners of other users are included.

	* src/html/classic/omp.xsl (task [details]): Mark scanners unavailable
	if they are.
	(scanner [details]): If task is not availabe mark it so.

2015-03-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_task, edit_task): Add filter to GET_CONFIGS, so
	that targets of other users are included.

2015-03-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the configs of
	a task.  And where a config is used on a task that the user may not
	access.

	* src/html/classic/omp.xsl (task [details]): Mark configs unavailable
	if they are.
	(html-config-table): If task is not availabe mark it so.

2015-03-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the targets of a
	task.  And where a target is used on a task that the user may not
	access.

	* src/gsad_omp.c (new_task, edit_task): Add filter to GET_TARGETS, so
	that targets of other users are included.

	* src/html/classic/gsad.xsl (task [details]): Mark targets unavailable
	if they are.
	(target [details]): If task is not availabe mark it so.

2015-03-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_scanner_omp): Send command xml elements
	unconditionally.

2015-03-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_scanner_omp): Don't send ca_pub, key_pub and
	key_priv elements, when matching values aren't provided.

	* src/html/classic/omp.xsl (edit_task, edit_target, edit_scanner)
	(edit_slave, edit_report_format): Handle modify command response.

2015-03-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js (generate): Add percentage to
	bar tooltips.

2015-03-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_donut_chart.js (generate): Add tooltips to
	all parts of the donut slices and to the legend entries.

2015-03-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl (scanners.html): Improve help documentation.

2015-03-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (percentage_counts): Create
	copies of records so the original ones are not overwritten.

2015-03-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (verify_scanner_omp): Adjust to handle next page to
	return.

	* src/html/classic/gsad.xsl (html-gsa-logo): Add response indicator for
	verify scanner in scanner details page.

	* src/html/classic/omp.xsl (scanner [details]): Add extra scanner icons.
	(scanner-icons): Add next template argument, to specify next page.
	(scanner): Add argument in scanner-icons template call.

2015-03-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (init_validator, exec_omp_get): Handle download_ca_pub and
	download_key_pub commands.

	* src/gsad_omp.c (download_ca_pub, download_key_pub): New functions.

	* src/gsad_omp.h: Add functions prototypes.

	* src/html/classic/omp.xsl (html-scanners-table): Increase number of
	actions icons.
	(scanner-icons): New template, for verify scanner, Download CA Public
	Key and Download Public Key buttons.
	(scanner): Adjust to call scanner-icons template.

2015-03-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (report_format): Use may-op template to check
	for verify report format permission.

2015-03-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (format_file_name): Set variable to NULL directly,
	instead of passing a NULL entity to entity_text, which segfaults.

2015-03-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-part, tag [for_resource])
	(new_target.html, details-window-line-actions): Add missing details.
	(new_scanner.html): New page.

2015-03-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Adjust to properly
	handle openvas scanner case, improve message wording and add code
	comments.

2015-03-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Use the "OpenVAS Default" scanner in IT-Schwachstellenampel.

	* src/html/its/gsad.xsl: Update copyright year.
	(login_page, html-footer): Increase version to 1.2.2.

	* src/html/its/omp.xsl: Update copyright year.
	(task_controls): Select "OpenVAS Default" scanner by id.

2015-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (about.html): Increase copyright year to
	2015.

2015-03-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (start_http_daemon, start_https_daemon): Increase per ip
	connection limit from 5 to 15.

2015-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter-simple, filter-rest): Remove. No
	longer used with changes in filter-window-part.
	(filter-window-part): Merge form with top filter term input with
	expanded filter form. Remove now redundant expanded filter fields
	"Simple search terms" and "Additional filter commands".

2015-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_many): Set filt_id to -2 when filter is built
	from components so the filter is not overwritten with a default.

2015-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter-criteria, filter_extra): New
	templates.
	(filter-window-part): Move pagination, sorting, owner, permission and
	apply_overrides from main filter input field to a hidden field and
	static text.

	* src/gsad_omp.c (get_many): Add option to a extra keywords with
	filter_extra param.

	* src/gsad.c (init_validator): Add "filter_extra" as alias for
	"filter".

2015-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	In the expanded filter box move "owner" and "permission" keywords to
	new separate input fields.

	* src/gsad_omp.c (get_many): Add "owner" and "permission" keywords
	when building filter.

	* src/gsad.c (init_validator): Add "owner" and "permission" as aliases
	for "name".

	* src/html/classic/omp.xsl (filter-rest): Exclude keyword columns
	"owner" and "permission".
	(filter-window-part): Add input fields "Owner" and "Permission".

	* src/html/classic/po/de.xml (Filter Box): Add strings "Owner" and
	"Permission".

2015-02-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/gsad.xsl (html-footer): Updated year to 2015.

	* src/gsad.c (main): Updated year to 2015.

2015-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tag_resource_types): Check GET_INFO instead
	of GET_NVTS now that GET_INFO is used to get the NVT.
	(get_info_response): Update call.
	(get_nvts): Remove get_nvts match, because GET_NVTS is no longer usd to
	get the NVT Details page.  Rename to nvt-details.
	(nvt-details): New template.  Was nvt-details.

2015-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (get_info_response): Call get_nvts directly.
	(nvt-details): Remove.  No longer used.

2015-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (nvt [details]): Remove preferences, because
	the Scan Config NVT Details used this template and adds its own
	preferences.
	(get_nvts): Move preferences back here.

2015-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	More conversion from GET_NVTS to GET_INFO.

	* src/html/classic/omp.xsl (get_nvts): Use get_info instead of get_nvts
	as the next page for the new note and override icons, and the icons in
	the user tags window
	(html-create-note-form, html-create-override-form): Add params for
	get_info case.
	(html-edit-note-form, html-edit-override-form): Remove get_nvts param.
	It's no longer possible to edit these from the NVT Details page.

2015-02-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tagged_resource_link, cve-details)
	(html-create-note-form, html-edit-note-form, note [details])
	(html-create-override-form, html-edit-override-form, override [details])
	(result [result-body], report [closed_cves], report [errors]): Use
	GET_INFO instead of GET_NVTS to link to NVT Details page.

2015-02-24  Matthew Mundell <matthew.mundell@greenbone.net>

	Use GET_INFO for the SecInfo NVT link.

	* src/html/classic/omp.xsl (get_info_nvt_lnk): Use GET_INFO.
	(nvt-details): Call get_nvts because it does the same thing.
	(nvt [details]): Add preferences.
	(get_nvts): Make it possible to call this from nvt-details too.
	Let nvt [details] do the preferences.

2015-02-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (start_http_daemon, start_https_daemon): New functions.
	Also set connection timeout and limit number of concurrent connections
	per IP
	(main): Refactor code to use new functions.

2015-02-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_report): Add Anonymous XML check.

2015-02-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/its/gsad.xsl (current_page): New dummy template.

2015-02-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/help.xsl: Fix typo.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta7.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0+beta6 release.

	* CHANGES: Updated.

2015-02-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Add schedule periods to task creation.

	* src/gsad_omp.c (CHECK): Wrap in "do" loop so that it can be used
	safely as a lone "if" body when the "if" has an "else".
	(create_task_omp): Add SCHEDULE_PERIODS to MODIFY_TASK.
	(save_task_omp): Check schedule_periods.

	* src/html/classic/omp.xsl (task [details]): Display period limit.

2015-02-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Add display and editing of task schedule periods.

	* src/gsad.c (init_validator): Add schedule_periods.

	* src/gsad_omp.c (save_task_omp): Add SCHEDULE_PERIODS to MODIFY_TASK.

	* src/html/classic/omp.xsl (task [details]): Display period limit.
	(html-edit-task-schedule): Add "Once" checkbox on schedule field.
	(html-edit-task-name): Increase width so schedule field stays on one
	line.

2015-02-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (js-aggregate-chart): Add new data
	modifiers qod_type_counts and percentage_counts.
	(js-secinfo-top-visualization, dashboard [secinfo]): Add NVTs by QoD
	and QoD type.

	* src/html/classic/omp.xsl (gsa:field-name): Add "QoD" and "QoD type".
	(info/nvt, html-nvt-table): Add QoD column.
	(nvt [details]): Show section "Vulnerability Detection Method" if
	QoD data is present. Add QoD percentage.
	(result [result-headers], result): Get QoD percentage from element
	qod/value.

	* src/html/classic/js/gsa_graphics_base.js (field-name): Add "QoD" and
	"QoD type".
	(qod_type_counts, percentage_counts): New functions.

2015-02-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/help.xsl: Fix more spelling issues.

2015-02-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/help.xsl (my_settings.html): Fix spelling and
	whitespace issues.

2015-02-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/help.xsl (my_settings.html): Fix outdated link to
	Schwachstellenampel information.

2015-02-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (glossary.html): Add entry for Quality of
	detection, including a reference to qod.html.
	(results.html): Add a reference to qod.html in the description of the
	QoD column.

2015-02-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add filtering of reports by minimum QoD.

	* src/gsad_omp.c (get_report): Handle parameter min_qod and set a
	default value of 70 if it is not given.

	* src/gsad.c (init_validator): Add parameters min_qod, apply_min_qod,
	esc_apply_min_qod and esc_min_qod.

	* src/html/classic/omp.xsl (report [results-pager]): Move common
	filter parameters to a variable. Add parameters apply_min_qod and
	min_qod.
	(report [filterbox]): Add checkbox and drop-down for min_qod filter
	similar to min_cvss_base.
	(report [summary]): Add hidden input for filter param esc_min_qod.

2015-02-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/help.xsl (contents.html): Added link to qod.
	(qod.html): New. A general page about qod.

2015-02-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (permission [details]): Only show new icon when
	user may create permissions.

2015-02-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (gsa:may-clone): Enable cloning of other
	users' resources.

2015-02-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Add "Solution type"
	to "Solution" section.

2015-01-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers])
	(result [result_body], html-results-table, result): Add "QoD" column.

	* src/html/classic/help.xsl (results.html): Add "QoD" column.

2015-01-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (solution-types): New template.
	(results.html, nvts.html): Add help for "Solution type" column and fix
	table row CSS classes.

2015-01-30  Matthew Mundell <matthew.mundell@greenbone.net>

	Cater for the case where a user no longer has access to the alerts
	and/or schedule of a task.  And where an alert or schedule is used on a
	task that the user may not access.

	* src/gsad_omp.c (new_task, edit_task): Add filter to GET_ALERTS and
	GET_SCHEDULES, so that alerts and schedules of other users are included.
	(get_report): Similarly, add filter.

	* src/html/classic/gsad.xsl (task-icons): Grey icon if schedule is
	unavailable.
	(task [details]): Mark alerts and schedules unavailble if they are.
	(alert [details], schedule [details]): If task is not availabe mark it
	so.

2015-01-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-navigation): Add owner clause to
	Notes and Overrides links.

2015-01-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (report [hosts]): Added Auth indicator
	icons upon success/failure for SMB and ESXi.

2015-01-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (quick-task-wizard, modify-task-wizard):
	Move date and time selection inputs outside the label element so
	values can be selected without holding the mouse button. Use
	"Create Schedule" as label for the radio button instead.

2015-01-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (report [hosts]): Added column "Auth" to
	host table with icon indicators upon success/failure of SSH authentication.

2015-01-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (nvt [details]): Move qod_type
	into section "Vulnerability Detection Method".

2015-01-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (nvt [details]): Add a link to
	the Results view filtering for the OID of this NVT.

2015-01-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Drop the "osp_"
	prefix from the parameter type.

2015-01-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference [details]): Output an osp boolean
	parameter's default value in string format.
	(scanner [details]): Output a table for the OSP Scanner's parameters.

2015-01-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Re-arranged the information
	into ins own section and condensed and niced the content.

2015-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Simplify check for pkg-config and make it consistent
	with the other modules.

2015-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Remove find_program for long obsolete
	libopenvas-config. It was removed before openvas-libraries 4.0.0.

2015-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Make check for libgcrypt consistent with other library checks.

	* CMakeLists.txt: Raise SEND_ERROR instead of FATAL_ERROR if libgcrypt
	can not be found. Consequently, only call libgcrypt-config if
	libgcrypt was found. Move status message to more appropriate place.

	* INSTALL: Note libgcrypt as prerequisite.

2015-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Simplify handling of library flags in CMakeLists.txt files, thereby
	removing the need for clumsy workarounds.

	* CMakeLists.txt: Remove redundant queries of library flags which were
	already retrieved by CMake. Remove unnecessary aggregation of flags.

	* src/CMakeLists.txt: Set include directories with include_directories
	instead of target properties. Remove quotes in target_link_libraries
	so that CMake lists get expanded correctly.

2015-01-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Show the fetched scanner
	description.

2015-01-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_donut_chart.js (generate): Fix condition for
	considering a donut slice a full circle and make it a bit fuzzy to
	account for rounding errors.

2015-01-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Show the fetched scanner
	info.

2015-01-14  Matthew Mundell <matthew.mundell@greenbone.net>

	Add the alert error dialog and indicator icon on the "Report: Summary
	and Download" page.

	* src/gsad_omp.c (get_report): Put the GET_REPORTS alert response inside
	the GET_REPORTS_ALERT_RESPONSE element.  This was the XSL has the actual
	error.

	* src/html/classic/omp.xsl (get_reports_response [alert]): New template.
	Was get_reports_alert_response.
	(get_reports_alert_response): Remove.  Now get_reports_response.
	(get_report_summary_response, get_report): Apply alert case response, so
	that the error dialog show up.

	* src/html/classic/gsad.xsl
	(get_reports_response [response-idicator-alert]): New template.
	(html-gsa-logo): Apply indicator.

2015-01-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl: Use /envelope/current_page instead of
	/envelope/caller in forms and links, because after a post current_page
	is adjusted to take into account the "next" param, whereas caller is
	always the page from which the user requested the post.  In particular,
	after a create_task initiated from the "get_tasks" page, "caller" is
	"get_tasks", whereas "current_page" is the landing page, "get_task".

2015-01-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_one): Improve error messages.
	(get_task, get_config): Add NULL check on extra_xml and free entity in
	all cases, as in get_one.

2015-01-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Remove rules like "preference:", which are
	for the single-parameter versions of hashtable params.  These are no
	longer used, and they end up in the XML like <preference:> which causes
	syntax warnings.

2015-01-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_config_omp): Remove next check, as next is always
	NULL.

2015-01-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Use "trend" instead of "trend:" for saving config families.

	* src/gsad.c (init_validator): Add "trend".

	* src/gsad_omp.c (save_config_omp): Use "trend".

	* src/html/classic/omp.xsl (edit_families): Replace "trend:" with "trend".

2015-01-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_alert): Get all report formats that user has
	permission to access.

2015-01-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl: Make sure that all forms have enctype set to
	"multipart/form-data", for consistency, and also because otherwise the
	page handlers get the parameters URL-escaped (at least with Firefox
	34.0.5).  This was preventing saving of report formats with spaces in
	their names, for example.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta6.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0+beta5 release.

	* CHANGES: Updated.

2015-01-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add option to apply bulk actions to all filtered items.

	* src/gsad_omp.c (process_bulk_omp): Add cases for applying to all
	filtered items. Use original filter when exporting page contents.

	* src/gsad.c (init_validator): Make "bulk_select" alias of "number".

	* src/html/classic/omp.xsl (list-window): Add new option to bulk select
	all filtered items.
	(report, task, html-tasks-table, lsc_credential, agent, alert, filter)
	(tag, target, config, schedule, scanner, slave, info/cpe, info/cve)
	(info/nvt, info/ovaldef, info/cert_bund_adv, info/dfn_cert_adv)
	(info/allinfo, html-cpe-table, html-cve-table, html-nvt-table)
	(html-ovaldef-table, html-cert_bund_adv-table, html-dfn_cert_adv-table)
	(html-allinfo-table, note, override, group, permission, port_list)
	(report_format, html-reports-table, html-results-table, result, role)
	(user): Show checkboxes only if the parameter bulk_select equals 1.
	(process_bulk): Create hidden bulk_selected inputs from selection XML
	elements instead of copying parameters.

	* src/html/classic/po/de.xml: Add text for "all filtered" bulk actions.

2015-01-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (format_file_name): Get task and report format name
	for reports and resource name in case of other types for new params
	of openvas_export_file_name.
	(get_report): Put quotes around content_disposition file name.

	* src/gsad.c (init_validator): Add new placeholders %F and %N to
	details_fname, list_fname, report_fname.

	* src/html/classic/help.xsl (my_settings.html): Add new placeholders.

2015-01-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window): Right align form for choosing
	bulk selection type.

2014-12-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window): Replace toggle icon for
	bulk action mode (whole page or checkbox selection) with a dropdown
	form. Separate table footer with filter and page controls from
	table to allow this.

	* src/html/classic/po/de.xml: Replace text of switch icon with new
	dropdown text.

2014-12-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window): Add parameter no_bulk to
	hide bulk actions.
	(html-allinfo-table): Hide bulk actions here.

2014-12-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (export_many): Add special case for type "info".
	(process_bulk_omp): Check if info_type is given for type "info".

	* src/html/classic/omp.xsl (list-window): Add hidden info_type input
	and use correct path to id when type is "info".
	(info/cpe, info/cve, info/nvt, info/ovaldef, info/cert_bund_adv)
	(info/dfn_cert_adv, info/allinfo): Show checkboxes when if bulk_select
	is on.
	(html-cpe-table, html-cve-table, html-nvt-table, html-ovaldef-table)
	(html-cert_bund_adv-table, html-dfn_cert_adv-table)
	(html-allinfo-table): Set icon-count to 1 to show Actions column if
	bulk_select is on.

2014-12-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Add current_user.

	* src/gsad_omp.c (save_user_omp): Only send NEW_NAME when login is
	given.

	* src/html/classic/omp.xsl (user [edit]): Skip name editing when editing
	current user.

2014-12-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (lsc_credential, agent, alert, filter)
	(target, config, schedule, scanner, slave, group, permission)
	(port_list, report_format, role, user): Show checkboxes when if
	bulk_select is on.

2014-12-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window): Make the bulk actions row
	a lighter grey.

2014-12-18  Matthew Mundell <matthew.mundell@greenbone.net>

	Enable editing of user names.

	* src/gsad_omp.c (save_user_omp): Add NEW_NAME to MODIFY_USER.

	* src/html/classic/omp.xsl (user [edit]): Switch name to a text input.

2014-12-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (assets): Use new style page controls.

2014-12-18  Matthew Mundell <matthew.mundell@greenbone.net>

	Add conceptual overview of permissions, and update predefined roles.

	* src/html/classic/help.xl (users.html): Replace predefined role
	description with link.
	(permissions.html): Link to conceptual overview.  Update columns.
	(new_permission.html): Update columns.  Add conceptual overview.
	Mention "low level" in first paragraph.
	(roles.html): Add new list of predefined roles.
	(glossary.html): Add permission.  Link to it in roles.

2014-12-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_many): Do not remember new filt_id if it is "0".

2014-12-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add bulk delete and export of page contents or checkbox selection
	for Scan Management and Tags.

	* src/gsad_omp.c (process_bulk_omp, bulk_delete_omp): New functions.

	* src/gsad_omp.h (process_bulk_omp, bulk_delete_omp): New prototypes.

	* src/gsad.c (init_validator): Add bulk_delete and process_bulk
	commands. Add parameters bulk_selected:name, bulk_selected:value,
	bulk_delete.x, bulk_export.x, bulk_delete.x, bulk_select.
	(params_append_mhd): Add case for bulk_selected.
	(exec_omp_post): Add case for bulk_delete command.
	(params_mhd_add): Add case for bulk_selected.
	(exec_omp_get): Add case for process_bulk command.

	* src/html/classic/omp.xsl (list-window): Add table row for bulk action
	icons. Either wrap table in a HTML form element for checkbox selections
	or build a form in the new bulk actions row that selects all items on
	the current page.
	(report, task): Replace action icons with checkbox if bulk_select is on.
	(html-tasks-table): Make overrides icon static if bulk_select is on.
	(tag, note, override): Replace action icons with checkbox if
	bulk_select is on.
	(html-reports-table): Make overrides icon static if bulk_select is on.
	(html-results-table): Make overrides icon static and add Actions column
	if bulk_select is on.
	(result): Add checkbox if bulk_select is on.
	(process_bulk): New template.

	* src/html/classic/po/de.xml: Add messages for bulk actions.

2014-12-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (edit_role): Limit groups for Super dropdown to those
	owned by the current user.

2014-12-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Correct next page on Edit Role error.

	* src/gsad.c (init_validator): Add next_error.

	* src/gsad_omp.c (generate_page): New function.  Body from next_page.
	(next_page): Call generate_page.
	(next_page_error): New function.
	(create_permission_omp): Check for an error next page param before
	defaulting to New Permission.

	* src/html/classic/omp.xl (html-edit-role-form): Specify next page for
	error case in New Super Permission form, otherwise it goes to New
	Permission.

2014-12-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_many): Add owner=any to users case, now that users
	have owners.

2014-12-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xl (preference [details])
	(preference [edit-details]): Handle osp_selection case.

2014-12-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference [edit-details]): Don't print the
	value for osp_file preferences as files may be huge.

2014-12-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference [edit-details]): Handle osp_file
	case.

2014-12-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preferences [details])
	(preference [edit-details]): Rename osp_ovaldi_file to ovaldef_file for
	consistency.

2014-12-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/gsad_omp.c (create_permission_omp): Don't create the dropped
	permission "resume_or_start_task" anymore.

2014-12-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (minor-details): Add owner.

2014-12-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_permission): Add filter, now that users have
	owners.

	* src/html/classic/omp.xsl (group, role, user): Add observer icon, now
	that owners are used.

2014-12-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/gsad.c (init_validator, exec_omp_post): Renamed
	resume_stopped_task to resume_task.

	* src/gsad_omp.c (resume_stopped_task_omp): Renamed to resume_task_omp.
	(create_permission_omp): Adjust to name change.
	(resume_task_omp): Renamed command string from "resume_stopped"
	to "resume".

	* src/gsad_omp.h: Adjust proto accordingly.

	* src/html/classic/gsad.xsl (template resume_stopped_task_response):
	Renamed to resume_task_response.
	(template html-gsa-logo): Adjust to name change.

	* src/html/classic/omp.xsl (task-icons, get_task, get_tasks): Adjust
	to name change.
	(resume_stopped_task_response): Renamed to resume_task_response.

	* src/html/classic/po/de.xml, src/html/classic/po/zh.xml: Update
	strings about resume tasks.

2014-12-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [result-header]): Add image param.
	(result [result-headers], result [result-body], html-results-table)
	(result): Add Solution type column.

2014-12-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task [trash]): Add observer icon.

2014-12-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (GET_TRASH_RESOURCE): Get all trash that the user may
	view.

	* src/html/classic/omp.xsl (agent [trash], alert [trash])
	(filter [trash], tag [trash], target [trash], config [trash])
	(schedule [trash], scanner [trash], slave [trash], note [trash])
	(override [trash], group [trash], permission [trash], port list [trash])
	(report_format [trash], role [trash]): Add observer icon.

2014-12-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (permission): Add observer icon.

2014-12-09  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (new-user-role-select): Remove exclusion
	of Super Admin role, so that the caller can control this.
	(html-create-user-form): Exclude Super Admin explicitly.
	(user [edit]): Include Super Admin if the user is already a Super Admin.

2014-12-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (page_url): Replace the cmd param in the URL.  Also be
	more careful about what can come before the parameters.

2014-12-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (new_task): Use correct scanner type value.
	(html-edit-task-scanner-disabled): Add scanner_type value to the save
	form.

2014-12-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_task_omp): Revert 21088. Conditional is true as
	value 1 is for OSP Scanner type.

2014-12-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_task): Get all slaves that the user may read.

2014-12-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/img/clone_inactive.png: Make lighter so it's more
	like the others.

2014-12-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* CMakeLists.txt: Add new icon from last commit.

2014-12-03  Matthew Mundell <matthew.mundell@greenbone.net>

	Enable mixing slaves and tasks with those of other users.

	* src/gsad_omp.c (edit_task): Get all slaves the user may read.

	* src/html/classic/omp.xsl (task-icons): Mark slave unavailable if user
	may not read it.
	(slave [details]): Mark task unavailable if user may not read it.

	* src/html/classic/img/details_inactive.png: New file.

2014-12-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_task_omp): Correct conditional.  Scanner of type
	"1" must use the given slave, host_ordering, etc.

2014-12-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (fill_empty_fields): Check
	the data type of empty fields and choose the filler accordingly.

2014-12-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add icons, a new list column and a donut chart for the solution_type
	tag of NVTs.

	* src/html/classic/graphics.xsl (js-secinfo-top-visualization)
	(dashboard [secinfo]): Add donut chart of NVTs by solution_type.

	* src/html/classic/omp.xsl (solution-icon): New template.
	(list-window): Add image parameter to column-name template calls.
	(column-name): New parameter image that replaces the column label text
	with an image.
	(info/nvt, html-nvt-table): Add new solution_type column.
	(nvt [details]): Add icon for solution_type.

	* src/html/classic/js/gsa_donut_chart.js (generate): Apply new
	fill_empty_fields function to data.

	* src/html/classic/js/gsa_graphics_base.js (fill_empty_fields): New
	function. Fills empty fields with "N/A" and moves records with empty
	x axis field to the end of the records list.

2014-12-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Explicitly ignore generated CPE icon and timezone
	dictionaries when creating a source package.

2014-12-01  Matthew Mundell <matthew.mundell@greenbone.net>

	Ensure that auto refresh goes to the current page when the previous page
	submitted a form.

	* src/gsad_base.h (credentials_t): Add current_page.

	* src/gsad.c (credentials_free): Free current_page.

	* src/gsad_omp.c (xsl_transform_omp): Add CURRENT_PAGE to ENVELOPE.
	(page_url, page_url_append_param): New functions.
	(next_page): Setup current_page in credentials according to "next"
	param.  This overrides the default, which is to use the caller URL.
	(get_one, get_task, get_config): Append ID to page_url when extracting
	ID from OMP CREATE response.

	* src/html/classic/gsad.xsl (autorefresh [html-header-meta]): Use
	CURRENT_PAGE instead of CALLER for the refresh URL.
	(current_page): New template.

2014-12-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-reports-table): Add "permission=any"
	and "owner=any" keywords to filter used by "Return to default filter
	view" icon.

2014-11-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (user): Add permissions test to delete icon,
	to match Details page.

2014-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Add missing entry.

2014-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (edit_role): Correct filter field name.

2014-11-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_one): Check if extra_xml was given, to prevent
	segfaults when the database contains errors.

2014-11-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (user): Correct condition for greying the
	delete icon.

2014-11-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (modify-task-wizard): Change "next" param
	to "get_tasks".

2014-11-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (quick-first-scan-wizard): Pass default
	Port List, Alert, OpenVAS Scan Config, Credentials, OpenVAS Scanner and
	Slave from My Settings to wizard. Add a note about the use of these
	defaults.
	(quick-task-wizard): Pass default Port List and OpenVAS Scanner from
	My Settings. Add a note about the use of these defaults.

	* src/html/classic/po/de.xml: Add the notes about using the defaults.

2014-11-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Add Super permissions support to Edit Permissions page.

	* src/gsad_omp.c (save_permission_omp): Add resource type to OMP.

	* src/html/classic/omp.xsl (html-edit-permission-form): Add Super,
	including optional resource type field.

2014-11-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (new_task): Don't show OSP task submenu if no
	OSP configs are available.

2014-11-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c: Remove #define _GNU_SOURCE and <time.h> include.
	Include <openvas/base/openvas_file.h> instead.
	(format_file_name): Use openvas_export_file_name from libraries to
	format the file name.

2014-11-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Add creating of role/group/user Super permissions to New Permissions
	page.

	* src/gsad_omp.c (create_permission_omp): Allow "" as resource type.

	* src/html/classic/omp.xsl (gsa:permission-description): Add type name
	to Super description.
	(html-create-permission-form): Add Super, including optional resource
	type field.
	(html-edit-role-form): Switch to optional_resource_type.

2014-11-25  Matthew Mundell <matthew.mundell@greenbone.net>

	Add a New Super Permission section on the Edit Role page.

	* src/gsad.c (init_validator): Add Super to permission.

	* src/gsad_omp.c (create_permission_omp): Handle resource_type.
	(edit_role): Get groups for dropdown.

	* src/html/classic/omp.xsl (html-edit-role-form): Add Super section.

2014-11-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (quick-task-wizard): Add timezone
	selector drop-down.

2014-11-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (modify-task-wizard): Use parameter
	"start_timezone" instead of "timezone" to set timezone of schedule.

2014-11-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task-icons): Put back the special
	enable_stop case that Jan removed with the Pause feature.  This is handy
	when the task gets stuck on Stop Requested after an error.

2014-11-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-create-config-form): Don't show OSP
	scanners drop-down if it is empty.

2014-11-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (wizard-icon): Add "Modify Task Wizard"
	to menu.
	(modify-task-wizard, wizard/modify_task): New templates.
	(wizard_list): Add "Modify Task Wizard" to menu.

	* src/html/classic/po/de.xml: Add text of new Modify Task Wizard.

2014-11-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (alert [newtask], new-task-alert-select):
	New parameter select_id to pre-select an alert by id.
	(new_task): Select all alert_id_optional parameters and sort drop-downs
	using index of alert_id_optional. Use alert_id element in new_task
	to select the default Alert in the last drop-down.

2014-11-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add settings for default resource selections on the "New Task" and
	"New Target" pages.

	* src/gsad_omp.c (setting_get_value): Allow missing settings.
	(PARAM_OR_SETTING): New macro.
	(new_task, new_target): Get resource params or fall back to default
	resource settings and add them to the new_task / new_target element.
	(get_my_settings_omp, edit_my_settings): Get Alerts, Configs,
	Credentials, Filters, Port Lists, Scanners, Schedules, Slaves and
	Targets in one "commands" command. Adjust Error messages.
	(save_my_settings_omp): Save new default resources settings. Get
	Alerts, Configs, Credentials, Filters, Port Lists, Scanners, Schedules,
	Slaves and Targets in one "commands" command.

	* src/gsad.c (init_validator): Add settings_default:name and
	settings_default:value.
	(params_append_mhd, params_mhd_add): Add settings_default:.

	* src/html/classic/help.xsl (my_settings.html): Add new section about
	default resource settings.

	* src/html/classic/omp.xsl (get-settings-resource): New template.
	(get-settings-filter): Use get_filter_response in commands_response.
	(edit-settings-resource): New template.
	(edit-settings-filters): Use get_filter_response in commands_response.
	(new_task): Pre-select resources from new_task element in drop-downs.
	(lsc_credential [select], port_list [select]): Add select_id param to
	select an entry by id.
	(html-create-target-form): Pre-select resources from new_task element
	in drop-downs.
	(get_my_settings, edit_my_settings): Add default resource settings.

	* src/html/classic/wizard.xsl (quick-task-wizard): Pre-select resources
	based on settings.

2014-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta5.

2014-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0+beta4 release.

	* CHANGES: Updated.

2014-11-21  Matthew Mundell <matthew.mundell@greenbone.net>

	Make delete and clone icons fit special restrictions on Super Admin.

	* src/html/classic/omp.xsl (list-window-line-icons): Make clone tooltip
	more generic.
	(details-header-icons): Add grey-clone flag.
	(user): Grey delete icon according to writable and in_use.  Grey clone
	icon if the user has the Super Admin role.
	(user [details]): Grey clone if Super Admin.

2014-11-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (new-user-role-select, html-create-user-form)
	(user [edit]): Remove Super Admin from role lists.

2014-11-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/help.xsl (reports.html): Removed note about "timezone"
	modifier as it was wrongly placed.
	(view_report.html): Added the note here and removed some void paragraphs.
	This section still needs a comprehesive update.

2014-11-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* tools/zone-append.in, tools/zone-prepend.in: Remove. Renamed to
	tools/zone-dict-append.in, tools/zone-dict-prepend.in.

	* tools/zone-dict-append.in, tools/zone-dict-prepend.in: New. Renamed
	files tools/zone-append.in, tools/zone-prepend.in.

2014-11-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/help.xsl (reports.html): Added note about "timezone"
	modifier.

2014-11-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (help [new_schedule.html])
	(help [my_settings.html]): Update Timezone for new dropdown selection.

2014-11-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (timezone-select): Use the given timezone for
	the fallback text box instead of the current timezone.  Use the name arg
	for the text box, instead of always 'text'.  Update the arg name to
	reflect this, and update all callers accordingly.

2014-11-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-schedule-form)
	(html-edit-schedule-form): Use dropdown for timezone.

2014-11-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [filterbox]): Add timezone field in
	expanded filtering.
	(timezone-select): New template.
	(edit_my_settings): Call timezone-select to do timezone dropdown.

2014-11-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (gsa:permission-description): Add Super.
	(role [details]): Prepend Super row in Permissions window if user has
	Super permission.

2014-11-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (setting_get_value): New function.
	(export_resource, export_many, get_report): Get file name setting
	using setting_get_value.
	(authenticate_omp): Get language and autorefresh setting using
	setting_get_value.

2014-11-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Add filter keywords
	"permission=any owner=any" to report list links.

2014-11-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (resource-permissions-window): Change the
	permission selection to "read" and "proxy" only.

2014-11-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_trash): Fix typo in GET_LSC_CREDENTIALS messages.

2014-11-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [summary]): Add timezone to dates,
	now that the timezone can be changed in the filter.

2014-11-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_donut_chart.js (generate): Show long form
	of x value in tooltip if available.

	* src/html/classic/js/gsa_graphics_base.js (data_severity_level_counts):
	Add long form of severity classes.

2014-11-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_task): Use regex for name to select permissions.
	(create_permission_omp): Create get_tasks, modify_task, start_task,
	stop_task, resume_or_start_task and resume_stopped_task permissions
	if the permission name is "task_proxy".

	* src/html/classic/omp.xsl (resource-permissions-window): Add dropdown
	to select the type of permission, including a special "proxy" case
	for tasks that adds all permissions except delete.

	* src/html/classic/po/de.xml: Add / modify strings for new permission
	selection in Permission Window.

2014-11-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Use a dropdown for the timezone on the Edit User page.

	* CMakeLists.txt: Create and install timezone dictionary.

	* src/html/classic/omp.xsl (edit_my_settings): Use dropdown for
	timezone.

	* tools/generate-zone-dict.sh, tools/zone-append.in,
	tools/zone-prepend.in: New files.

2014-11-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Check for and link against libopenvas_omp,
	libopenvas_base and libopenvas_misc libraries instead of the whole
	libopenvas package.

2014-11-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css (.d3-tip): Reduce padding and center
	text.

	* src/html/classic/js/gsa_bar_chart.js (severity_bar_style): Remove
	console output. Change second "if" to "else if". Use the color halfway
	between class colors for mixed bars to improve contrast.
	(generate): Show x value (or its "~long" version if available) in the
	tooltip.

	* src/html/classic/js/gsa_graphics_base.js (data_severity_histogram):
	Add a special "~long" version of the bin column to the records that
	specifies the whole severity range of a row (e.g. "1.1 - 2.0").

2014-11-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (format_file_name): Consider format_state being -1
	in assertion.

2014-11-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css: Add styles for icon menus.

	* src/html/classic/wizard.xsl (wizard-icon): Open a drop-down menu
	to select the wizard when hovering over the icon.

2014-11-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (init-d3charts): Correct max_low
	assignment.

	* src/html/classic/js/gsa_bar_chart.js (severity_bar_style): Adjust
	to corrected max_low and blend colors for bars that represent more
	than one severity level.

2014-11-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (format_file_name): Add string placeholder support for
	current, creation and modification time. Make modification date
	fallback work as described on the help page.

	* src/gsad.c (init_validator): Add %c, %m and %t as valid placeholders
	in details_fname, list_fname and report_fname.

	* src/html/classic/help.xsl (my_settings.html): Add descriptions of
	new placeholders.

2014-11-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (): Add #define _GNU_SOURCE and #include <time.h>.
	(format_file_name): Add credentials and resource_entity parameters.
	Add string placeholder support for current user name, creation and
	modification date. Rename file_date to now_date and free it before
	returning.
	(export_resource, export_many): Add new parameters to format_file_name
	call.
	(get_report): Close server connection after getting the file name
	setting in XML case. Add new parameters to format_file_name call.

	* src/gsad.c (init_validator): Add %C, %M and %u as valid placeholders
	in details_fname, list_fname and report_fname.

	* src/html/classic/help.xsl (my_settings.html): Add descriptions of
	new placeholders.

2014-11-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (create_target_omp): Free esxi_credentials_element
	after command has been generated.

2014-11-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-logo): Set height and width of
	logo img as some versions of Firefox do not always adjust the size
	correctly.

2014-11-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (svg_from_elem): Clone
	the SVG element and remove elements marked with the CSS class
	"remove_on_static".

	* src/html/classic/js/gsa_line_chart.js (generate): Add CSS class
	"remove_on_static" to tooltip elements.

2014-11-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js (generate)
	src/html/classic/js/gsa_bubble_chart.js (generate)
	src/html/classic/js/gsa_donut_chart.js (generate)
	src/html/classic/js/gsa_line_chart.js (generate): Clear mouse event
	listeners when chart is loaded.

2014-11-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make formatting in tables and some chart tooltips data type specific.

	* src/html/classic/js/gsa_bar_chart.js (generate): Pass column info to
	csv_from_records and html_table_from_records.

	* src/html/classic/js/gsa_bubble_chart.js (tooltip_func): Replace
	hardcoded formatting of color values with format_data calls for all
	fields.
	(generate): Pass column info to csv_from_records and
	html_table_from_records.

	* src/html/classic/js/gsa_donut_chart.js (generate): Pass column info
	to csv_from_records and html_table_from_records.

	* src/html/classic/js/gsa_graphics_base.js (gsa.date_format)
	(gsa.datetime_format): New date format functions.
	(format_data, format_data_default): New functions.
	(csv_from_records, html_table_from_records): Apply format_data to
	the data values.

	* src/html/classic/js/gsa_line_chart.js (time_line): Change data type
	of t_field to "js_date" in column info.
	(mouse_moved): Replace hardcoded date formatting with format_data call.
	(generate): Pass column info to csv_from_records and
	html_table_from_records.

2014-11-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/img/st_workaround.png,
	src/html/classic/img/solution_type.png,
	src/html/classic/img/st_vendorfix.png,
	src/html/classic/img/st_willnotfix.png,
	src/html/classic/img/st_nonavailable.png
	src/html/classic/img/st_mitigate.png: New. Icons for Solution Type.

	* CMakeLists.txt: Install the new solution type icons.

2014-11-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add the time step to count fields (e.g. "NVTs / day") and correct
	legend placement.

	* src/html/classic/js/gsa_graphics_base.js (column_label): Delegate to
	label_generator function in column info or default_column_label.
	(default_column_label): New function with functionality from original
	column_label function.

	* src/html/classic/js/gsa_line_chart.js (time_line): Add custom column
	labeling function that adds the time step to count fields. Use updated
	column info when processing records.
	(generate): Correct width calculations for legend element placement.

2014-11-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (mouse_moved, generate): Fix
	handling of cases with no records or a single one.

2014-11-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add tooltip box and sliding vertical bar to line charts.

	* src/html/classic/js/gsa_graphics_base.js (find_record_index): New
	function.

	* src/html/classic/js/gsa_line_chart.js (time_line): Remember the
	object used to round the time values.
	(mouse_exited, mouse_moved): New functions.
	(generate): Use d3 min and max functions to get the bounds of x, y and
	y2 values. Attach mouse listeners to the display's SVG element and add
	tooltip elements.

2014-11-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Apply patch provided by Michal Ambroz.

	* src/gsad.c (drop_priveleges): Call setgroups() before setgid().

2014-11-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js
	(detached_chart_resize_listener): Adjust to chart box width being 98%
	of window width.

2014-11-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (DataSource [request_data]):
	Check OMP response code before trying to extract data.

2014-11-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (export_results_omp): New function.

	* src/gsad_omp.h (export_results_omp): New function prototype.

	* src/gsad.c (init_validator, exec_omp_get): Add case for
	export_results command.

2014-11-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (export_resource): Remove special handling for the
	type "result" as results retrieved with the get_results OMP command
	are no longer nested inside a "results" element since trunk r20260.

2014-11-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add settings to modify the file name format of exported resource lists,
	resource details and reports.

	* src/gsad_omp.c (format_file_name): New function.
	(export_resource, export_many, get_report): Generate export file names
	based on format defined in a setting.
	(save_my_settings_omp): Add params for new settings
	"Details Export File Name", "List Export File Name" and
	"Report Export File Name".

	* src/gsad.c (init_validator): Add details_fname, list_fname and
	report_fname.

	* src/html/classic/help.xsl (my_settings.html): Add help for newly
	added settings.

	* src/html/classic/omp.xsl (get_my_settings, edit_my_settings): Add
	new settings new settings "Details Export File Name",
	"List Export File Name" and "Report Export File Name".

	* src/html/classic/po/de.xml: Add new setting names.

2014-11-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_donut_chart.js (generate): Always use
	donut_full_top_path_d if number of slices <= 1.

2014-11-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make charts use filter ids instead of copying filter terms. Add filter
	name to chart header. Limit width of chart box and cut off too long
	title text.

	* src/gsad_omp.c (get_aggregate_omp): Handle filt_id param.

	* src/html/classic/graphics.xsl (js-create-chart-box): Reduce default
	width by 2 px and add container_width.
	(js-aggregate-data-source): Add filt_id parameter.
	(js-aggregate-chart): Add filt_id parameter. Adjust title_total params.
	(js-scan-management-top-visualization, js-secinfo-top-visualization):
	Pass filter id to new charts.

	* src/html/classic/gsa-style.css (.chart-head): Add attributes to cut
	off overlong header text and show ellipsis if necessary.

	* src/html/classic/omp.xsl (get_aggregate): Set container_width of
	chart box to 98% and pass filter id to chart.

	* src/html/classic/js/gsa_bubble_chart.js (simple_bubble_data): Copy
	filter_info from original data object.

	* src/html/classic/js/gsa_graphics_base.js (create_chart_box): Add new
	container_width parameter.
	(DataSource [request_data]): Get filter info.
	(Display [select_filter]): Clear filter term parameter and set filt_id
	instead.
	(extract_filter_info): New function.
	(data_severity_histogram, data_severity_level_counts)
	(resource_type_counts): Copy filter_info from original data object.
	(title_total): Reduce parameters to title and count_field. Make the
	"(Loading...)" and "(Total: [...])" text static. Add filter name to
	title if one is available.

	* src/html/classic/js/gsa_line_chart.js (time_line): Copy filter_info
	from original data object.

2014-11-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Check the result's
	severity for the cases when the nvt's cvss is not available.

2014-11-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Improve check for
	nvt's oid value when adding details link.

2014-10-31  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (nvt [details]): Add subsection for the
	"solution_type" tag.

	* src/html/classic/po/de.xml: Add "Solution type" message.

2014-10-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (time_line): Set time step to
	1 year if data set covers a period of more than 3650 days.

2014-10-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (js-secinfo-top-visualization): Show
	time line chart on all SecInfo list pages.
	(dashboard [secinfo]): Add time line charts for other SecInfo types.

2014-10-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (generate): Position second
	legend element dynamically to ensure it does not overlap the first.

2014-10-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (time_line): Skip records with
	non-numeric time values.

2014-10-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (gsa:field-name): New function. Replaces
	"created" with "creation time", "modified" with "modification time"
	and replaces underscores with spaces for other field names.

	* src/html/classic/graphics.xsl (js-aggregate-chart): Apply new
	gsa:field-name function to column names in selector_label and
	title_generator.

2014-10-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (init-d3charts): Get token from params
	instead of token element to keep special "guest" token.

	* src/html/classic/omp.xsl (get_aggregate): Set auto_load param of
	chart to 0 to avoid unnecessary request.

2014-10-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js
	(data_severity_level_counts): Sort levels in descending order by
	default and add parameter to sort in ascending order.

2014-10-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_target_omp): Remove redundant null check.

2014-10-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_report): Remove stray colon.

2014-10-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-target-form): Use the port list's
	name from the port_list element.

2014-10-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (user_find): In simple cases return 0 directly instead of
	via ret.  In final "if" check if ret has already been set, otherwise the
	return of 3 is overwritten.

	* src/gsad_omp.c (get_report): In prognostic case free delta_states and
	set error, and add missing openvas_server_sendf_xml check.
	(save_user_omp): Remove duplicate assignment.

2014-10-15  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Linking against libgthread is required only when
	using GLib =< 2.30. Adjust checks and assignments in CMakeLists
	accordingly.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta4.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0+beta3 release.

	* CHANGES: Updated.

2014-10-14  Benoît Allard  <benoit.allard@greenbone.net>

	revert r19245 (Older glib still need that call to g_thread_init)

	* src/CMakeLists.txt, src/gsad.c, CMakeLists.txt: Updated

2014-10-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (data_transform): Set to
	time_line by default.
	(time_line): Use same interface as other data transformation functions.
	Re-aggregate all columns and try to determine appropriate method
	automatically. Choose filler for count and c_count automatically if
	none is set in the params.
	(generate): Remove extra call to time_line.

2014-10-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_line_chart.js (time_line): Make 1 month
	the largest time step.
	(generate): Do not call the "nice" function for the x axis.

2014-10-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make charts DataSource extract data records and column info. Pass
	them bundled in a single object together with the XML. Adjust data
	transformation functions accordingly.

	* src/html/classic/js/gsa_bar_chart.js (generate): Use data bundle
	object instead of extracting records from XML and getting column_info
	directly from data_source.

	* src/html/classic/js/gsa_bubble_chart.js (tooltip_func): Use static
	"color_value" as column_info is transformed together with records.
	(generate): Use data bundle object instead of extracting records from
	XML and getting column_info directly from data_source.
	(simple_bubble_data): Adjust to transform whole data bundle, not only
	records.

	* src/html/classic/js/gsa_donut_chart.js (generate): Use data bundle
	object instead of extracting records from XML and getting column_info
	directly from data_source.

	* src/html/classic/js/gsa_graphics_base.js (DataSource [request_data]):
	Extract data records and column info here and bundle it in an object
	which is passed to generators instead of the XML.
	(gather_column_info): Remove. Replaced by extract_column_info.
	(extract_column_info): New function. Extracts the column info from
	the XML response instead of reconstructing it from parameters.
	(column_label, data_severity_histogram, data_severity_level_counts)
	(resource_type_counts, title_total): Adjust to new data object and
	column info syntax.

	* src/html/classic/js/gsa_line_chart.js (generate): Use data bundle
	object instead of extracting records from XML and getting column_info
	directly from data_source. Remove debug output for single record case.

2014-10-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (DataSource [request_data]):
	Gather column information when request finishes.
	(DataSource [column_info], gather_column_info, column_label): New
	functions.

	* src/html/classic/js/gsa_bar_chart.js (generate): Get column info and
	use it to generate table column headers.

	* src/html/classic/js/gsa_bubble_chart.js (generate): Get column info
	and use it to generate table column headers and bubble tooltips.

	* src/html/classic/js/gsa_donut_chart.js (generate): Get column info
	and use it to generate table column headers.

	* src/html/classic/js/gsa_line_chart.js (generate): Get column info
	and use it to generate table column headers.

2014-10-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (users.html): Add info for the roles
	"Info", "Guest" and "Monitor". Note that multiple and user-defined
	roles can be chosen. Change "Role" field to an optional "Roles" one.

2014-10-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Set USE_LIBXSLT by default.

2014-10-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (html_table_from_records):
	Make headline a table row, make table use full window width and remove
	border around table.

2014-10-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (credentials_new, credentials_free): New functions.
	(exec_omp_post, request_handler): Refactor code to use
	credentials_new(), fix credentials memory leaks.

2014-10-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js
	src/html/classic/js/gsa_bubble_chart.js
	src/html/classic/js/gsa_donut_chart.js
	src/html/classic/js/gsa_line_chart.js: Add HTML table export menu item.

	* src/html/classic/js/gsa_graphics_base.js (resource_type_name): Add
	allinfo case.
	(html_table_from_records): New function.

2014-10-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js (generate)
	src/html/classic/js/gsa_bubble_chart.js (generate)
	src/html/classic/js/gsa_donut_chart.js (generate)
	src/html/classic/js/gsa_line_chart.js (generate): Dynamically generate
	CSV column names and make column selection fit the chart better.

2014-09-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bubble_chart.js (generate): Change file names
	of exported CSV and SVG to "gsa_bubble_chart-[...]".

	* src/html/classic/js/gsa_donut_chart.js (generate): Change file name
	of exported CSV to "gsa_donut_chart-[...]".

	* src/html/classic/js/gsa_line_chart.js (generate): Change file name
	of exported CSV to "gsa_line_chart-[...]".

2014-09-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (gsa:escape-js): Add escaping for "<", ">"
	and "'". Use character code form for all escaped characters.

2014-09-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css (.axis text): Split font styling so it
	does not override "font-style".

	* src/html/classic/js/gsa_graphics_base.js (field_name): New function.

	* src/html/classic/js/gsa_line_chart.js (LineChartGenerator): Enlarge
	top margin, add legend_elem variable.
	(generate): Add legend on top of chart. Make font of right y axis
	oblique.

2014-09-29  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (exec_omp_get): Default to GET_SYSTEM_REPORTS before
	GET_MY_SETTINGS, because this is convenient for the Monitor role.

2014-09-29  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (full-report-export-form)
	(filtered-report-export-form): Add timezone to download form.

	* src/gsad_omp.c (get_report): Add timezone to GET_REPORTS request.

2014-09-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add charts to the Tasks page.

	* src/html/classic/graphics.xsl (js-scan-management-top-visualization):
	New template.

	* src/html/classic/omp.xsl (html-tasks-table): Add visualization.

2014-09-26  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (tasks.html): Correct schedule example.

2014-09-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (tasks.html): Note the extra filtering terms
	"schedule" and "next_due".

2014-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add second line to line charts so the NVTs chart shows both the new
	NVTs per time step and the cumulative amount.

	* src/html/classic/js/gsa_line_chart.js (LineChartGenerator): Increase
	right margin size. Add variables for second y axis. Make line generator
	test if y fields are defined.
	(time_line): Add parameters aggregate2, fill, fill2. Return empty data
	array if original was empty. Get data for second y axis and fill in
	missing values according to fill and fill2.
	(generate): Add second line and y axis. Handle missing values and data
	arrays containing only one point.

2014-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Process charts request parameter for all http get requests, not just
	OMP get commands.

	* src/gsad_omp.c (get_many): Do not set the charts setting here.

	* src/gsad.c (exec_omp_get): Try to get charts parameter and update
	setting accordingly.

2014-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (get_aggregate): Get displays array from
	gsa object.

2014-09-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Clean up various variables of chart JavaScript that are global, but
	should be local.

	* src/html/classic/graphics.xsl (init-d3charts): Put chart objects,
	gsa_token and severity_levels into a gsa base object.
	(js-aggregate-data-source, js-aggregate-chart)
	(js-secinfo-top-visualization, dashboard [secinfo]): Update references
	to objects now in the gsa object.

	* src/html/classic/js/gsa_bubble_chart.js (simple_bubble_data): Make
	the variable d local.

	* src/html/classic/js/gsa_donut_chart.js (relax_labels): Make variables
	local.

	* src/html/classic/js/gsa_graphics_base.js (): Create gsa object.
	(create_chart_box, Display, create_uri, capitalize)
	(data_severity_histogram, data_severity_level_counts)
	(resource_type_counts, wrap_text, title_total)
	(severity_colors_gradient): Update references to objects now in the gsa
	object and make various temporary variables local.

2014-09-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Reorganize generic chart functions, including moving them from chart
	type specific files to the more general gsa_graphics_base.js.

	* src/html/classic/js/gsa_bar_chart.js (title_static, title_total)
	(data_raw, data_severity_histogram): Remove. Moved to
	gsa_graphics_base.js.

	* src/html/classic/js/gsa_donut_chart.js (data_severity_level_counts):
	(resource_type_counts, severity_level_color_scale): Remove. Moved to
	gsa_graphics_base.js.

	* src/html/classic/js/gsa_graphics_base.js: Reorganize functions into
	different sections.
	(create_chart_box): Add 'and' in comment.
	(output_error, open_detached, fit_detached_window)
	(detached_chart_resize_listener): Relocate to section "Generic display
	helper functions".
	(data_raw, data_severity_histogram): Add. Moved from gsa_bar_chart.js.
	Add comments.
	(data_severity_level_counts, resource_type_counts)
	(severity_level_color_scale): Add. Moved from gsa_donut_chart.js.
	Add comments.

2014-09-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add basic line chart.

	* CMakeLists.txt: Install file src/html/classic/js/gsa_line_chart.js.

	* src/html/classic/graphics.xsl (init-d3charts): Load new file
	js/gsa_line_chart.js.
	(js-aggregate-chart): Add new case for line chart.
	(js-secinfo-top-visualization, dashboard [secinfo]): Add line chart for
	NVTs by creation time.

	* src/html/classic/js/gsa_line_chart.js: New JavaScript file.

2014-09-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Bump required minimum version of openvas-libraries.

	* CMakeLists.txt: Bump required openvas-libraries version to 8.0.0 or
	later.

	* INSTALL: Update version of openvas-libraries dependency.

2014-09-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference [details, edit-details]): Handle
	osp_boolean preference type adequately.

2014-09-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (get_my_settings): Correct row backgrounds.

2014-09-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta3.

2014-09-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 6.0+beta2 release.

	* CHANGES: Updated.

2014-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/img/os_netgear.png: New.

	* src/html/classic/img/os_cyclades.png: Updated.

	* CMakeLists.txt: Install the two icons.

	* src/html/classic/os.xml: Added netgear.

2014-09-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (glossary.html): Mention task alterable
	flag.
	(tasks.html): Add note about when Alterable Task field is present, for
	Edit Task help.

2014-09-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_report): Use "no_pagination" as value for
	apply_filter if it is not given.

	* src/html/classic/omp.xsl (report [section-filter]): Color text grey
	only if the filter is not applied at all.

2014-09-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (new_task.html): Get row backgrounds right.

2014-09-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (details-window-line-actions): Use type in
	alt instead of "Scanner".
	(task_details.html): Bring Task Details up to date.

2014-09-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Allow configuring a scanner for IT-Schwachstellenampel. Make config
	and scanner available after submitting forms.

	* doc/readme-its.txt: Extend note to also include the Scanner.

	* src/html/its/gsad.xsl (main_page_link): Add new parameter
	event_data:include_scanners.
	(charts, chart_preferences): New dummy templates.
	(html-footer): Increase version number to 1.2.

	* src/html/its/omp.xsl (task_controls): Try to get Config from
	event_data:config_id parameter if get_configs is not not available.
	Get scanner "ITS-Scanner" from get_scanners response or last
	event_data:scanner_id. Add warning if Scanner is not found.
	Pass event_data:config_id and event_data:scanner_id in every form.

2014-09-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/readme-its.txt: Added not on special Scan Config
	and Report Format Plugin.

2014-09-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_report): Change possible values for apply_filter,
	allowing to only ignore the pagination info like the "first" and "rows"
	filter keywords.

	* src/gsad.c (init_validator): Make apply_filter a separate parameter
	name allowing the values "no", "no_pagination" and "full".

	* src/html/classic/omp.xsl (report [section-filter]): Add new default
	option to only ignore the pagination info and adjust existing selection
	items.

	* src/html/classic/po/de.xml: Update selection for apply_filter on
	report section pages.

2014-09-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add ESXi credentials to targets.

	* src/gsad_omp.c (create_target_omp, save_target_omp): Add ESXi
	credentials.

	* src/gsad.c (init_validator): Add lsc_esxi_credential_id as
	as alias for lsc_credential_id.

	* src/html/classic/help.xsl (new_target, targets.html): Add ESXi
	credentials.

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form, html-targets-table, target, target [trash])
	(target [details], html-targets-trash-table): Add ESXi credentials.

	* src/html/classic/po/de.xml, src/html/classic/po/zh.xml: Change target
	column names.

2014-09-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl, src/html/classic/omp.xsl: Use OSP Scanner
	name instead of OSP Ovaldi.

2014-09-16  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-target-form): Fix XPath
	expressions for get_target_response, which is no longer nested inside a
	commands_response element since the target_locator removal.

2014-09-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Add ChangeLog for last commit.

2014-09-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-navigation): In the Configuration
	menu round the bottom of the menu highlight when there is only one item.

2014-09-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (xsl_transform_omp, get_many): Pass token instead of
	username to set functions.

2014-09-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (exec_omp_post, file_content_response)
	(request_handler): Check if guest_username is NULL before printing it.

2014-09-15  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/html/classic/po/de.xml: Fix spelling in German translation.

2014-09-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (user_add): Check guest_username value before usage to
	avoid segfault.

	* src/html/classic/omp.xsl (result [result-headers]): Don't leave
	result title empty in case no possible value is present.

2014-09-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (params_mhd_validate): Adjust to handle params with
	osp_pref_ prefix.

	* src/gsad_omp.c (save_osp_prefs): Correctly send all osp preferences.

	* src/html/classic/omp.xsl (edit-config-preferences [edit-details]):
	Handle preferences of osp_string type. Distinguish osp parameters with
	osp_pref_ prefix. Handle outputting of osp preferences values.

2014-09-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (user_find): Add more returns from authenticate_omp.
	(exec_omp_post, request_handler): Show login screen when automatic guest
	login fails.

2014-09-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (user_add): Set guest according to username.  This ensures
	that the user is marked as guest even when logged in with a password,
	which results in the session being used for generic guest links too.
	(user_find): Remove user->guest init.  Now done in user_add.

2014-09-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (struct user): Add guest flag.
	(user_add): Init guest flag.
	(user_find): When the special token is given and the guest user has an
	existing session in the browser, then use the existing session.  This
	prevents the generic guest links from logging the guest out on another
	tab, for example.

2014-09-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (exec_omp_get): Default to dashboard in get_info case, to
	match the first item in the SecInfo menu.

	* src/gsad_omp.c (dashboard): Default dashboard name to SecInfo.

2014-09-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Allow users to have multiple simultaneous sessions, as long as the
	sessions are on different browsers.

	* src/gsad.c (user_add): Remove all previous users that have timed out.
	Always add a new user.
	(user_set_timezone, user_set_password, user_set_severity)
	(user_set_language, user_set_language_code, user_set_charts)
	(user_set_chart_pref, user_set_autorefresh): Change name arg to token.
	(exec_omp_post): Set user prefs in session by token instead of by name.

2014-09-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Remember last filt_id on each list page for the current session.

	* src/gsad_base.h (credentials_t): Add field last_filt_ids.

	* src/gsad_omp.c (get_many, get_report): Save type specific filt_id in
	current session data if it is given and retrieve it if neither filt_id
	nor filter is given.

	* src/gsad.c (user): Add field last_filt_ids.
	(user_add): Create last_filt_ids.
	(exec_omp_post, request_handler): Copy last_filt_id from user to
	credentials.

014-09-10 Michael Meyer <michael.meyer@greenbone.net>

	* src/html/classic/img/os_cyclades.png:
	New icon for cyclades.

	* src/html/classic/os.xml:
	Added cyclades.

2014-09-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Add automatic login of a specified user via a special token, and a
	"Login as a guest" link on the Login page.

	* src/gsad.c (guest_username, guest_password): New variables.
	(user_find): If the token is "guest" and --guest-username was given,
	then login as the guest user.
	(exec_omp_post, request_handler): Send guest username to XSL.  Handle
	new user_find return.
	(file_content_response): Send guest to XSL.
	(main): Add --guest-username and --guest-password.

	* src/html/classic/gsad.xsl (login_page): Display guest login link if
	configured.

2014-09-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (mhd_logger): Remove logger mutex locking as it is done in
	openvas_logging module now.

2014-09-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make autorefresh interval a user setting that's automatically set
	by the refresh_interval parameter (e.g. from dropdown selections).

	* src/gsad_base.h (credentials_t): Add "autorefresh" field.
	(user_set_autorefresh): New function prototype.

	* src/gsad_omp.c (omp, ompf): New static function prototypes.
	(xsl_transform_omp): Save refresh_interval parameter in user settings.
	(authenticate_omp): Add autorefresh parameter and get "Auto-Refresh"
	setting.

	* src/gsad_omp.h (authenticate_omp): Add autorefresh parameter.

	* src/gsad.c (user): Add "autorefresh" field.
	(user_add): Add autorefresh parameter and set the autorefresh field
	of the user.
	(user_set_autorefresh): New function.
	(exec_omp_post, request_handler): Handle new autorefresh field of user
	and set autorefresh interval attribute in response to user setting.

	* src/html/classic/gsad.xsl (autorefresh): Add conditions for adding
	the refresh metadata.

2014-09-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (xsl_transform_omp): Exclude installer from PARAMS, as
	it may be binary.

2014-09-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-pager): Only activate the
	previous page button if the max rows parameter is > 0.

2014-09-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [section-list]): Add new item
	"Results view" linking to the get_results table.

	* src/html/classic/po/de.xml: Add new message "Results view" to
	context "Report Section".

2014-09-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (assets): Automatically submit overrides
	dropdown selection.
	(section-filter): Auto-submit filter dropdown selection.
	(get_system_reports_response): Auto-submit slave dropdown selection.

2014-09-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add clone icon to details pages.

	* src/html/classic/help.xsl (details-window-line-actions): Add section
	on clone icon.

	* src/html/classic/omp.xsl (gsa:may-clone): New function.
	(list-window-line-icons): Use new gsa:may-clone function to check if
	current user may clone the resource.
	(details-header-icons): Add clone icon.

2014-09-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (details-header-icons): Use gsa:may for New
	icon because gsa:may-op checks resource permissions.

2014-09-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-navigation): Add divider lines
	after Scan Management->Results, SecInfo Management->DFN-CERT and
	Administration->Roles.

2014-09-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help.xsl (contents.html): Add link to Results page.
	(glossary.html): Add section "Result".
	(results.html): New template.

2014-09-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers]): Fix report and
	task related parameters and add missing ones for "Add Note" and
	"Add Override" buttons.

2014-09-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preferences [details])
	(preference [edit-details]): Rename ovaldi_file to osp_ovaldi_file.
	Handle osp_integer preference type.

2014-09-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-note-form)
	(html-create-override-form, get_results_response, html-results-table):
	Change location of result elements from a results element inside the
	get_results_response element to directly inside get_results_response.

2014-09-04 Michael Meyer <michael.meyer@greenbone.net>

	* src/html/classic/os.xml:
	Added Cisco IOS XR.

2014-09-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Add section
	"Affected Software/OS" for showing the "affected" NVT tag.

	* src/html/classic/po/de.xml, src/html/classic/po/zh.xml: Add messages
	for the added "Affected Software/OS".

2014-09-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (get_nvts): Use "details" mode when
	applying templates to the NVT.

2014-09-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add autofp and override controls to results list page.

	* src/gsad_omp.c (get_many): Add apply_overrides and autofp keywords
	for results.
	(get_results): Add function call for toggling overrides.

	* src/html/classic/omp.xsl (filter-rest): Skip the keyword "autofp".
	(filter-window-part): Add autofp selection.
	(html-results-table): Add overrides toggle button to severity column.

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Make license of CMakeLists.txt files consistent.

	* doc/CMakeLists.txt: Change license from LGPLv2+ to GPLv2+.

2014-09-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bubble_chart.js (BubbleChartGenerator): Round
	severity to one decimal place in tooltip.
	(BubbleChartGenerator [generate]): Save data_column in a variable.
	Fix nodes list generated for empty datasets and remove bubbles without
	any assigned data.

2014-09-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, doc/gsad.8.xml, src/CMakeLists.txt, src/gsad_base.c,
	src/gsad_base.h, src/gsad.c, src/gsad_omp.c, src/gsad_omp.h,
	src/tracef.h, src/validator.c, src/validator.h,
	src/html/classic/graphics.xsl, src/html/classic/gsad.xsl,
	src/html/classic/gsa-style.css, src/html/classic/help_de.xsl,
	src/html/classic/help.xsl, src/html/classic/help_zh.xsl,
	src/html/classic/omp-doc.xsl, src/html/classic/omp.xsl,
	src/html/classic/os.xml, src/html/classic/po/de.xml,
	src/html/classic/po/zh.xml, src/html/classic/rnc.xsl,
	src/html/classic/wizard.xsl, src/html/classic/js/gsa_bar_chart.js,
	src/html/classic/js/gsa_bubble_chart.js,
	src/html/classic/js/gsa_donut_chart.js,
	src/html/classic/js/gsa_graphics_base.js, src/html/its/CMakeLists.txt,
	src/html/its/gsad.xsl, src/html/its/gsa-style.css,
	src/html/its/help.xsl, src/html/its/omp.xsl,
	tools/generate-cpe-icon-dict.sh: Ensure the GPLv2+ license notice uses
	the paragraph suggested by the Free Software Foundation.

2014-09-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (new_config): Query the list of scanners.
	(create_config_omp): Send uuid of scanner to create config from, when
	base config value is 0.
	(new_alert): Fix error message.

	* src/html/classic/omp.xsl (html-create-config-from): Add choice list of
	OSP scanners to create config from.

2014-09-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (nvt): Add details mode to template, to
	differentiate with info/nvt template.
	(nvt-details): Fix template name. Correctly call nvt template.
	(html-config-nvt-table): Correctly call nvt template.

2014-09-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add "NVTs by family" bubble charts.

	* CMakeLists.txt: Install src/html/classic/js/gsa_bubble_chart.js.

	* src/html/classic/graphics.xsl (init-d3charts): Add
	gsa_bubble_chart.js.
	(js-aggregate-data-source): Add data_column parameter for generic
	DataSource.
	(js-aggregate-chart): Add chart type option "bubbles".
	(js-secinfo-top-visualization, dashboard [secinfo]): Add bubble charts
	"NVTs by family".

	* src/html/classic/js/gsa_bubble_chart.js: New JavaScript file.

	* src/html/classic/js/gsa_graphics_base.js (severity_colors_gradient):
	New function.

2014-08-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta2.

2014-08-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the gsa 6.0+beta1 release.

	* CHANGES: Updated.

2014-08-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add overview table of all results to Scan Management.

	* src/gsad_omp.c (next_page): Add case for get_results.
	(get_results, get_results_omp): New functions.

	* src/gsad_omp.h (get_results_omp): New function prototype.

	* src/gsad.c (init_validator, exec_omp_get): Add command get_results.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Add "Results" item
	to Scan Management menu.

	* src/html/classic/omp.xsl (get_results_response): Add case for
	table view of results.
	(html-results-table, result): New templates.

2014-08-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Handle ospd-ovaldi
	results with no attached oval definintions.

2014-08-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Use right element for
	alterable field.

2014-08-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/help_de.xsl, src/html/classic/po/de.xml: Remove
	remaining mentions of paused tasks.

2014-08-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Remove reference to deleted files.

	* src/html/classic/help_de.xsl, src/html/classic/po/de.xml,
	src/html/classic/po/zh.xml, src/html/its/gsad.xsl, src/html/its/omp.xsl:
	Update for pause feature removal.

2014-08-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Finish removal of pause feature.

	* src/gsad.c (init_validator): Don't validate pause_task and
	resume_paused_task.
	(exec_omp_post): Remove paused and resume paused tasks handling.

	* src/gsad_omp.c (pause_task_omp, resume_paused_task_omp): Delete
	functions.

	* src/gsad_omp.h: Remove deleted functions prototypes.

	* src/html/classic/gsad.xsl (pause_task_response)
	(resume_paused_task_response): Remove templates.
	(html-gsa-logo): Don't apply removed templates.

	* src/html/classic/help.xsl (reports.html, tasks.html): Remove
	references to pause feature.

	* src/html/classic/omp.xsl (pause-icon): Remove template.
	(task-icons, report [report], get_task): Remove references and handling
	of pause feature.
	(pause_task_response, resume_paused_task_response): Remove templates.

2014-08-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (new_tag, save_tag_omp): Remove manager_connect.
	Session was not being used used, and was not being closed in
	save_tag_omp.
	(authenticate_omp): Close session, otherwise Manager process wait around
	for more input.

2014-08-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers]): Remove checking of
	description value in oval definitions' case as nvt oid value is set
	correctly now.
	(result [result-body]): Use the NVT's oid to check for oval definitions
	instead of the description's value.

2014-08-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (dfn_cert_adv-details): Split CVE elements
	in case they contain a list of CVEs, fix or filter out invalid CVE-IDs.

2014-08-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add help for CERT-Bund Advisories.

	* src/html/classic/help.xsl (contents.html): Add links to pages
	"CERT-Bund Advisories" and "CERT-Bund Advisory Details".
	(cert_bund_adv_details.html): New template.
	(glossary.html): Add section "CERT-Bund Advisory".
	(my_settings.html): Add section for "CERT-Bund filter".
	(cert_bund_advs.html): New template.

2014-08-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (cert_bund_adv-details): Add "Categories"
	section.

	* src/html/classic/po/de.xml: Add "Categories" string for CERT-Bund
	Advisories.

2014-08-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* README, doc/gsad.8, doc/gsad.8.xml, doc/gsad.html: Documentation
	update. OpenVAS Administrator is not used anymore.

2014-08-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (main): Refactor listening address and port code. Use
	values correctly in --redirect case.

2014-08-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add new SecInfo subtype CERT-Bund Advisory (CERT_BUND_ADV).

	* src/gsad_omp.c (get_info): Add CERT_BUND_ADV case.

	* src/gsad.c (init_validator): Add "cert_bund_adv" as accepted value to
	aggregate_type. Add "cert_bund_adv" and "CERT-Bund Advisory" as values
	to resource_type.

	* src/html/classic/graphics.xsl (js-secinfo-top-visualization): Add
	chart selections for cert_bund_adv.
	(dashboard): Add CERT-Bund chart selection options.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Add SecInfo menu
	item "CERT-Bund Advisories".

	* src/html/classic/omp.xsl (gsa:type-name, gsa:type-name-plural)
	(tagged_resource_link, tag_resource_types): Add cases for cert_bund_adv.
	(ref_cert_list): Add CERT-Bund as accepted CERT type.
	(info/cert_bund_adv): New template.
	(get_info_allinfo_lnk): Add case for cert_bund_adv.
	(get_info_cert_bund_adv_lnk, html-cert_bund_adv-table): New templatey.
	(get_info_response): Add case for cert_bund_adv.
	(cve-details): Add CERT-Bund as accepted CERT type.
	(cert_bund_adv-details): New template.
	(get_my_settings, edit_my_settings): Add CERT-Bund Filter.

	* src/html/classic/js/gsa_graphics_base.js (resource_type_name)
	(resource_type_name_plural): Add cases for cert_bund_adv.

	* src/html/classic/po/de.xml: Add translations for new resource type
	"CERT-Bund Advisory" and make common strings available in new
	CERT-Bund Advisory contexts.

2014-08-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/help.xsl, src/html/classic/help_zh.xsl
	(new_target.html): Remove the description of target locators (LDAP).

2014-08-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed target locator feature from daemon.

	* src/gsad_omp.c (new_target): Removed retrieval of target locators.
	(create_target_omp): Removed handling of target locators.
	(edit_target): Remove retrieval of target locators.
	(save_target_omp):

	* src/gsad.c (init_validator): Drop target locator from explations in comment
	and dropped entry "target_locator".

2014-08-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers]): Handle osp
	result cases to output the vulnerability title correctly.

2014-08-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (get_report, authenticate_omp): Call
	openvas_server_sendf instead of openvas_server_send.

2014-08-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed target locator feature as this is not being fully
	supported by the backend anyway and a real solutions would
	now be based on different mechanisms.

	This patch takes care of the removal from the html part.

	* src/html/classic/omp.xsl (target_locator mode select): Removed.
	(html-create-target-form, html-edit-target-form): Removed handling of
	target_locator case.
	(new_target): Dropped parameter "target_sources" when calling
	html-create-target-form.

2014-08-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/gsad_omp.c (omp, authenticate_omp, new_task, edit_alert,
	new_target, save_config_omp, save_config_family_omp, get_report,
	get_report, import_port_list_omp): Use openvas_server_sendf
	instead of openvas_server_send, which is to be removed eventually.

2014-08-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Handle special case
	of osp results with ovaldi definitions.

2014-08-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_many): Get filters shared by other users too.

2014-08-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl: Add note about password field being
	optional when LDAP box is checked.

2014-07-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Make logging in GSAD thread-safe to solve crashing issues when many
	requests are received at the same time. A quick way to test for this is
	to use: nmap localhost -p 443 --script ssl-enum-ciphers.

	* src/gsad.c (logger_mutex): New variable.
	(mhd_logger): Initialize mutex variable if not done. Protect logging
	function call.

2014-07-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (wrap_text): Do not move
	a too long word to the next line if it is the only one in the line.

2014-07-30  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_report, get_report_section): Get report formats
	that are owned by other users too, for the download dropdown.

2014-07-30  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Use UUIDs to identify chart preferences and keep them between sessions
	by sending them to manager on updates and retrieving them on login.

	* src/gsad_omp.c (print_chart_pref): Replace name parameter with id.
	(save_chart_preference_omp): Use id instead of name. Save preference
	in Manager database. Close response tags.
	(authenticate_omp): Add chart_prefs parameter and get the user's chart
	preferences.

	* src/gsad_omp.h (authenticate_omp): Add parameter for chart_prefs.

	* src/gsad.c (user_add): Add chart_prefs parameter and use it instead
	of creating the user's chart_prefs of here.
	(user_set_chart_pref): Change pref_name to pref_id.
	(init_validator): Change chart_preference_name to chart_preference_id.
	(exec_omp_post): Add chart_prefs parameter for authenticate_omp.
	Replace pref_name with pref_id.

	* src/html/classic/graphics.xsl (js-create-chart-box)
	(js-secinfo-top-visualization): Replace preference names with ids and
	rename variables and parameters accordingly.

	* src/html/classic/js/gsa_graphics_base.js (create_chart_box)
	(Display, Display [select_filter]): Replace preference names with ids
	and rename variables and parameters accordingly.
	(Display [select_pref_name]): Remove. Renamed to select_pref_id.
	(Display [filter_pref_name]): Remove. Renamed to filter_pref_id.
	(Display [select_pref_id]): New. Renamed select_pref_name.
	(Display [filter_pref_id]): New. Renamed filter_pref_name.
	(Display [select_chart_index]): Replace preference name with id. Rename
	variable accordingly and use new chart_preference_id GSA parameter.

2014-07-29  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (config_editor_nvt.html): Mention that files
	must be UTF-8 encoded.

2014-07-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Dropping the "Pause" Feature from GUI.

	Pausing a task is a feature that keeps the scanner running but asks it
	to not launch any further tests. Thus memory is consumed while being
	paused.

	The pausing feature caused various sorts of problems while not adding
	real benefit (the "Stop"/"Resume" Feature already serves the needs
	well).

	- Multiple paused tasks can eat all memory and make OOM killer act.
	- Users seem to not understand the difference easily.
	- Controlling paused tasks on Sensors turned out to be error-prone.

	The only advantage of Pause vs. Stop is that Stop means to rescan
	all non-completed hosts while Pause continues fine-grained at the
	NVT level. For example, stopping a task with a single host means to
	do a full rescan when doing a "Resume". Stopping a scan of 200 hosts
	of which 100 are done and 20 in progress means to scan those 20 again
	and then the remaining 80. In practice this gain turned out to be of
	little use.

	This patch just removes opportunity to do a "Pause" via the GUI,
	while OMP still may allow it and this GUI still needs to handle "Pause"
	and "Pause Requested" Status.

	* src/html/classic/omp.xsl (task-icons): Remove the Stop icon as
	an always displayed (possibly greyed out) icon.
	In case of Status is "Running" now display the Stop icon instead
	of the Pause icon.
	(html-task-table): Reduce width of Actions column from 7 to 6 icons.

	* src/html/classic/help.xsl, src/html/classic/help_de.xsl,
	src/html/classic/help_zh.xsl (tasks.html):
	Remove the description of the Pause icon, but leave in the other
	Pause documentation because that is still possible to issue via OMP.

2014-07-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add "All SecInfo by type" chart. Improve donut chart legends with
	dynamic width, word wrap and more consistent font size in export
	version.

	* src/html/classic/graphics.xsl (js-aggregate-chart): Add data
	transform case for new chart template resource_type_counts.
	(js-secinfo-top-visualization, dashboard [secinfo]): Add chart
	"All SecInfo by type".

	* src/html/classic/js/gsa_donut_chart.js
	(DonutChartGenerator [generate]): Make legend width depend on chart
	display size. Add word wrap to legend.
	(resource_type_counts): New function.

	* src/html/classic/js/gsa_graphics_base.js (capitalize): Fix NVT and
	CVE cases.
	(resource_type_name, resource_type_name_plural, wrap_text): New
	functions.

2014-07-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Dropping remains for no more supported ADS and LDAP
	authorization. The only method supported is ldap_connect,
	which is the per-user ldap authentication.

	* src/html/classic/help.xsl, src/html/classic/help_zh.xsl (users.html):
	Removed description for LDAP(Authorizationn) and ADS.

	* src/gsad.c (init_validator): Removed ldap and ads from validator
	"group".

	* gsad_omp.c (save_auth_omp): Removed handlung for methods "ldap"
	and "ads".
	(save_auth_omp): Removed special handling for "ads" case.

	* src/html/classic/omp.xsl (group mode auth, describe_auth_response
	mode=show): Drop ads and ldap.

2014-07-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference [details])
	(preference [edit-details]): Adjust for handling
	ovaldi_file preference type.

2014-07-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (scanner [details]): Add table for tasks
	using this scanner object.

	* src/html/classic/help.xsl (details-window-line-actions): Add used_by
	parameter and documentation for objects table using the detailed object.
	(lsc_credential_details.hml, alert_details.html, port_list_details.html)
	(schedule_details.html, scanner_details.html, slave_details.html)
	(filter_details.html, target_details.html): Adjust
	details-window-line-actions template call and remove redundant code
	accordingly.

2014-07-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (js-aggregate-chart): Rename the chart
	for OVAL definitions by OVAL class to resolve conflict with chart by
	severity class.

2014-07-25  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add allinfo charts to SecInfo dashboard and the All SecInfo table page.

	* src/gsad.c (init_validator): Make aggregate_type separate from
	resource_type and allow "allinfo".

	* src/html/classic/graphics.xsl (dashboard [secinfo]): Add chart
	selections for allinfo.

	* src/html/classic/omp.xsl (gsa:type-name, gsa:type-name-plural): Add
	case for allinfo.
	(html-allinfo-table): Add chart boxes.

2014-07-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js (severity_bar_style)
	(data_severity_histogram [bin_func]): Make indentation more consistent
	with other JavaScript.

	* src/html/classic/js/gsa_graphics_base.js (Display [select_pref_name])
	(Display [filter_pref_name], Display [width], Display [height])
	(Display [refresh], Display [select_chart_index], Display [prev_chart])
	(Display [next_chart]): Make indentation more consistent with other
	JavaScript.

2014-07-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Replace predefined charts on SecInfo dashboard with four user defined
	ones, allowing a selection of charts and SecInfo filters.

	* src/gsad_omp.c (xsl_transform_omp): Always add chart preferences.
	(dashboard): Get filters for the SecInfo dashboard.

	* src/html/classic/graphics.xsl: Add EXSLT prefix. Remove XSLT variable
	chart_filter_days.
	(js-create-chart-box): Add parameter for filter preference.
	(js-aggregate-data-source): Remove options recent_info_by_class and
	recent_info_by_cvss for chart_template.
	(js-aggregate-chart): Remove chart titles for chart_template options
	recent_info_by_class and recent_info_by_cvss. Pass chart name to Chart
	constructor.
	(js-secinfo-top-visualization): Change automatic selection of charts to
	use chart names. Fix name typo of chart right-by-class. Pass value for
	request_data parameter of select_chart.
	(dashboard [secinfo]): Replace predefined charts with four user defined
	ones. Change automatic selection of charts to use chart names. Pass
	value for request_data parameter of select_chart.

	* src/html/classic/js/gsa_graphics_base.js (create_chart_box): Add
	parameter filter_pref_name.
	(Chart): Add p_chart_name parameter.
	(Chart [chart_name]): New function.
	(Display [create_chart_selector]): Select charts from list by name and
	pass new request_data parameter of select_chart.
	(Display [create_filter_selector], Display [add_filter])
	(Display [select_filter], Display [filter_pref_name]): New functions.
	(Display [select_chart]): Select charts by name instead of index and
	add parameter request_data.
	(Display [select_chart_index]): New function to select chart by index.
	Functionality from original select_chart with new request_data
	parameter.
	(Display [prev_chart], Display [next_chart]): Use new function
	select_chart_index.

2014-07-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/help.xsl (new_task.html, glossary.html): Update
	documentation.
	(details-window-line-actions, scanners.html, scanner_details.html): New
	templates.
	(slave_details.html, user_details.html, agent_details.html)
	(alert_details.html, schedule_details.html, permission_details)
	(role_details, filter_details.html, group_details.html)
	(note_details.html, override_details, lsc_credential_details.html)
	(port_list_details.html, report_format_details.html)
	(config_details.html, tag_details.html, target_details.html): Call
	details-window-line-actions template accordingly.

2014-07-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (preference-details): Handle osp_file special
	case too.

2014-07-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_scanner_omp): Send scanner certs values.

	* src/html/classic/omp.xsl (html-edit-scanner-form): Add fields to edit
	CA public key, public key and private key.

2014-07-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (init_validator): Validate ca_pub, key_pub and key_priv
	parameters.

	* src/gsad_omp.c (create_scanner_omp): Handle new fields parameters and
	send their values accordingly.

	* src/html/classic/omp.xml (html-create-scanner-form): Change default
	port value to 9391. Add fields for CA public key, public key and private
	key.

2014-07-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (gsa:escape-js): New function.
	(list-window): Use new function to escape caller.

	* src/html/classic/graphics.xsl (js-aggregate-data-source): Use new
	function to escape filter term.

2014-07-18  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (auto-refresh): Remove "10 Sec." option.
	Add options "2 Min." and "5 Min."

	* src/html/classic/po/de.xml, src/html/classic/po/zh.xml: Add "Min.".

2014-07-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [section-list]): Replace "Details"
	in "Task: Details" with task name.

2014-07-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (js-secinfo-top-visualization): Get
	filter term from get_info_response for consistency with filter box.

2014-07-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css: Make area around chart menu arrow
	wider and change positioning of header text so it isn't narrowed by
	the wider area around the arrow.

	* src/html/classic/omp.xsl (get_aggregate): Add the filter term if
	one was given. Fit window to the size of the chart when opened via
	open_detached. Ensure chart is full size when reloading page.

	* src/html/classic/js/gsa_graphics_base.js (open_detached): Set
	variable to fit window to the size of the chart.
	(fit_detached_window): New function.
	(detached_chart_resize_listener): Add filter div to height calulation.

2014-07-16  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (host): Show OS name and CPE as text after
	the OS icon.
	(os-icon): Add paramter os-cpe.
	(report [os]): Add paramter os-cpe to OS icon to hide CPE.

2014-07-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers], report [hosts])
	(report [prognostic_hosts], report [closed_cves], report [ssl_certs]):
	Make host IPs links to the host details (asset management) page.

2014-07-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (os-icon): Add CPE ID to tooltip and link
	to CPE page.

2014-07-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (save_chart_preference_omp): Remove log message used
	for testing.

2014-07-15  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Save the user's chart selection for the current session.

	* src/gsad_base.h (credentials_t): Add chart_prefs field.

	* src/gsad_omp.c (print_chart_pref): New function.
	(xsl_transform_omp): Add chart preferences to XML.
	(save_chart_preference_omp): New function.

	* src/gsad_omp.h (save_chart_preference_omp): New function prototype.

	* src/gsad.c (user, user_add): Add chart_prefs field.
	(user_set_chart_pref): New function.
	(init_validator): Add command save_chart_preference and parameters
	chart_preference_name, chart_preference_value.
	(exec_omp_post): Assign char_prefs of user to credentials.
	Handle save_chart_preference command.
	(request_handler): Assign char_prefs of user to credentials.

	* src/html/classic/graphics.xsl (js-create-chart-box): Add parameter
	select_pref_name.
	(js-secinfo-top-visualization): Get chart indexes from chart
	preferences if they are available.

	* src/html/classic/gsad.xsl (chart_preferences): New template.

	* src/html/classic/js/gsa_graphics_base.js (create_chart_box): Add
	select_pref_name parameter.
	(Display): Post requests to set chart id for current display when
	selecting a different chart.

2014-07-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make detached charts resizable.

	* src/html/classic/omp.xsl (get_aggregate): Add window resize listener.

	* src/html/classic/js/gsa_bar_chart.js (BarChartGenerator [generate]):
	Move x axis to correct position on update.

	* src/html/classic/js/gsa_graphics_base.js (Display [width])
	(Display [height], detached_chart_resize_listener): New functions.
	(open_detached): Increase height of new window.

2014-07-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js
	(BarChartGenerator [generate]): Add option for showing SVG in
	new window.

	* src/html/classic/js/gsa_donut_chart.js
	(DonutChartGenerator [generate]): Add option for showing SVG in
	new window and change save filename prefix to "gsa_donut_chart-".

	* src/html/classic/js/gsa_graphics_base.js (blob_img_window): New
	function.

2014-07-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Restructure charts to allow defining charts via URL and add option
	to show a detached chart in a popup window.

	* src/gsad_omp.c (get_aggregate_omp): Skip get_aggregate OMP call if
	xml parameter is missing or a zero value.

	* src/gsad.c (init_validator): Add parameters chart_type and
	chart_template.

	* src/html/classic/graphics.xsl (js-create-chart-box): Add a default
	container_id.
	(js-severity-chart, js-counts-chart): Remove.
	(js-aggregate-data-source, js-aggregate-chart): New functions.
	(js-secinfo-top-visualization, dashboard [secinfo]): Replace
	js-severity-chart and js-counts-chart with new js-aggregate-data-source
	and js-aggregate-chart.

	* src/html/classic/gsad.xsl (envelope): Hide logo, menu and footer for
	get_aggregate command.

	* src/html/classic/omp.xsl (get_aggregate): New template.
	(html-ovaldef-table): Remove extra charts, which are now handled in
	graphics.xsl to allow creating a detached view.

	* src/html/classic/js/gsa_bar_chart.js (BarChartGenerator): Replace
	display and data_src parameters with chart parameter. Add detach option
	to menu.

	* src/html/classic/js/gsa_donut_chart.js (DonutChartGenerator): Replace
	display and data_src parameters with chart parameter. Add detach option
	to menu.

	* src/html/classic/js/gsa_graphics_base.js (Chart): Add new parameters
	and properties chart_type and chart_template. Add new function
	detached_url.
	(DataSource): Add new params getter.
	(create_uri): Add no_xml parameter.
	(open_detached): New function.

2014-07-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js (svg_from_elem): Add title
	parameter to add a title text element to the exported SVG.

	* src/html/classic/js/gsa_bar_chart.js
	(BarChartGenerator [generate]): Add title to SVG export.

	* src/html/classic/js/gsa_donut_chart.js
	(DonutChartGenerator [generate]): Add title to SVG export.

2014-07-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_donut_chart.js
	(DonutChartGenerator [relax_labels]): Add var keyword to declaration.
	Fix horizontal distance calculation for collision detection.

2014-07-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css: Enlarge area around dropdown arrow.

2014-07-09  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (fold-filter-icon): Get filter term from
	filters/term on summary page. Use correct title text on link.

2014-07-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (alert [details]): Display default format
	name when there is no 'verinice_server_report_format', which happens for
	existing Verinice alerts.

2014-07-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_alert): Get the report formats here so that they
	are available for the method details when caller is next_page.
	(get_alert_omp): Let get_alert get the report formats.

2014-07-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Add report format option for Verinice alerts.

	* src/gsad_omp.c (append_alert_method_data): Add
	verinice_server_report_format.

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form): Add report format to Verinice options.
	(alert [details]): Add Verinice report format.

2014-07-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-task-config-disabled): Add extra
	table column for alignment.
	(html-edit-task-scanner-disabled): Also show the scanner's type name.
	(html-edit-task-slave, html-edit-task-openvas-options): Remove
	distinguishing depending on whether the task is new or alterable or not.
	(html-edit-task-form): Adjust templates calls. Remove superfluous
	scanner type name.

2014-07-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic.omp.xsl (new_task, html-edit-task-form): Replace
	hard-coded values with template calls. Add current scanner type name in
	Edit Task page.

2014-07-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (struct user, struct gsad_connection_info),
	src/gsad_base.h (struct param): Reorder structures elements to reduce
	space loss due to struct memory alignment.

2014-07-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Fix sporadic segfault when using libxslt in multiple threads.

	* src/gsad_base.c (gsad_base_cleanup): New function.
	(xsl_transform_with_stylesheet): Move calls of xsltCleanupGlobals and
	xmlCleanupParser to new gsad_base_cleanup function.

	* src/gsad_base.h (gsad_base_cleanup): New function prototype.

	* src/gsad.c (gsad_cleanup): Call gsad_base_cleanup.

2014-07-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Improve layout for scanner
	specific options. Do not show scanner and related options for tasks of
	container type.
	(html-edit-task-scan-options): Remove text vertical alignment.

2014-07-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (tasks): Add the Scanner type
	and reflect structure (scanner-type related items) for
	scanner similar to "New Scanner" dialog. Could look nicer,
	but at least the structure is now visible.

2014-07-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_task_omp, save_container_task_omp): Use
	CHECK_PARAM for better parameters checking and error reporting.

	* src/html/classic/omp.xsl (html-edit-task-form): Call
	html-edit-task-scan-options template when editing container tasks too.
	(scanner [details]): Set default scanner_type parameter value to the
	current scanner type.

2014-07-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (html-create-target-form, target,
	html-edit-target-form): Form a slightly separated list for credentials
	to prepare adding more of them. Move up Alive Test as apropriate.

2014-07-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/graphics.xsl (js-secinfo-top-visualization): Label
	bar chart as "Severity by CVSS" and donut chart as "Severity by Class".

	* src/html/classic/js/gsa_bar_chart.js (data_severity_histogram):
	Include the values on the x label of each bin as the upper limit, e.g.
	"1.0" will still go into the "1" bin, not the "2" one.

	* src/html/classic/js/gsa_donut_chart.js
	(DonutChartGenerator [generate]): Fix coloring of slices. Improve
	compatibility of donuts that are not divided into slices. Show a
	transparent grey donut if the data set is empty. Move labels apart if
	they overlap.
	(DonutChartGenerator [relax_labels]): New function to reduce label
	overlap.
	(DonutChartGenerator [donut_full_top_path_d]): New function to create
	the top for a complete donut.

	* src/html/classic/js/gsa_graphics_base.js (Display [prev_chart]): Go
	to the last chart when currently at the first one.
	(Display [next_chart]): Go to the first chart when currently at the
	last one.

2014-07-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-task-form): Move scan options
	template call higher for consistency.

2014-07-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Reposition the task's
	propertities and show or hide different ones depending on the scanner
	and scan config type. Update code style.

2014-07-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-task-config): Do not handle
	disabled case.
	(html-edit-task-config-disabled, html-edit-task-scanner-disabled): New
	templates.
	(html-edit-task-slave, html-edit-task-openvas-options): Add new_task
	parameter.
	(html-edit-task-form): Adjust for better styling of non-alterable and
	non-new tasks.

2014-07-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_task_omp): Handle parameters depending on scanner
	type.
	(create_task_omp): Don't send slave id if no is specified.

	* src/html/classic/omp.xsl (new_task): Reorder openvas scanner options.
	Output style update.
	(html-edit-task-config): Add type and param_name template parameters.
	(html-edit-task-scanner): Add title, param_name and type template
	parameters.
	(html-edit-task-scan-options, html-edit-task-slave)
	(html-edit-task-openvas-options, html-edit-task-from): Update style to
	adjust for multi-scanner tasks.

2014-07-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-task-alert)
	(html-edit-task-scanner, html-edit-task-slave, html-edit-task-schedule)
	(html-edit-task-scan-options, html-edit-task-openvas-options)
	(html-edit-task-name, html-edit-task-comments): New templates.
	(html-edit-task-form): Call new templates.

2014-07-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-task-config)
	(html-edit-task-target): New templates.
	(html-edit-task-form): Call new templates.

2014-07-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Fix various i18n mistakes and add comments about placeholders.

	* src/html/classic/omp.xsl (list-window-line-icons): Fix i18n contexts
	and messages.
	(report [results], list-window): Add i18n for "Applied filter:"
	(group [details]): Add i18n for window title "Group Details".
	(get_report_summary_response): Add i18n for user tags window.
	(report [summary]): Fix i18n for "Slave" field.
	(html-create-role-form): Add i18n.
	(html-edit-role-form): Fix i18n for "New Permission" and
	"Create Permission".

	* src/html/classic/po/de.xml: Add comments on messages with placeholder
	ids. Add "None" for Severity and "Network Source Interface" for
	Reports. Fix "Scan 2 started" and add missing "No Overrides". Add
	"Create Role" and "Save Role".

	* src/html/classic/po/zh.xml: Add comments on messages with placeholder
	ids. Add "None" for Severity and "Network Source Interface" for
	Reports. Add "Create Role" and "Save Role".

2014-07-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Adding a feedback button option which is not active by default.
	It requires to be configured right in the omp.xsl for the time being,
	if desired so.
	Based on a patch by Timo Pollmeier.

	* src/html/classic/omp.xsl (feedback-icon): New template, but content
	commented out by default.
	(result_details): Added Feedback Icon via above template.

	* src/html/classic/po/de.xml: Added new strings and translation accordingly.

2014-07-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add donut charts as SecInfo visualizations and replace the unfiltered
	bar charts on the table pages with them.

	* CMakeLists.txt: Install new file.

	* src/html/classic/graphics.xsl (init-d3charts): Load new JavaScript
	file gsa_donut_chart.js.
	(js-severity-chart): Add option to show severity counts as donut chart.
	(js-secinfo-top-visualization): Replace unfiltered bar chart with
	donut chart.

	* src/html/classic/js/gsa_graphics_base.js (name): Remove. Renamed to
	display_name.
	(display_name): New. Renamed function "name".
	(Display [refresh]): New function.

	* src/html/classic/js/gsa_donut_chart.js: New file.

2014-07-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_bar_chart.js (data_severity_histogram): Count
	empty values as "N/A", not as 0.

2014-07-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [filterbox]): Fix check to show
	"Results per page" when viewing results page via get_report command.

2014-07-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [filterbox]): Allow filter box to be
	shown on report_section pages.
	(report [section-filter]): Show fold icon on summary page.
	(report [summary]): Add filterbox.

2014-07-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Install the feedback icon.

2014-06-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (create_task_omp): Remove default scanner value
	handling.

	* src/html/classic/omp.xsl (new_task, html-edit-task-form): Remove no
	scanner option choice.

2014-06-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (cvss_calculator): Accept "AU" for "Au" as well
	when splitting CVSS vector string into components.

2014-06-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/gsad.c (init_validator): Accept "AU" for "Au" as well for CVSS.

2014-06-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (list-window-line-icons): Add grey-clone arg.
	(permission): Grey out clone icon when permission is not writable, as
	these are the permissions of the predefined roles.

2014-06-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (get_my_settings): Put the abbreviated
	timezone name next to the full name, to make the connection clearer.

2014-06-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task-icons, task [details]): Use short time
	format, because the timezone is the same as in the header.  This is
	consistent with the Created and Last Modified times, for example.
	(schedule, schedule [details]): Use the timezone abbreviation from OMP
	instead of using a numeric offset.

2014-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/js/gsa_graphics_base.js
	(Display [create_chart_selector]): Select new chart on change of
	select element instead of click on option for better browser support.
	Center selector elements vertically.

2014-06-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (new_schedule.html): Add Timezone field.

2014-06-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window): Do not add extra column to
	table footer's colspan if there are no action icons, which would break
	the table header layout in newer versions of Chromium.

2014-06-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Change chart selectors so charts can be selected for each display box
	individually. Remove the word "Filtered" from default chart titles.
	Remove charts that count OVAL definitions by status.

	* src/html/classic/graphics.xsl (js-create-chart-selector): Remove.
	(js-severity-chart, js-counts-chart): Remove the word "Filtered" from
	default chart titles. Add chart_label and add_to_display parameters.
	Add new parameters for chart creation.
	(js-secinfo-top-visualization): Replace shared chart selector with
	ones for individual chart boxes. Add parameters auto_load_left and
	auto_load_right.

	* src/html/classic/omp.xsl (html-ovaldef-table): Remove charts counting
	by status and adjust to chart selectors being for individual displays.

	* src/html/classic/js/gsa_graphics_base.js (create_chart_box): Remove
	commented test code.
	(create_chart_selector): Remove global function. Replaced with new
	function of Display.
	(Chart): Add property and accessors for icon and label. Add parameter
	to constructor for automatically adding to the display.
	(Display): Add name property and getter. New function
	create_chart_selector which creates a chart selector for the display.
	Add chart selection functions select_chart, prev_chart and next_chart.

2014-06-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (edit_lsc_credential): Apply
	modify_lsc_credential_response template.

2014-06-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (new_lsc_credential.html): Change Mandatory
	column for Login to "yes".

2014-06-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (user [edit]): Remove colon from "Login Name"
	to match everywhere else.

2014-06-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (send_redirect_to_uri): Correctly calculate the redirect
	body's length.

2014-06-19  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Rewrite dashboard to make chart components like containers and
	generator functions more reusable. Add chart switcher to SecInfo pages.
	Add CSV and SVG export options to charts. Fix some escaping issues
	in get_aggregate filter.

	* CMakeLists.txt: Install new files
	src/html/classic/js/gsa_graphics_base.js and
	src/html/classic/img/charts/severity-bar-chart.png.

	* src/gsad_omp.c (get_aggregate_omp): Fix some escaping issues with
	the filter parameter.

	* src/html/classic/graphics.xsl (): Use exslt strings. Update copyright
	year.
	(init-d3charts): Load new file /js/gsa_graphics_base.js. Add global
	variable declarations and initializations.
	(js-create-chart-box, js-create-chart-selector): New templates for
	creating chart container and selector HTML.
	(severity-chart): Rename to to js-severity-chart.
	(js-severity-chart): New: Renamed severity-chart. Remove script tag and
	use reusable chart components.
	(counts-chart): Rename to js-counts-chart
	(js-counts-chart): New: Renamed counts-chart. Remove script tag and
	use reusable chart components.
	(js-secinfo-top-visualization): New template for creating the top
	charts for secinfo pages.
	(dashboard [secinfo]): Adjust to new templates and JS functions.

	* src/html/classic/gsa-style.css: Add menu style rules for id
	chart_list and subelements. Add rules for chart-foot class.
	Change size of chart axes and labels to 8pt.

	* src/html/classic/omp.xsl (list-window): Escape caller in scripts
	creating the charts bar.
	(html-cpe-table, html-cve-table, html-nvt-table, html-ovaldef-table)
	(html-dfn_cert_adv-table): Use new js-secinfo-top-visualization
	template to create charts.

	* src/html/classic/js/gsa_bar_chart.js (): Add copyright / license.
	(severity_bar_style): Add parameter to select field.
	(title_static): New function. Returns static title texts.
	(title_y_total): Rename to title_total.
	(title_total): New. Renamed title_y_total. Make field selectable and
	change parameter order.
	(data_severity_histogram): Add parameters for x and y fields.
	(gsa_bar_chart): Rename to BarChartGenerator.
	(BarChartGenerator): Renamed gsa_bar_chart. Adjust to reusable chart
	components: Calculate chart size from display size. Add callbacks
	"show_loading" and "generate" instead of managing Ajax request here.
	Add menu items for exporting CSV and SVG files to chart container.
	Add transitions.

	* src/html/classic/js/gsa_graphics_base.js: New file. Shared JavaScript
	for dashboard charts and chart switchers.

	* src/html/classic/img/charts/severity-bar-chart.png: New icon.

2014-06-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (new_task): Fix scanner type in openvas
	scanners list.

2014-06-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (scanner-type-name, scanner-type-list):
	Handle OpenVAS Scanner type case.
	(html-create-scanner-form): Set default parameter value for
	scanner-type-list template call.

2014-06-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Add missing entry for last commit yesterday.

2014-06-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/its/gsad.xsl (backend_operation, charts): Added empty match
	to silence the new objects.

2014-06-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task-icons): In the Task Details case, grey
	the start icon when the task is active instead of hiding it.

2014-06-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task-icons): Add show-start-when-scheduled
	param.
	(task [details]): Show start icon alongside scheduled icon, to give the
	user the option to manually start the task.

2014-06-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Add email_list.  Validate "to_address" as
	a list of addresses.

2014-06-05  Matthew Mundell <matthew.mundell@greenbone.net>

	Add "Backend operation" in the page footer where it is available.  This
	is the time taken to get from the start of the page handler to the start
	of the XSL transform.

	* src/gsad_omp.h (credentials_t): Add cmd_start.

	* src/gsad.c (exec_omp_post, exec_omp_get): Record operation start time.

	* src/gsad_omp.c (xsl_transform_omp): Add BACKEND_OPERATION to ENVELOPE.

	* src/html/classic/gsad.xsl (html-footer): Add "Backend operation" text.
	(backend_operation): New template.

2014-06-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (new_task): Make the Scanner section
	a table of its own to make it look nicer and made the Scan Intensity
	less prominent.

2014-06-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/omp.xsl (new_task): Make the Scanner section
	the last part of the dialog.

2014-06-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (task [details]): Adjust displayed details
	for tasks using OSP configs.

2014-06-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Adjust new task page style for OSP Scanner case.

	* src/gsad.c (init_validator): Remove config_id_optional and
	scanner_id_optional. Add osp_config_id and osp_scanner_id.

	* src/gsad_omp.c (create_task_omp): Add choice button for Scanner type.
	Move specific options for each type to relevant section and keep common
	options outside.

2014-05-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Fixed some typos spotted by Timo Pollmeier.

2014-05-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (save_osp_prefs): New function.
	(save_config_omp): Save osp specific preferences when provided.

	* src/gsad.c (init_validator): Validate definitions_file argument.

	* src/html/classic/omp.xsl  (preference [edit-details]): Handle osp_file
	preference type.
	(preferences [edit-scanner-details]): Adjust column header for OSP
	config type.
	(html-config-table): Set form enctype.

2014-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING, COPYING.MIT, COPYING.BSD3: New.

2014-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Renamed to COPYING.GPL.

	* COPYING.GPL: New, former COPYING.

2014-05-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add SecInfo dashboard functionality.

	* CMakeLists.txt: Install new files src/html/classic/graphics.xsl,
	src/html/classic/js/d3.tip.min.js, src/html/classic/js/d3.v3.min.js,
	src/html/classic/js/gsa_bar_chart.js

	* src/gsad_base.h (credentials_t): Add charts field.
	(content_type): Add GSAD_CONTENT_TYPE_TEXT_JS.
	(user_set_charts): New function prototype.

	* src/gsad_omp.c (xsl_transform_omp): Add temporary "charts" setting
	to envelope.
	(get_many): Set temporary "charts" setting if parameter is present.
	(get_aggregate_omp, dashboard): New functions.

	* src/gsad_omp.h (get_aggregate_omp, dashboard): New prototypes.

	* src/gsad.c (user): Add charts field.
	(user_add): Initialise charts field.
	(user_set_charts): New function.
	(init_validator): Add commands dashboard and get_aggregate. Add
	parameters data_column, group_column, aggregate_type, charts,
	dashboard_name.
	(exec_omp_post): Get charts setting for credentials from user on login.
	(exec_omp_get): Add cases for dashboard and get_aggregate commands.
	(gsad_add_content_type_header, file_content_response):  Add cases for
	GSAD_CONTENT_TYPE_TEXT_JS.
	(request_handler): Allow js for all users. Get charts setting for
	credentials from user. Add temporary "charts" setting to envelope.

	* src/html/classic/graphics.xsl: New stylesheet for charts and
	other info graphics.

	* src/html/classic/gsa-style.css: Add styles for dashboard and charts.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Add menu item
	"SecInfo Dashboard" if JavaScript is enabled. Include graphics.xsl.

	* src/html/classic/omp.xsl (gsa:type-name-plural): New function.
	(list-window, html-cpe-table, html-cve-table, html-nvt-table)
	(html-ovaldef-table, html-dfn_cert_adv-table): Add visualizations on
	top of table.

	* src/html/classic/js/d3.tip.min.js: New JavaScript, d3 tooltips
	library by Justin Palmer.

	* src/html/classic/js/d3.v3.min.js: New JavaScript, d3 (Data Driven
	Documents) library by Michael Bostock.

	* src/html/classic/js/gsa_bar_chart.js: New JavaScript for generating
	simple bar charts using d3.

2014-05-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Adding support for Chinese language (zh). The translation
	is a contribution by Winland Q. Yang.

	* src/html/classic/help_zh.xsl: New.

	* src/html/classic/po/zh.xml: New.

	* CMakeLists.txt: Install chinese (zh) translation file
	and help page.

	* src/CMakeLists.txt: Added check target for help_zh.

	* src/html/classic/gsad.xsl (i18n_po_path): Added zh
	as available language.

	* src/html/classic/omp.xsl (edit_my_settings): Added Chinese
	as language.

	* src/gsad.c (init_validator): Added Chinese as language.

	* src/gsad_base (set_language_code) Added Chinese as language.

2014-05-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/CMakeLists.txt: Added check target for help_de.

2014-05-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers])
	(result [result-body]): Adjust for results that don't have an associated
	NVT.

2014-05-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad_omp.c (new_task, edit_task): Get the scanners list.
	(create_task_omp, save_task_omp): Send the chosen scanner id
	accordingly.

	* src/gsad.c (init_validator): Validate scanner_id_optional parameter.

	* src/html/classic/omp.xsl (task [details]): Show the task's associated
	scanner.
	(new_task, html-edit-task-form): Add scanners choice list.

2014-05-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (html-config-table): Adjust output for
	OSP Ovaldi type configs.

2014-05-16  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (cvss_calculator): Automatically submit the
	"From Metrics" form via JavaScript if a dropdown selection has changed.

2014-05-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (edit_schedule): Apply template to handle
	modify_schedule response.

	* INSTALL: Add note on LibMicroHTTPD version.

2014-05-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/its/img/settings.png: Update the placeholder with real icon.

2014-05-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/its/gsad.xsl (login_page): Fixed typo.

2014-05-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add --dh-params option for PFS support. Requires LibMicroHTTPD >= 0.9.35

	* src/gsad.c (main): Add --dh-params option. Add check for libmicrohttpd
	version when using MHD_OPTION_HTTPS_MEM_DHPARAMS option.
	* doc/gsad.8: Update documentation for new option.

2014-05-14  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/its/gsad.xsl (command_result_dialog): Use $msg instead of
	@status_text.
	(pw_warning_text): Reword text for default password case to also fit
	settings page.

	* src/html/its/omp.xsl (edit_my_settings): Add missing hidden fields
	for settings so they are not overwritten with empty strings.
	(get_my_settings): Put the message text a box div and shorten text
	to make it fit into one line.

2014-05-09  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report_format [trash]): Add in_use check for
	delete icon.

2014-05-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (edit_agent): Apply modify_agent_response to
	properly show responses from manager.

2014-05-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add settings page and password warning to IT-Schwachstellenampel
	and change version number to 1.1.

	* src/html/its/CMakeLists.txt: Add installation of img/settings.png

	* src/html/its/img/settings.png: New image file.

	* src/html/its/omp.xsl (edit_my_settings, modify_setting_response)
	(get_my_settings, gsad_msg): New templates.

	* src/html/its/gsad.xsl (login_page): Change version number to 1.1
	(html-its-header): Add settings icon.
	(html-footer): Change version number to 1.1
	(command_result_dialog): Add messages for password change.
	(password_warning, pw_warning_text): New templates.

2014-05-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove Public key requirement from Credentials creation.

	* src/gsad.c (init_validator): Remove public_key argument validation.
	(create_lsc_credentials_omp): Don't send public_key argument value. Fix
	code style.

	* src/html/classic/omp.xsl (html-create-lsc-credential-form): Remove
	Pulibc Key file input field.

2014-05-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add warning if login password does not comply with password policy.

	* src/gsad_base.h (credentials_t): Add pw_warning field.

	* src/gsad_omp.c (xsl_transform_omp): Add password warning if one was
	returned at login.
	(authenticate_omp): Add pw_warning parameter and use new function
	omp_authenticate_info_ext.

	* src/gsad_omp.h (authenticate_omp): Add new parameter.

	* src/gsad.c (user): Add pw_warning field.
	(user_add): Add parameter pw_warning.
	(user_set_password): Reset password warning for user.
	(exec_omp_post, request_handler): Get password policy warnings.

	* src/html/classic/gsad.xsl (password_warning): New template.

	* src/html/classic/po/de.xml: Add password warning messages.

2014-04-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (init_validator): Validate delete_trash_scanner omp
	argument value.
	(exec_omp_post): Handle delete_trash_scanner omp post request.

	* src/gsad_omp.c (delete_trash_scanner_omp): New function.
	(get_trash): Get scanners in trash.

	* src/gsad_omp.h: Add new function prototype.

	* src/html/classic/omp.xsl (scanner [trash], html-scanners-trash-table):
	new tempaltes.
	(get_trash): Apply delete_scanner_response template. Show scanners in
	trash.

2014-04-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add Scanners object.

	* src/gsad.c (init_validator): Add create_scanner, delete_scanner,
	edit_scanner, export_scanner, export_scanners, get_scanner,
	get_scanners, new_scanner, save_scanner, verify_scanner omp argument
	valid values. Add scanner and Scanner resource_type and
	optional_resource_type arguments valid values. Add scanner_id and
	scanner_type arguments.
	(exec_omp_post, exec_omp_get): Handle new requests for scanner object
	type.

	* src/gsad_omp.c (next_page): Handle get_scanner and get_scanners
	values.
	(get_scanners, get_scanners_omp, get_scanner, get_scanner_omp)
	(export_scanner_omp, export_scanners_omp, new_scanner, new_scanner_omp)
	(verify_scanner_omp, create_scanner_omp, delete_scanner_omp)
	(edit_scanner, edit_scanner_omp, save_scanner_omp): New functions.

	* src/gsad_omp.h: Add new functions prototypes.

	* src/html/classic/gsad.xsl (modify_scanner_response)
	(verify_scanner_response): New templates.
	(html-gsa-navigation): Add Scanners sub-menu entry.

	* src/html/classic/omp.xsl (scanner-type-name, scanner-type-list)
	(html-scanner-create-form, create_scanner_response, new_scanner)
	(delete_scanner_repsonse, modify_scanner_response, html-scanners-table)
	(html-edit-scanner-table, edit_scanner, scanner [details], get_scanner)
	(get_scanners, verify_scanner_response, scanner): New tempaltes.

2014-04-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Post branch version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 6.0+beta1.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Set version to 5.0.1.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the gsa 5.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 5.0.0. Switch version scheme.

	* src/html/classic/help.xsl: Updated version number.

2014-04-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (cpe-details): Remove redundant
	"Last Modified" item and Actions column in "Reported Vulnerabilities"
	list.

2014-04-16  Matthew Mundell <matthew.mundell@greenbone.net>

	Add permission-style check for Trashcan menu item.

	* src/html/classic/omp.xsl (gsa:may-get-trash): New function.

	* src/html/classic/gsad.xsl (html-gsa-navigation): Only show the
	trashcan item if the user can get trash.

	* src/html/classic/help.xsl (trashcan-availability): New template.
	(trashcan.html): Add availability note.

2014-04-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (exec_omp_get): Add more default landing pages between
	get_reports and get_my_settings.

	* src/gsad_omp.c (get_info): Default to NVTs if info_type is missing.

2014-04-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* README: Update usage.

2014-04-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c, src/gsad_base.c, src/gsad_omp.c, src/validator.c: Sort out
	Doxygen warnings.

2014-04-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_auth_omp): Go to get_users instead of edit_user
	on error, because that's the page the form is on.

	* src/html/classic/omp.xsl (get_users): Correct path of
	modify_auth_response.

2014-04-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (get_users): Move Authentication windows
	to underneath the Users window.

2014-04-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (main): Fix MHD_start_daemon arguments for
	MHD_OPTION_NOTIFY_COMPLETED in redirect case.

2014-04-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (send_redirect_header): Rename to send_redirect_to_uri. Use
	provided location directly.
	(send_redirect_to_urn): New function.
	(redirect_handler): Adjust renamed function call and call
	send_redirect_to_urn where adequate.

2014-04-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp-doc.xsl (changes): Restrict to changes in current
	version.

2014-04-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt: Remove linking against gthread.

	* src/gsad.c: Remove useless include and initialization.

2014-04-10  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: 5.0+beta14

2014-04-10  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare release of gsa 5.0+beta13 release (patch from Michael
	Wiegand)

	* CHANGES: Update

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Final part of ITS.

	* CMakeLists.txt: Add handling of new face "its".

	* src/html/its/CMakeLists.txt: New. Installs face "its".

	* doc/readme-its.txt: New.

	* src/html/its/help.xsl: Fixed typo.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Next bunch for ITS.

	* src/html/its/img/details.png,
	src/html/its/img/tl_off_off_off.png,
	src/html/its/img/tl_on_off_off.png,
	src/html/its/img/tl_off_off_on.png,
	src/html/its/img/tl_off_on_off.png,
	src/html/its/img/tl_flash_off_off.gif,
	src/html/its/img/tl_flash_on_off.gif,
	src/html/its/img/tl_flash_flash_flash.gif,
	src/html/its/img/printer.png: New.

	* src/html/its/login/,
	src/html/its/login/login.html: New.

	* src/html/its/omp.xsl: New.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Next bunch for ITS.

	* src/html/its/img/greenbone-logo.png,
	src/html/its/img/datensicherheit_big.png,
	src/html/its/img/acs_logo.png, src/html/its/img/OpenVAS-logo.png,
	src/html/its/img/info_big.png, src/html/its/img/bsi_logo.png: New.

	* src/html/its/help.xsl: New.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/img/feedback.png: New.

2014-04-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Next bunch for ITS. The whole ITS was developed by
	Timo Pollmeier.

	* src/html/its/gsad.xsl: New.

	* src/html/its/img/callout_blue.gif,
	src/html/its/img/shutdown.png, src/html/its/img/info.png,
	src/html/its/img/its_logo.png, src/html/its/img/datensicherheit.png:
	New.

2014-04-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Rename "TCP Service Ping" to "TCP-ACK
	Service Ping".  Add "TCP-SYN Service Ping".

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form): Rename "TCP Service Ping" to "TCP-ACK Service
	Ping".  Add "TCP-SYN Service Ping".

2014-04-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Starting to add an alternative face for GSA. It is
	called "IT-Schwachstellenampel" (ITS) which is a
	simplifed interface in German language only.
	The title in english would be "IT vulnerability traffic light".
	The ITS will not disturb the regular installation.
	Without explicit using --face=its when starting gsad it will
	not be available at all to a user.

	* src/html/its/, src/html/its/favicon.gif, src/html/its/img/,
	src/html/its/gsa-style.css: New.

2014-04-08  Matthew Mundell <matthew.mundell@greenbone.net>

	Make role permissions more consistent with others.

	* src/html/classic/omp.xsl (cababilities): New variable.
	(gsa:may-op): Test capabilities from variable, in case caller is in
	restricted context.
	(gsa:permission-description): Get name from param instead of element.
	(html-edit-role-form): In the New Permission dropdown skip permissions
	the user already has.  Add a name column to the Permissions table.
	(role [details]): Add name column to Permissions table.

2014-04-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* doc/i18n-howto.txt: Add notes about UTF-8 encoding and rephrase
	part about language code.

2014-04-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* doc/i18n-howto.txt: Update list of contexts. Add new section
	"Creating new GSA page translations". Add info on install directory
	for help.

2014-04-08  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/po/de.xml: Remove unused "Form" context.

2014-04-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (resource-permissions-window): Add Name
	column, and rename Permission column to Description.
	(html-create-permission-form, html-edit-permission-form): Add
	description alongside name.
	(html-permissions-table, permission): Add Description column.

2014-04-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_nvts, new_lsc_credential, new_agent, new_alert)
	(new_target, new_tag, new_config, new_slave, new_schedule)
	(new_report_format, new_group, new_port_list, new_role, new_user): Check
	extra_xml before appending, for consistency.

2014-04-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/wizard.xsl (quick-task-wizard): Rework English of
	two sentences slightly.

	* src/html/classic/po/de.xml: Adjust po sentences to match.

2014-04-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-role-form): Use permission
	description instead of name in New Permission dropdown.

2014-04-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsa-style.css (div.empty_top_button): New rule.
	Defines the empty spacer for last commit.

2014-04-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-navigation): When the user does
	not have access to a top level menu, display an empty spacer instead of
	skipping the menu.  This looks more uniform and keeps the menu positions
	consistent.

2014-04-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_task): Get only permissions specific to the task.

2014-04-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Remove "Observer" and "Observer Groups" from Create Task and Edit Task
	pages. Hide the "Everything" permission for the Admin role and remove
	limit on number of permissions.

	* src/gsad_omp.c (create_task_omp, edit_task, save_task_omp)
	(save_container_task_omp): Remove handling of observer and groups
	parameters, which are no longer used.
	(get_task): Adjust permissions filter to exclude "Everything"
	permission for the Admin role and get all filtered permissions.

	* src/gsad.c (init_validator): Remove "observers" parameter and adjust
	"users" which was an alias of this.

	* src/html/classic/omp.xsl (new_task, html-edit-task-form): Remove
	form elements for "Observer" and "Observer Groups".

2014-04-02  Matthew Mundell <matthew.mundell@greenbone.net>

	Ensure that Edit Port List and Edit Role always return to the previous
	page.

	* src/gsad.c (init_validator): Add next_next.

	* src/html/classic/omp.xsl (html-edit-port-list-form)
	(html_edit_role_form): Pass the next param for the current page in the
	next_next param of the add and delete forms, because these forms are
	already using the next param to return to the current page.

2014-04-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-tags-trash-table): Change table header
	from "Resource ID" to "Resource Name".

2014-04-02  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl (quick-task-wizard): Hide Email field
	and instructions if user cannot get or create alerts. Hide Slave
	field and instructions if user cannot get slaves.

2014-04-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (modify_role_response): New template.
	(html-gsa-logo): Match Save Role indicator for Edit Role page.

2014-04-01  Matthew Mundell <matthew.mundell@greenbone.net>

	Update Role help.

	* src/html/classic/help.xsl (roles.html): Enable trash, edit and clone
	icons.
	(contents.html): Add "New Role".
	(glossary.html): Add Role.
	(new_role.html): New template.

2014-04-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tag_resource_types): Add role.
	(role [details]): Add tags window.

2014-04-01  Benoît Allard  <benoit.allard@greenbone.net>

	* src/html/classic/omp.xsl (full-report-export-form)
	(filtered-report-export-form): Fix some logical mistakes.

2014-03-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Add role editing.

	* src/gsad.c (init_validator, exec_omp_post): Add edit_role and
	save_role.

	* src/gsad_omp.c (next_page): Add edit_role.
	(edit_role, edit_role_omp, save_role_omp): New functions.

	* src/html/classic/gsad.xsl (html-gsa-logo): Match indicators for ops on
	edit_role page.

	* src/html/classic/omp.xsl (html-edit-role-form): Add i18n.  Add actual
	role fields, including permissions.
	(edit_role): Match op responses.
	(role, role [details], html-roles-table): Enable edit icon.

2014-03-31  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Replace the "Observer" fields on the task details page with a table
	with all permissions applying to the task.

	* src/gsad_omp.c (get_task): Add permissions for the task to response.
	(delete_permission_omp): Change get to NULL to allow setting the next
	page with the parameter "next".
	(create_permission_omp): Add selection of subject by subject_name
	parameter.

	* src/gsad_omp.c (init_validator): Add subject_name as alias for name.

	* src/html/classic/omp.xsl (resource-permissions-window): New template.
	(task [details]): Remove "Observer" and "Observer Group" fields.
	Add window with table of permissions.

	* src/html/classic/po/de.xml: Add messages for new permissions window.

2014-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add logger for libmicrohttpd errors.

	* src/gsad.c (mhd_logger): New function.
	(main): Add MHD_OPTION_EXTERNAL_LOGGER option to MHD_start_daemon()
	calls.

2014-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Handle SIGPIPE as recommended by libmicrohttpd. Refactor other handlers.

	* src/gsad.c (handle_sigterm, handle_sighup, handle_sigint): Delete function.
	(handle_signal_exit, register_signal_handlers): New functions.
	(main): Call register_signal_handlers() function. Remove signal handlers
	registering code.

2014-03-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_one): Get permissions in role case, after adding
	the id from the CREATE response to the params, so that the permissions
	are there after creating a role.
	(get_role): Let get_one get permissions.

2014-03-28  Benoît Allard  <benoit.allard@greenbone.net>

	Post release verion bump.

	* CMakeLists.txt, src/html/classic/help.xsl: 5.0+beta13

2014-03-28  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare release of gsa 5.0+beta12 release

	* CHANGES: Update

2014-03-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (send_redirect_header): Use the Host header from the client
	request to determine the Location response header value. Drop back to
	relative if not provided.

2014-03-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (create_role_omp): Use new style.

	* src/html/classic/omp.xsl (html-create-role-form): Add next and remove
	role params.

2014-03-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Complete deleting of roles.

	* src/gsad.c (init_validator, exec_omp_post): Add delete_trash_role.

	* src/gsad_omp.c (get_trash): Add roles.
	(delete_trash_role_omp): New function.

	* src/html/classic/gsad.xsl (delete_role_response): New template.
	(html-gsa-logo): Match delete indicators.

	* src/html/classic/omp.xsl (role): Enable trash icon.
	(role [details]): Enable new icon.
	(html-roles-table): Update icon count.
	(get_trash): Add roles.

2014-03-27  Benoît Allard  <benoit.allard@greenbone.net>

	* src/html/classic/help.xsl: Fix mispelling of 'beta12'

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: 5.0+beta12

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare the 5.0+beta11 release.

	* CHANGES: Updated

2014-03-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (send_redirect_header): Provide the full url in the
	HTTP Location header when sending redirect responses.

2014-03-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/po/de.xml: Move "Orphan" to make it available in
	Tag table rows.

2014-03-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Adjust tags pages to new OMP syntax that uses "resource" instead of
	"attach" and "orphan" instead of "orphaned". Add markers for orphaned
	tags and resources in trash. Make tags trash more consistent with
	normal table.

	* src/gsad_omp.c (get_one, get_many, get_nvts, get_task): Filter by
	resource_type instead of attach_type when getting tag names.
	(new_tag, create_tag_omp, save_tag_omp): Use new "resource" OMP syntax
	for specifying resources instead of old the "attach" one and rename
	parameters accordingly.
	(get_report, get_result): Filter by resource_type instead of
	attach_type when getting tag names.

	* src/gsad.c (init_validator): Remove attach_type, rename attach_id
	to resource_id, add SecInfo types to resource_type.

	* src/html/classic/omp.xsl (user-tags-window-checked): Rename attach_id
	and attach_type to resource_id and resource_type.
	(tagged_resource_link): If the resource is in the trashcan, show name
	without link and with "in trashcan" message.
	(html-tags-table): Rename "Attach Type" and "Attach Name" to
	"Resource Type" and "Resource Name".
	(tag): Add "Orphan" to name if tag is orphaned. Use new OMP syntax for
	get_tags.
	(tag [details]): Apply new resource syntax and change "Attach" field
	labels to their "Resource" equivalents.
	(tag [trash]): Apply new resource syntax and show resource name with
	link instead of ID if possible.
	(tag_attach_types): Remove. Renamed to tag_resource_types.
	(tag_resource_types): New. Renamed tag_attach_types.
	(html-create-tag-form, html-edit-tag-form): Apply new resource syntax
	and change "Attach" field labels to their "Resource" equivalents.

	* src/html/classic/po/de.xml: Adjust label texts for tags.

2014-03-26  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-roles-table): Correct replacement typo.

2014-03-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Add creating of roles, and basis for deleting and editing roles.

	* src/gsad.c (init_validator, exec_omp_post): Add role commands.

	* src/gsad_omp.c (new_role, new_role_omp, delete_role_omp)
	(create_role_omp): New function.

	* src/gsad_omp.h: Add headers accordingly.

	* src/html/classic/gsad.xsl (create_role_response): New template.
	(html-gsa-logo): Match Create Role indicator.

	* src/html/classic/omp.xsl (list-window): Enable new icon for roles.
	(html-create-role-form, new_role, html-edit-role-form, edit_role)
	(create_role_response, delete_role_response, modify_role_response): New
	templates.
	(role): Enable clone icon.

2014-03-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (init_validator): Add Consider Alive to alive_tests.

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form): Add Consider Alive to alive test.

2014-03-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (create_target_omp): Use xml_string_append for
	CREATE_TARGET so that ampersands in ALIVE_TESTS are escaped.

2014-03-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (wizard): Remove now obsolete check for error message
	indicating missing "init" mode.

2014-03-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (severity-bar): Add i18n for default title.
	(prognostic_hosts): Add i18n for table headers.

2014-03-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style.css: Add styles for id wizard_list.

	* src/html/classic/wizard.xsl (quick-first-scan-wizard): Describe
	how to find Advanced Task Wizard (quick_task).
	(wizard/quick_first_scan): Replace static window title with wizard
	selection menu.
	(quick-task-wizard): Add i18n.
	(wizard/quick_task): Replace static window title with wizard
	selection menu.
	(wizard_list): New template: Menu to select wizards similar to the one
	for report sections.

	* src/html/classic/po/de.xml: Add translations for Advanced Task Wizard
	and new paragraph in Task Wizard.

2014-03-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (alert): Fix title text for filter link.
	(alert [details]): Add missing spaces before Email report format.
	(role [details]): Fix swapped i18n text and context.

2014-03-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (wizard): Try to get initial data for wizards
	by running the wizard in "init" mode.

	* src/html/classic/wizard.xsl: Update copyright and authors.
	(quick-task-wizard, wizard/quick_task): New templates.

2014-03-18  Matthew Mundell <matthew.mundell@greenbone.net>

	Switch filters associated with alerts from "report" to "result".

	* src/gsad_omp.c (edit_alert): Put the extra_xml inside the EDIT_ALERT,
	like in the other pages.  Get result filters instead of report filters.

	* src/html/classic/gsad.xsl (html-gsa-logo): Add missing indicators.

	* src/html/classic/omp.xsl (edit_alert, edit_filter): Match modify
	responses.

2014-03-18  Benoît Allard  <benoit.allard@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: Changed version to +beta11

2014-03-18  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare the 5.0+beta10 release.

	* CHANGES: Updated

2014-03-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (task-icons): Check permission of the actual
	operation being used, for the resume icon.

2014-03-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/wizard.xsl: Add i18n contexts and missing i18n
	function calls. Remove extra whitespaces to ensure matching of i18n.

	* src/html/classic/po/de.xml: Adjust Task Wizard messages to new
	formatting and add "Start Scan" message. Fix a typo and missing commas.

2014-03-17  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsad.xsl (indicator, command_result_dialog): Add
	TODO comments.

	* src/html/classic/po/de.xml: Add TODO list and fix typo in translated
	"Ultimate Delete Requested" message.

2014-03-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [summary]): Skip Slave and Network
	Source Interface fields if we don't know what they were.

2014-03-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [summary]): Add Slave and Network
	Source Interface fields.

2014-03-13  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (assets): Add i18n.
	(host): Add i18n. Rename last column of Apps column to "CVEs" and
	add details parameter to links to ensure the list of CVEs is shown.
	(os-icon, report [assets])
	(get_reports_response/report/report [report-assets]): Add i18n.

	* src/html/classic/po/de.xml: Add translations for host pages.

2014-03-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [filterbox], report-image): Add i18n.
	(cvss_calculator): Add i18n for error message.

	* src/html/classic/po/de.xml: Add translations for Report Filter,
	Report Image and error message in CVSS calculator. Fix typo in
	Performance report error message.

2014-03-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (get-settings-filter)
	(list-window-line-icons, user-tags-window-checked, trend_meter, task)
	(alert, html-config-family-table, preference, html-config-nvt-table)
	(config [families], html-config-table, schedule [trash])
	(schedule [details], get_info_allinfo_action, note [trash])
	(observers-icon, html-reports-table, result [result-body], report [os])
	(report-help-icon, report [summary], role [details]): Add i18n for alt
	and title (tooltip) text.

	* src/html/classic/po/de.xml: Make clone related messages available
	in all views and add generic denial messages. Add messages for "Global"
	and "owned by". Add "Unknown" for report OS. Add "Product detection"
	messages.

2014-03-12  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (ref_cert_list, ref_xref_list, info/cpe)
	(info/cve, info/nvt, info/ovaldef, info/dfn_cert_adv, info/allinfo)
	(cve-details, cpe-details, nvt-details, ovaldef-details)
	(dfn_cert_adv-details): Add i18n.

	* src/html/classic/po/de.xml: Add translations for CVE, CPE,
	OVAL Definition, DFN-CERT Advisory and general SecInfo pages.

2014-03-12  Benoît Allard  <benoit.allard@greenbone.net>

	* doc/gsad.8: Fix issues raported by lintian.

2014-03-12  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: Set version to 5.0+beta10.

2014-03-12  Benoît Allard  <benoit.allard@greenbone.net>

	Preparing the gsa 5.0+beta9 release.

	* CHANGES: Updated.

2014-03-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (nvt-details, nvt, get_nvts): Add i18n.

	* src/html/classic/po/de.xml: Add translations for NVT pages.

2014-03-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (get_system_reports_response, get_trash)
	(get_my_settings, edit_my_settings, cvss_calculator): Add i18n.

	* src/html/classic/po/de.xml: Add translations for trashcan contents
	table, My Settings, Performance and CVSS Calculator pages. Add
	"year" and variants to "Time" context and Filter names as used in
	"My Settings" to resource types.

2014-03-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-part): Add i18n for
	"New Filter" icon alt text.
	(task [details]): Add i18n to "Import Report" window.
	(html-edit-target-form): Apply i18n only to displayed text in
	"Alive test" dropdown.
	(result-body): Change context of "Details" to "Window".
	(html-configs-trash-table, html-schedules-trash-table): Add i18n.
	(html-create-user-form): Add i18n for list icon tooltip.

	* src/html/classic/po/de.xml: Make "Details" strings available in
	"Window" context.

2013-03-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad_omp.c (get_config): Check if extra_xml is NULL before trying
	to parse it and before trying to free the entity.

2014-03-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window-line-icons): Add i18n for
	trashcan and edit icon.
	(html-create-config-form, html-import-config-form)
	(html-config-family-table, preference, preference-details)
	(edit-config-preference, preferences, preferences-details)
	(preferences-edit-details, preferences [scanner])
	(preferences [edit-scanner-details], html-config-nvt-table)
	(edit-families-family, family, config [families], edit-families)
	(html-config-table, config, config [trash]): Add i18n and change
	"NVT's" to "NVTs" in text.

	* src/html/classic/po/de.xml: Add translations for scan config pages
	and some terms for generic trashcan and edit icons.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_my_settings_omp): Remove sentence about Back
	button, now that the input is preserved.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-filter-form)
	(html-edit-filter-form): Add missing type Role.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (params_mhd_add): Move comment up because it applies to
	the whole block.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (edit_my_settings): Improve alignment.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (edit_my_settings): Preserve User Interface
	Language too.

2014-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	Preserve user's input after error on Edit My Settings.

	* src/html/classic/omp.xsl (gsa:param-or): Check for hashtable params
	too.
	(edit_my_settings): Fill the fields with values from existing params if
	they are given.

	* src/gsad_omp.c (edit_my_settings): Get the filters, otherwise every
	caller needs to.
	(edit_my_settings_omp): Let edit_my_settings get the filters.

2014-03-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-feed-form, html-scap-form)
	(html-cert-form): Add i18n.

	* src/html/classic/po/de.xml: Add translations for feed sync pages.

2014-03-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (group [trash], group [details])
	(html-groups-trash-table, html-create-group-form, html-edit-group-form)
	(role [trash], role [details], html-roles-trash-table)
	(group [auth]): Add i18n.

	* src/html/classic/po/de.xml: Add translations for group and role pages.

2014-03-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-part): Auto-submit filter
	selection on selection in drop-down using JavaScript.
	(auto-refresh): Auto-submit refresh interval on selection in drop-down
	using JavaScript.

	* src/html/classic/help.xsl (javascript.html): Mention that some
	convenience features require JavaScript while main functions do not.

2014-03-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: Set version to 5.0+beta9.

2014-03-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the gsa 5.0+beta8 release.

	* CHANGES: Updated.

2014-03-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (toggle-tag-icon): Use correct text for
	enable icon tooltip.
	(new_task): Use i18n context "Task" for submit buttons and add missing
	i18n.
	(html-edit-task-form): Use i18n context "Task" for submit buttons.
	(alert [details]): Use correct i18n context for header text.
	(slave [details]): Add i18n for header text.
	(html-edit-port-list-form, html-edit-report-format-form): Use i18n
	context "Port List" and "Report Format" respectively.
	(user [edit], html-create-user-form): Add missing i18n.

	* src/html/classic/po/de.xml: Make translation of "Tasks using this
	Alert" more consistent with other "... using this ..." text.

2014-03-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (details-header-icons): Use correct context
	for disabled user delete button.
	(html-create-user-form, user, user [details], user [edit]): Add i18n.

	* src/html/classic/po/de.xml: Add translations for user pages.

2014-03-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (gsa:command-type-plural): New function.
	(gsa:permission-description): Add i18n and new cases for help,
	get_dependencies, get_version, modify_auth, describe_... and
	sync_... commands.
	(html-create-permission-form, permission, permission [details])
	(permission [trash], html-permissions-trash-table)
	(html-edit-permission-form): Add i18n.

	* src/html/classic/po/de.xml: Add context groups for "Type Plural",
	"Type Lower" and "Type Plural Lower". Add various dependent types to
	Type group. Add translations for permission pages, including new
	"Permission Description" context group.

2014-03-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_my_settings_omp): Get line width down.

2014-03-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_my_settings_omp): Return to Edit page with an
	error message, when authentication fails.

2014-03-05  Matthew Mundell <matthew.mundell@greenbone.net>

	Require the user's existing password when changing password in My
	Settings.

	* src/gsad.c (init_validator): Add old_password.

	* src/gsad_omp.c (save_my_settings_omp): Check old password before
	setting new password.

	* src/html/classic/omp.xsl (edit_my_settings): Add Old Password field
	and remove "Replace existing value with:" checkbox.

2014-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (gsa:type-name): Add special cases for
	nvt, cve, cpe, ovaldef, dfn_cert_adv and lsc_credential.
	(tag, tag [details], tag [trash], tag_attach_types)
	(html-create-tag-form, html-edit-tag-form, html-tags-trash-table): Add
	i18n.

	* src/html/classic/po/de.xml: Add translations for tag pages.

2014-03-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-navigation): Specify the filter
	for notes and overrides, so that it explicitly sorts by NVT.

2014-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (filter, filter [trash], filter [details])
	(html-filters-trash-table, html-create-filter-form)
	(html-edit-filter-form): Add i18n.

	* src/html/classic/po/de.xml: Add context group "Type" and translations
	for filter pages.

2014-03-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (new_alert.html, new_target.html): Note
	availability of optional fields when commands are disabled.
	(new_task.html): Add Observer Groups field.  Note availability of
	optional fields when commands are disabled.

2014-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-agent-form)
	(html-edit-agent-form, agent, agent [trash], agent [details])
	(html-agents-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for agent pages.

2014-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-slave-form)
	(html-edit-slave-form, slave [trash], slave [details])
	(html-slaves-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for slave pages.

2014-03-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-report-format-form)
	(html-edit-report-format-form, report_format, report_format [trash])
	(param-edit, param-details, report_format [details])
	(html-report-formats-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for report format pages.

2014-03-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-permission-form)
	(html-edit-permission-form): Only offer commands the user may use.  This
	hides disabled commands.

2014-03-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Check if tags are
	empty before adding section.

2014-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-body]): Remove newstyle nvt's
	checks.
	(gsa:newstyle-nvt): Remove function.

2014-03-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-alert-form)
	(html-edit-alert-form, alert, alert [trash], alert [details])
	(html-alerts-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for alert pages.

2014-03-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tag_attach_types): Only offer types that the
	user may GET, except when the type is selected.

	* src/gsad_omp.c (new_tag): Default attach_type to "" because the
	default now depends on the user's access rights.

2014-03-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-lsc-credential-form)
	(html-edit-lsc-credential-form, lsc-credential-download-icons)
	(lsc_credential [trash], lsc_credential [details])
	(html-lsc-credentials-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for credentials pages.

2014-03-03  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-port-list-form)
	(port_list [trash], port_list [details], html-edit-port-list-form)
	(html-port-lists-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for port list pages.

2014-02-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (task [trash]): Add i18n for "... must be
	restored first" tooltip.
	(schedule [details]): Add i18n for "Tasks using this Schedule".

	* src/html/classic/po/de.xml: Add "Tasks using this Schedule".

2014-02-28  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form, target [trash], target [details])
	(html-targets-trash-table): Add i18n.

	* src/html/classic/po/de.xml: Add translations for target pages and
	some trashcan messages.

2014-02-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (target [details]): Move Alive Test out of
	credential check.

2014-02-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [details]): Fix report results list
	link. Add missing form parameters.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (get_system_reports_omp): Add command check for
	GET_SLAVES.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (get_system_reports_response): Make "Reports
	for slave" control depend on GET_SLAVES access.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (gsa:may): Check if user may run command at
	all.
	(toggle-tag-icon): Check command access.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl: Remove extra space at beginning of templates
	for consistency.  Put a space between key and template, so the template
	is easier to find.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (tag [details], html-create-tag-form)
	(html-edit-tag-form): Move comment up to match other pages.  Lowercase
	optional on Value.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (edit_alert): Improve messages.
	(save_alert_omp, export_alert_omp): Correct spelling.

2014-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Show or hide details and list dialog elements according to the
	availability of commands.

	* src/html/classic/omp.xsl (task [details]): Check for command access
	for optional fields.
	(html-edit-alert-form): Adjust paths for new location from last commit.
	(alert): Check command access for link.
	(alert [trash]): Remove extra line.
	(alert [details], tagged_resource_link): Check for command access.
	(tag, tag [trash], target [trash]): Remove extra line.
	(html-edit-target-form): Remove duplicate input.
	(target, target [details], permission, permission [details]): Check
	command access for links.
	(role [details]): Check command access for Permissions section.
	(user): Check command access for links.

2014-02-27  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt, src/html/classic/help.xsl: 5.0+beta8

2014-02-27  Benoît Allard  <benoit.allard@greenbone.net>

	Preparing the 5.0+beta7 release.

	* CHANGES: Update

2014-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (task-icons): Add schedule name and due date
	to schedule icon tooltip.
	(task [details]): Change context of "Next due" text to "Task Window".

	* src/html/classic/po/de.xml: Move "Next due" strings to Task views
	contexts and remove extra colon.

2014-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (html-create-schedule-form)
	(html-edit-schedule-form): Add i18n.
	(interval-with-unit): Add missing spaces.
	(schedule, schedule [trash], schedule [details]): Add i18n.

	* src/html/classic/po/de.xml: Add translations for Schedules.

2014-02-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsad.xsl (i18n_language): Also try to get language
	from login_page.
	(login_page): Add i18n.

	* src/html/classic/po/de.xml: Add translations for login page.

2014-02-26  Matthew Mundell <matthew.mundell@greenbone.net>

	Show or hide edit dialog elements according to the availability of
	commands.

	* src/gsad_omp.c (get_many, edit_alert, edit_target): Only get resources
	if the relevant commands are available.

	* src/html/classic/omp.xsl (filter-window-part): Make fields depend on
	command access.
	(task [details]): Make import window depend on command access.
	(html-edit-task-form): Hide optional fields according to availability
	of commands.  Make import window depend on command access.
	(html-create-alert-form): Correct op checks.
	(html-edit-alert-form, html-edit-target-form): Hide optional fields
	according to availability of commands.
	(get_my_settings, edit_my_settings): Check for filter commands.

2014-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-target-form)
	(html-edit-target-form): Remove colon from Alive Test for consistency.

2014-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-create-target-form): Move Comment up
	to match other pages.

2014-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (new_task, html-create-user-form): Use --
	as option value, for consistency.

2014-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (main): Remove stray else that was hiding the Copyright
	line with --version and --debug-tls.

2014-02-25  Matthew Mundell <matthew.mundell@greenbone.net>

	Show or hide dialog elements according to the availability of commands.

	* src/gsad_omp.c (new_target): Only get credentials, locators and
	port lists if the relevant commands are available.

	* src/html/classic/omp.xsl (restore-icon): Check if command available.
	(user-tags-window-checked): New function.  From user-tags-window.
	(user-tags-window): Check if command is available.
	(list-window): Check command for wizard icon.
	(new-task, html-create-alert-form, html-create-target-form)
	(html-create-user-form): Hide optional fields according to availability
	of commands.
	(task [trash], alert [trash], target [trash]): Explicitly check for
	restore command.

2014-02-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/gsad.c (send_redirect_header): Use body variable for html
	response.
	(request_handler): Reduce variables scopes.

	* src/gsad_base.h (preference_t, method_data_param): Remove unused
	structs.

	* src/gsad_omp.c (edit_resource, save_container_task_omp)
	(download_lsc_credential_omp, create_agent_omp, download_agent_omp)
	(new_agent_omp, save_alert_omp, save_target_omp, get_report)
	(send_settings_filters, save_my_settings_omp, export_omp_doc_omp):
	Reduce variables scopes and remove unused variables.
	(create_override_omp): Delete redundant else if branch.

2014-02-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [result-headers]): Add overrides
	control in severity column.

2014-02-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/html/classic/omp.xsl (result [details]): Remove apply overrides
	dropdown menu.

2014-02-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (list-window-line-icons): Add special
	permission case to clone icon check.
	(get_permission): Match create_permission_response too.

	* src/gsad_omp.c (clone_omp): If clone fails, go to associated GET page.

2014-02-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-part): Use FIELD from column
	definition if there is one, when generating "Sort by" dropdown.  This
	gets cases like "Trust (Last Verified)" working.

	* src/gsad.c (init_validator): Double sort_field length to accommodate
	"Confidentiality Impact".

2014-02-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (report [report]): Get task_id from envelope,
	instead of from the XML which selects a single task when all tasks were
	requested.

2014-02-17  Matthew Mundell <matthew.mundell@greenbone.net>

	Allow "in use" targets to be modified.

	* src/gsad.c (init_validator): Add in_use.

	* src/gsad_omp.c (save_target_omp): Send stripped down request when the
	target is in use.

	* src/html/classic/omp.xsl (html-edit-target-form): When the target is
	in use disable some of the fields.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Increased version.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the 5.0+beta6 release.

	* CHANGES: Updated.

2014-02-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (html-edit-target-form): Move Comment up to
	match details page and other edit pages.

2014-02-14  Matthew Mundell <matthew.mundell@greenbone.net>

	Add Alive Test to Modify Target.

	* src/gsad_omp.c (save_target_omp): Send alive_tests too.

	* src/html/classic/omp.xsl (html-edit-target-form): Add Alive Test
	field.

2014-02-13  Matthew Mundell <matthew.mundell@greenbone.net>

	Add Alive Test to Create Target and Target Details.

	* src/gsad.c (init_validator): Add alive_tests.

	* src/gsad_omp.c (create_target_omp): Send alive_tests too.

	* src/html/classic/omp.xsl (html-create-target-form): Add Alive Test
	field.
	(target [details]): Show Alive Test.

2014-02-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (user_set_language_code): New function.
	(exec_omp_post): After save_my_settings_omp, when language is NULL,
	set the user's language from the credentials, because the browser value
	will have been set in the credentials.

	* src/gsad_omp.c (save_my_settings_omp): Actually set the language
	return.

2014-02-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/help.xsl (my_settings.html): Move "Jump to dialog" to
	icon.  Add User Interface Language.

2014-02-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Add setting User Interface Language.

	* src/gsad.c (struct user, user_add): Add language.
	(user_set_language): New function.
	(init_validator): Add "lang".
	(gsad_connection_info): Correct comment.
	(exec_omp_post): Set language from authenticate_omp on user.  Set
	credentials language from user if present.  Set user language after
	save_my_settings.
	(request_handler): Check for user language before using Accept-Language.
	Remove Accept-Language lookup in help case because the language is
	available in the credentials.

	* src/gsad_base.c (set_language_code): New function.

	* src/gsad_base.h: Add header accordingly.

	* src/gsad_omp.c (save_my_settings_omp): Add User Interface Language.
	(authenticate_omp): Add language return.

	* src/gsad_base.h: Update headers accordingly.

	* src/html/classic/omp.xsl (get_my_settings, edit_my_settings): Add User
	Interface Language.

2014-02-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (request_handler): Use definition instead of "en".

2014-02-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (exec_omp_post, file_content_response)
	(request_handler): Reformat overhanging parentheses.

2014-02-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* doc/i18n-howto.txt: Add section on the translation of help pages.

2014-02-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* CMakeLists.txt: Add installation of new html/classic/help_de.xsl.

	* src/html/classic/help.xsl (tasks.html): Update and clarify
	descriptions. Add "even" class to table rows to make hover
	effect consistent.

	* src/html/classic/help_de.xsl: New file. Translation of help.xsl
	to German (currently only covering Tasks table).

2014-02-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (list-window-line-icons, task)
	(note-detailed, override-detailed): Set blank i18n fallbacks for some
	affix strings that are not used for the default English text.

2014-02-11  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad.c (request_handler): If possible, select the XSL file for
	help pages based on the Accept-Language HTTP header.

	* src/gsad_base.c (xsl_transform_with_stylesheet): New function.
	Renamed xsl_transform with additional parameter to select the
	stylesheet to apply.
	(xsl_transform): Delegate to xsl_transform_with_stylesheet.

	* src/gsad_base.h (xsl_transform_with_stylesheet): New function
	prototype.

	* src/html/classic/help.xsl: Include gsad.xsl.

	* src/html/classic/gsad.xsl: Remove help.xsl include.

2014-02-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/gsad.xsl (html-gsa-logo): Match CREATE_REPORT
	response, for container case.

	* src/html/classic/omp.xsl (new_task): Match CREATE_REPORT response, for
	container case.

2014-02-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (filter-window-part): In "Sort by" dropdown
	test by field first, remove the single check from the multiple case, and
	for columns with headings append the heading to the dropdown item.
	(html-cve-table): Correct spelling.

2014-02-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [results]): Space "0 results" text
	and the errors page link using div and p elements.

2014-02-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [results]): Add i18n for "0 results"
	display and add a link to the errors page if there are no results, but
	there is at least one error message.

	* src/html/classic/po/de.xml: Add new messages.

2014-02-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (filter-simple): Include quotes if keyword
	was quoted.

2014-02-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/po/de.xml: Fix typos in text for alterable tasks and
	add missing comma in text for unknown CPE installation counts.

2014-02-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad_omp.c (save_my_settings_omp): Flush trailing space.

2014-02-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/gsad.c (SERVER_ERROR, exec_omp_post, exec_omp_get)
	(request_handler): Spell "occurred" right.

2014-02-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/html/classic/omp.xsl (gsa:cvss-risk-factor): Use 0.1 in Low test
	because 0.0 is already covered by None.

2014-02-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* doc/i18n-howto.txt: Add "Time" context.

	* src/html/classic/omp.xsl (minor-details, html-config-table): Replace
	capital "M" in "Last Modified" with lower case "m" for consistency.
	(get_info_cve_lnk, html-create-note-form, html-edit-note-form, note)
	(note [trash], note [details], html-notes-trash-table)
	(html-create-override-form, html-edit-override-form, override)
	(override [trash], override [details], html-overrides-trash-table)
	(note-detailed, override-detailedresult-details, section-filter)
	(report-hosts-link, report-ports-link, report [hosts], report [vulns])
	(report [apps], report [app-severity], download_ssl_cert)
	(report [errors], report [summary], html-tasks-trash-table): Apply i18n
	to notes and overrides and various other scan management elements.

	* src/html/classic/po/de.xml: Add Report filters, various generic terms,
	and terms related to results, notes and overrides.

2014-02-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad.c (DEFAULT_GSAD_LANGUAGE): Set to "en" and clarify usage.

2014-02-05  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/gsad.c (DEFAULT_GSAD_LANGUAGE): New #define.
	(gsad_connection_info, free_resources): Add language component.
	(exec_omp_post): Copy language from con_info to credentials.
	(request_handler): Get language for POST as well as help and login page
	GET requests. Add i18n elements to login_page XML.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/html/classic/help.xsl, src/html/classic/omp.xsl: Replace
	last occurances of term "threat" by "severity" all over the place.

2014-02-04  Benoît Allard  <benoit.allard@greenbone.net>

	* src/gsad.c (chroot_drop_privileges): chroot one level below the face
	  directory and chdir to it just after. This way, we don't need to
	  setup a full chroot environment for each face. The drawback is that
	  it could be possible to access another face from inside the chroot.
	  This is not considered as a vulnerability.

2014-02-04  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* doc/i18n-howto.txt: New file.

	* src/html/classic/gsad.xsl (gsa:i18n): Select i18n strings by context
	first, then by the actual string to reduce lookup time.
	(html-gsa-logo, html-gsa-navigation): Add now mandatory context
	parameter to gsa:i18n calls.

	* src/html/classic/omp.xsl: Add now mandatory context parameter to
	gsa:i18n calls.

	* src/html/classic/po/de.xml: Group strings by context for new string
	selection method. Move documentation and template to new howto file.

2014-01-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Add section about static code analysis with CLang.

2014-01-29  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsad.xsl (gsa:i18n): Explicitly select text from
	elements.

	* src/html/classic/omp.xsl (gsa:date-diff): Mark for i18n.
	(list-window-line-icons): Update i18n for Export.
	(result-details-icon-img, task [details], report [report])
	(interval-with-unit, result-details, report [result-header])
	(report [result-headers], result [result-body], report [assets])
	(report [section-list], report [ports], report [vulns], report [os])
	(report [apps], report [prognostic_apps], full-report-export-form)
	(filtered-report-export-form, report [closed_cves], report [cves])
	(report [ssl_certs], report [summary]): Add new i18n for reports
	and schedule due dates.

	* src/html/classic/po/de.xml: Update "Export" strings and add
	translations Report Summary and Results page.

2014-01-28  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* src/html/classic/help.xsl, CMakeLists.txt: Updated

2014-01-28  Benoît Allard  <benoit.allard@greenbone.net>

	Preparing the 5.0+beta5 release

	* CHANGES: Updated

2014-01-27  Benoît Allard  <benoit.allard@greenbone.net>

	Solve issues raised by the clang static analyser.

	* src/gsad_omp.c (xsl_transform_omp, save_my_settings_omp): Null
	pointer passed as an argument to a 'nonnull' parameter
	(edit_resource, edit_task, edit_alert, edit_tag, edit_target)
	(send_settings_filters): Function call argument is an uninitialized
	value
	(download_agent_omp): Dereference of null pointer

2014-01-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/omp.xsl (report [section-list]): Rename
	"Report: Task Details" to "Task: Details"

2014-01-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/gsa-style (#report_section_list ul li ul)
	(#report_section_list ul li ul a): Increase width for longer titles.

	* src/html/classic/omp.xsl (gsa:report-section-title)
	(report-hosts-link): Change "Summary" to "Summary and Download".
	(report-help-icon): Remove redundant "(View Report)"
	(filtered-report-export-form, full-report-export-form): New templates,
	export forms from report [summary].
	(report-icons): Add report export form.
	(report [summary]): Use new templates for report export forms.

	* src/html/classic/po/de.xml (875): Adapt to changed report section
	titles.

2014-01-24  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* src/html/classic/po/de.xml: Update copyright and authors.
	Reorganize strings into categories: Generic, interface element specific,
	resource type specific, special page specific, wizard. Add comments
	for categories and template for resource type string organization.
	Fix typos in "View list of all reports [...]", Note and Role strings.

2014-01-22  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add German translation for Tasks pages and several general strings of
	other resource types like common table headers, severity levels and
	tooltips of details page links.

	* src/html/classic/gsad.xsl (i18n_po_path): New global variable.
	(gsa:i18n): Add context and default parameters, remove use of
	normalize-space.
	(html-gsa-navigation): Remove gsa:i18n calls that would attempt
	translating items twice.

	* src/html/classic/omp.xsl (gsa:view_details_title): New function.
	(filter-window-part): Add i18n for "New [...] filter from current term"
	and field names.
	(edit-header-icons, severity-label, user-tags-window)
	(tag [for_resource], toggle-tag-icon): Add i18n marking.
	(assets, report [filterbox]): Add i18n marking for Apply button.
	(task-icons, task [details], trend_meter, status_bar): Add i18n marking.
	(list-window): Restructure Export i18n marking, add i18n of filter
	column names.
	(minor-details): Add i18n marking.
	(details-header-icons): Add and restructure i18n marking. Rewrite
	text for easier translation.
	(new_task): Add i18n marking.
	(report, last_report): Add i18n marking for Report / Task details and
	severity bar.
	(new_task, html-edit-task-form, task, html-tasks-table): Add i18n
	marking.
	(lsc_credential, agent, alert, filter, tag): Use view_details_title
	function.
	(column-name): Apply i18n to show column names, add i18n_context param.
	(target, config, schedule, slave, get_info_cpe_lnk, get_info_cve_lnk)
	(get_info_nvt_lnk, get_info_ovaldef_lnk, get_info_dfn_cert_adv_lnk)
	(note, override, override [details], group, permission, port_list)
	(report_format, host, result [result-headers], report [assets])
	(report [vulns], report [os], report [os-severity])
	(report [unknown-os-severity], report [app-severity], role, user): Use
	view_details_title function and apply i18n to severity bars.

	* src/html/classic/po/de.xml: Add "[...] Details" and "[...] Filter"
	strings. Update strings for export, new filter, details. Add general
	property names and values, severity levels, User Tags window strings,
